Merge: 86bbd39 a7f5dbb
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-20

    Merge upstream

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-20

    Bump VERSION to reflect temporary release

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-20

    Fix stray .reset ()

Merge: 1be316e 126f2a2
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-20

    Merge upstream

Merge: 1852f86 1852f86
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-20

    Merge upstream

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-20

    Bump VERSION

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-20

    Update NEWS for 0.9.5.92

Merge: 8495379 825d16b
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Merge upstream

Merge: 825d16b c9b0a19
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Merge in lp:~compiz-team/compiz-core/compiz-core.add_doc_for_decor

Merge: 41f088c c12c848
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Merge lp:~compiz-team/compiz-core/compiz-core.distortion_fixes

Merge: b0a1b5e 3504586
Tim Penhey <tim.penhey@canonical.com>	2011-08-19

    Merge lp:~thumper/compiz-core/fix-crash-on-event-source-cleanup

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Fix some other places we were using priv->attrib incorrectly

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Added comment explaining why we can't do that

Merge: 01d92ab b0a1b5e
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Merge trunk

Tim Penhey <tim.penhey@canonical.com>	2011-08-19

    Don't have a wrapped CompEventSource as there is a bug in the destruction code.

Tim Penhey <tim.penhey@canonical.com>	2011-08-19

    Explicit constructors only make a difference when there is the ability to pass in a single argument.

Tim Penhey <tim.penhey@canonical.com>	2011-08-19

    Header now says to create an unwrapped event source.

Tim Penhey <tim.penhey@canonical.com>	2011-08-19

    Create an unwrapped CompEventSource.

Merge: ab71bc8 9f4cdd6
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Merge

Merge: 9f4cdd6 a8d1bcd
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-19

    Merge in ICCCM 4.1.4 support

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-18

    Correctly support ICCCM Section 4.1.4

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-13

    Don't damage the paint rectangle in normal resize mode (fixed valgrind warning)

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-13

    Use priv->geometry rather than priv->attrib, since priv->attrib could be updated by XGetWindowAttributes
    which is a synchronous operation

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-13

    Don't check against the XWindowAttributes that are stored when sending resize
    notfications, since they could have been updated synchronously with XGetWindowAttributes
    and could be out of sync with the geometry last received from the server which is what
    we need to process requests based on.
    
    Fixes cases where plugins didn't get that geometry update because of this condition,
    which caused bugs like distorted windows in opengl since the window matrices were
    wrong

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-12

    memset the active window history so that we aren't jumping on unitialized garbage
    in the array of windows

Time Penhey <tim.penhey@canonical.com>	2011-08-12

    Merge in flags change for dlopen () on debug builds (dlclosing () with valgrind
    is a bit useless)

Time Penhey <tim.penhey@canonical.com>	2011-08-12

    Merge in source reset change

Merge: 28cab1d e6cb461
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-12

    Merge in GSettings CMake file change

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-10

    Disable core-settings-schema too

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-08-10

    Add option to disable GSettings schema generation

Ville Syrjala <syrjala@sci.fi>	2011-08-02

    [PATCH] Don't unredirect overlay windows until we have set the new
    bounding shape for the output window.
    
    Unredirecting them before this time meant that they were stacked
    underneath the overlay window and changing the bounding shape of
    the output window would cause an expose event to be sent to
    the overlay window causing a breif flicker as it redraws.
    
    Unredirecting after this means that no expose event is sent because
    the backing store is only set again after the bounding shape of the
    output window has been changed

Merge: ceab806 f2b2dc4
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-29

    Merge trunk

Merge: f2b2dc4 c9b0a19
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-29

    Merge in doc for decor

Merge: 7347a7c 3bdb2ef
Andrea Azzarone <azzaronea@gmail.com>	2011-07-28

    Merge in lp:~andyrock/compiz-core/fix-1309

Andrea Azzarone <azzaronea@gmail.com>	2011-07-27

    If an argument to a strcmp function has an invalid value (null pointer, etc.) the behavior is undefined.

Merge: 3264985 4217940
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-27

    Merge

Merge: a44844f 4bb1f70
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-27

    Merge in gsettings schema generation

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-26

    Use relocatable keys

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-26

    Merge in gsettings schema generation

Scott Moreau <oreaus@gmail.com>	2011-07-14

    Merge in default value change for obs

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Fix typo, also add files that are being copied into staging

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Bump VERSION

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Update NEWS for 0.9.5.0

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Revert "Update NEWS for 0.9.5.0"
    
    This reverts commit a6e2ea3adf61e57bdcd4c5c957ce8e7223a9fb0b.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Revert "Bump VERSION"
    
    This reverts commit bedeff5d74a2786dd2751fab9e48bf3f96b7790e.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Revert "Update NEWS for 0.9.5.0"
    
    This reverts commit f37eda58232743ce28eb780075c1a4b73545a209.

Merge: 2804807 bedeff5
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Bump VERSION

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Update NEWS for 0.9.5.0

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Bump VERSION

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Update NEWS for 0.9.5.0

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Merge in build fix and debug message removal

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Fix for bad merge, unbreak plugin build

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-14

    Merge in build changes

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-13

    Disable BUILD_KDE4 in the distcheck target for now as upstream KDE has moved
    some header files around and this is breaking the build check

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-08

    Merge in fix to ftbfs in some cases

Merge: ee98496 e43159f
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-08

    Merge in lp:~smspillaz/compiz-core/compiz-core.dist-buildsystem and turn
    CTest on by default for everything

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-08

    Nitpicking and fix FTBFS on bzr

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-08

    Drop support for bz2, add targets for release uploads, cleanup

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Add various fixes for distcheck, source distributions without a VCS
    and non-C sources (eg python bindings where we can't do try_compile
    because C and CXX are not in the enabled languages)

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Add a proper set of a release targets in the CMake buildsystem for all compiz
    projects to use
    
    make release-prep: generates NEWS ChangeLog and AUTHORS file
    make distcheck: generates a tarball
    make release-signoff: signs the tarball using the key in RELEASE_KEY and if
    in a git repository, creates tags and branches for that

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Add VERSION file

Merge: 0550e09 b9d6583
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Merge in lp:~unity-team/compiz-core/compiz-core.fix_706918 and hook
    PluginClassHandler tests into make test

Merge: a1268e2 7844ea3
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Merge in lp:~unity-team/compiz-core/compiz-core.fix_722830

Merge: f914d15 ab21ddc
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Merge in lp:~unity-team/compiz-core/compiz-core.fix_802373

Merge: faf527f 82a73b8
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Merge in lp:~smpillaz/compiz-core/compiz-core.fix_804683

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Remove debugging code

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Move timer tests into tests/timer/

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Revamp the unit tests, split into four separate tests, one for
    implicit creation on get, one for construction, one for type names
    and one for index sanity checking

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-07

    Initialize index even if allocating the plugin class failed due to a buggy
    base class

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-06

    Add missing files

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-06

    Remove useless #warning

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-06

    Split tests up into files, poke timer.cpp, make test-timer link to the tests
    and enable CTest

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-06

    Add missing file

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-05

    Test for basic value modification

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-05

    Return 1 on the program if the test fails

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-05

    Add more tests for timers

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-05

    Add unit tests for timers

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-05

    Break the dependency between CompTimeoutSource and CompTimer

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-05

    Use a private implementation for CompTimer

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-05

    Further break the dependency of timers on screen

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-04

    Break CompTimer's dependency on CompScreen

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-04

    Avoid useless calls to ::stop (). Also put ::get_time after ::attach
    because the source must always be attached before the monotonic
    time can be retreived

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-07-04

    Don't use clock_getttime () directly, as there are some cases where
    that clock can run backwards and cause our timers to mess up. GLib
    handles this case for us, use Glib::Source::get_time in that case

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-29

    Added a distcheck target

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-29

    Add a more comprehensive dist target which detects running in
    bzr, git, git with submodules and in no vcs and makes a tarball
    no matter what and the right way

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-27

    Convert to bell option

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-25

    Added PluginClassHandler test

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-25

    Abstract out CompPrivate storage from CompScreen so we can make it testable

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-24

    Use priv->border instead of priv->input as the EWMH says that applications
    which request to move their windows (through a normal ConfigureRequest)
    should take into account the decoration extents and not the border extents.
    
    Fixes LP#722830

Merge: d0f83cc 4d0f3bb
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-23

    Merge in fix for LP#800592

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-23

    Fix double call to ::updateAttributes where raise on click is enabled and
    grabbing a window to move it would also raise the window

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-23

    Fix warnings

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-23

    Fix typo which caused docks to be stacked relative to override redirect windows
    and unmapped windows or other docks when shuffling stacking to be below
    fullscreen windows that are active

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-18

    Add documentation for the decor plugin

Merge: 291627c 40849c0
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-18

    Merge in fix for bad merge

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-18

    Fix typo which caused decorations to be updated recursively because
    CompWindow::resize () would always send fake resize notify events to
    core which would then cause CompWindow::resize () to be called again
    with no geometry change etc etc

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-17

    Refactor the code somewhat

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-17

    Make ::get () return a new class instance and initialize the index
    if it hasn't been done already for this particular kind of class.
    
    Fixes LP#706918

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-16

    Fix typo which caused decorations to be updated recursively because
    CompWindow::resize () would always send fake resize notify events to
    core which would then cause CompWindow::resize () to be called again
    with no geometry change etc etc

Merge: 6fc939d 9dfc108
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Fixes LP#795065
    
    -------------  This line and the following will be ignored --------------
    
    modified:
      src/window.cpp
    unknown:
      build/
      po/compiz.pot
    pending merges:
      Sam Spilsbury 2011-05-25 Fix events going to frame windows when they sho...

Merge: 9e6c11d a282aba
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Fixes LP#761616
    
    ------------ This line and the following will be ignored --------------
    
    modified:
      src/screen.cpp
      src/window.cpp
    unknown:
      build/
      po/compiz.pot
    pending merges:
      Sam Spilsbury 2011-05-25 Restore selected event masks already rather tha...

Merge: 79fe2cd 08828ed
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Merge in lp:~unity-team/compiz-core/compiz-core.one_property_decor

Merge: 901d4a1 c6291da
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Merge in ~unity-team/compiz-core/compiz-core.bits_and_pieces_2011_05_21

Merge: 2e57966 0545c16
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Merge in dock stacking fix

Merge: 67e833c 32affe0
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Merge in emacs fix

Merge: c6f456e a02b427
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Merge in Scott's change from upstream

Merge: f3a1776 f3a1776
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-09

    Merge in relevant branches

Scott Moreau <oreaus@gmail.com>	2011-05-27

    Redetect devices unconditionally when handling ConfigureNotify event. This fixes the case where an output was moved but outputChangeNotify is not called.

Merge: 2550d7e e6afcfd
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-01

    Merge in bell fix

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-06-01

    Fix typo in initBellValue which stopped bell actions from working

Merge: 17a6530 b4d9e29
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-31

    Merge in from lp:compiz-core

Merge: 763acbb 6e4da8c
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-31

    Merge in frame fix for switcher decorations

Merge: b4d9e29 a9ac70d
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-31

    Merge to fix broken copytex plugin

Merge: 698db76 dd8ec2a
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-31

    Fix some tray icons appearing at 1px, check the override redirect state
    and window parent at unreparent and reparent time.

Merge: a39f7e3 a39f7e3
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-31

    Merge

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-31

    Fix crash with copytex. Use shared_ptr

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-30

    Ensure the switcher window is unmapped after the switcher goes away

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-30

    Fix windows appearing at small sizes

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-28

    Fix typo in comment

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-28

    Typo

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-28

    Read the current override redirect state as the client may have
    changed it while CreateNotify is being processed and thus
    we could be reparenting and override redirect window.
    
    Also ensure that when unreparenting windows that their
    parent is still the wrapper window, otherwise
    don't bother to reparent them back into the root
    window, this will only cause trouble.
    
    Fixes LP#767095

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-26

      XSync right after configureXWindow in cases where we
      need to immediately reorder the window stack.
    
      This isn't a real fix, but at least fixes the following situation without
      breaking the API and ABI
    
      Windows stacked A, B, C
    
      Plugin does: C->raise (), B->raise (), A->raise ()
      Window list should read at this point: ... C, B, A ... (screen->windows ())
      However, the output buffer hasn't been flushed at this point
      so server side we will have A, B, C.
    
      Now if a sneaky client tries to restack A above C, we will get the
      ConfigureRequest for that, and instead of getting B, C, A like the client
      expects, we'll actually get C, B, A.
    
      The real solution is to have a list of windows last sent to the server
      and a list of windows last recieved by it. That way plugins can
      mess with the internal stack all they want, but when recieving
      events for X as to the actual state of things, they can restack relative
      to the server list.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-25

    Fix events going to frame windows when they shouldn't
    since the client is already unmapped and there is no
    reason a huge frame window should block input when
    the client is animating out anyways

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-25

    Restore selected event masks already rather than using hardcoded ones
    
    Fixes LP #761616 where edge buttons wouldn't work because we'd select
    for button events and then they wouldn't get restored at all

Merge: 342ad2f 3ea8ae7
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-20

    Merge git://git.compiz.org/compiz/core

Scott Moreau <oreaus@gmail.com>	2011-05-17

    Use CMAKE_PREFIX_PATH when searching for libraries.

Scott Moreau <oreaus@gmail.com>	2011-05-13

    * Bump version to 0.9.5

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-08

    Add hack to allow the KDE4 Window decorator to work correctly with the new
    decoration interface, until KDE4 Window decorator is re-written to allow
    for decoration lists.
    
    Note that this gives public access to KWD::Decorator, which is a bad thing.
    
    The way this works is to create two separate frames for inactive and active
    decoration, and when one property is written to update the other.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-08

    Remove setting of "_COMPIZ_WINDOW_DECOR_NORMAL" put decorations with
    state == ~DECOR_WINDOW_FOCUS in the default decorations list instead

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-08

    Remove DECOR_NORMAL, just read all default decorations from a property
    and match the state

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-08

    Remove DECOR_NORMAL_ATOM_NAME, the API is now to put all default decorations
    in a list in one property

Scott Moreau <oreaus@gmail.com>	2011-05-06

    Respect CMAKE_PREFIX_PATH and CMAKE_INCLUDE_PATH when searching for headers.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-08

    Place relative to frame size

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-08

    Fix variable mismatch

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-08

    Use bitwise or, not and.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Clean up type detection code, move into its own function

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Check the actual decor properties on the window and not the default ones

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Support -std=c++0x

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Support new decoration API

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Support different frame types, states and actions in frame properties

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Support multiple frames and frames of different types, states, etc
    in the decor plugin

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Bump decoration API

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-07

    Update API to allow multiple frames in one property (frame caching,
    multiple default frame styles) and also to allow decorators to specify
    in the frame property which window types, states and actions the frames
    should apply to

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-04

    Add modal dialog type and also fix typo

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-04

    Fix warning

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-04

    Restack docks primarily when the focus changes to support cases where we
    change viewports and dock windows need to be restacked even though the
    window that we switched to wasn't restacked. Also support always-on-top
    and fullscreen windows.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-03

    Send a fake configure notify event when the window size doesn't change
    on frame update since other plugins need to know when the client window
    changed geometry.

Scott Moreau <oreaus@gmail.com>	2011-04-30

    Add resize_from_center option.

Scott Moreau <oreaus@gmail.com>	2011-04-30

    Cleanup resize options.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-05-01

    Fix stupid porting bug that allowed windows like emacs to resize themselves
    off the edge of the screen

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Use premultiplied alpha in resize outline and border

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

      Check if ancestor to transient is allowed to have focus before granting focus
      to it.
    
      Some stupid apps like thunderbird unmap the transient parent before unmapping
      the child, so compiz will get all confused and try to give focus to the
      unmapped window

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Track windows on CreateNotify again, don't rely on trying to beat the race
    condition by putting that on MapRequest, instead check at reparent time
    if the window has already been reparented server-side and don't reparent it
    again.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Don't crash if switch window can't be found

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Set correct DISPLAY env when launching commands. Do not force :0

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Also take into account server border geometry when positioning

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Always take into account border geometry when calculating actual window size
    since we make an XGetGeometry call and take into account the border when
    comparing sizes there. Fixes resize bugs with xterm

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Release implicit grabs as soon as we handle events.
    
    Implicit keyboard grabs which are created by the pressing and holding of a key
    that was passively grabbed by XGrabKey are evil for a number of reasons.First
    of all, there isn't any way to track them or to track which window they are
    grabbed on so if a plugin makes an active grab and then releases it, the
    passive grab is released on release, which means there is an inconsistency
    between holding the key and having the grab. Secondly, if plugins actually
    need a grab on all keys, they are better switching to an active grab
    rather than relying on the passive one. Finally, if there is a passive grab by
    another application by a key-modifier combo which has the same modifier mask
    as the currently activated passive grab, then it means that this application
    won't get its grab activated as long as the modifier is held down.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Also check match options before defaulting to global option

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Don't ignore the match value when setting centered on xkbevent

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Fix indentation

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-04-30

    Always monitor key events even when window isn't grabbed

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-23

    Bump core ABI

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-23

    Don't treat synthetic UnmapNotify the same as the real UnmapNotify
    
    ICCCM section 4.1.4 says that applications need to send us a synthetic
    UnmapNotify to tell us that the window has been withdrawn in all cases
    to cover the case where a window is already unmapped and then withdrawn.
    
    In this case we should handle the UnmapNotify as a request to withdraw
    the window, but we should only handle the *real* UnmapNotify request
    as a request to actually process the window being unmapped and withdraw
    it there, rather than processing both twice and withdrawing the window
    twice

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-22

    Revert "If an unexpected window gets focus (e.g. by a client calling XSetInputFocus directly), make sure that moving the input focus to a default window still works when that window is closed."
    
    This reverts commit 1fb701594b78e950c031974d83c3566d1d648156.
    
    There are some problems created by this commit, reverting for now until they
    can be evauluated
    
    Conflicts:
    
src/event.cpp           

Scott Moreau <oreaus@gmail.com>	2011-03-18

    Remove unused macro.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-18

    Set unmanaging before managed

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-18

    Only set w->unmanaging if the window was actually managed
    
84a27e08e8e2f6c3a70ee7966624411e0e330db4 to master        Forward port    

Merge: 0b2ed28 08ba72d
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-18

    Merge https://github.com/robtaylor/compiz

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-18

    Fix warning

Scott Moreau <oreaus@gmail.com>	2011-03-18

    If the root window gets focus, unset activeWindow before calling focusDefaultWindow to make sure the latter really focusses another window.
    
    Forward port 33f695e7c6e4fb8ac627df0978fea7771fe1b3d5 to master

Scott Moreau <oreaus@gmail.com>	2011-03-18

    If an unexpected window gets focus (e.g. by a client calling XSetInputFocus directly), make sure that moving the input focus to a default window still works when that window is closed.
    
556b681adaab3fe27fa456037be82e902dd371be to master        Forward port    

Scott Moreau <oreaus@gmail.com>	2011-03-18

    Don't grant focus to override_redirect windows. Most other window managers don't even track override_redirect windows, so applications relying on the focus being granted to override_redirect windows are broken anyway.
    
    Forward port 30a92d8a060d79181a28840d7c66428ef431200c to master

Scott Moreau <oreaus@gmail.com>	2011-03-18

    Don't let focus stay on the root window. It may happen that the root window is focussed, e.g. by some client calling XSetInputFocus with the root window as target. As that most likely isn't what the user wants, focus the default window instead.
    
    Forward port a9a35b6034517404b0c3ed4296f0c33d7d8d1d11 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-18

    Make sure that window has the correct parent on unmanagement.
    
    Reparenting the window will cause an UnmapNotify to be sent whcih will cause
    us to unreparent the window and reparent it into the root window. In the case
    where the application wanted to reparent a toplevel window we need to make
    sure that we put the window back in the parent where the client actually requested it to go when we get the ReparentNotify

Rob Taylor <rob.taylor@codethink.co.uk>	2011-03-16

    If there's a sesion manager, ask it to always restart compiz.

Rob Taylor <rob.taylor@codethink.co.uk>	2011-03-16

    CompOption::Class had virtual functions without a virtual destructor. That's usually bad.

Rob Taylor <rob.taylor@codethink.co.uk>	2011-03-16

    Region type in x is typedef struct _XRegion *Region. That means returning a const Regsion makes no sense - that's setting the returned pointer to const.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-16

    Also remove windows from createdWindows list if they were reparented into
    something else

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-15

    Reflect difference between actual input frame geometry and border extents
    in the core API

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-13

    Process changes to edge windows when skipping events on pointer warp
    
    There's a condition that can happen where we skip the events generated by
    XWarpPointer and this causes the edge window reference to stay on the same
    window, which is a problem when using edges since certain button bindings
    would stop working. The new behaviour is to always update the edge window
    reference whenever processing enter and leave events caused by pointer
    warps

Merge: f777234 011a611
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-12

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-12

    Add support for a "focus on switch" option which toggles whether or not
    the window should appear focused when switching between windows

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-12

    Don't trash the pixmaps of windows that were hidden but don't have mapNum == 0 since that case only
    happens where windows are actually closed or unmanaged

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-12

    Don't need to modify priv->width, priv->height since those are representative of the server side
    window and not the pixmap size

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-11

    Don't unreparent the window until plugins are finished with animations
    and such (eg, not while an unmap reference is held) and don't dump
    the pixmap of the window if it is resized and unreparented and the plugins
    hold a reference to it

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-11

    Don't throw out the textures of windows that got resized or re/unreparented
    while plugins hold an unmap reference to them as it is pretty likely that
    those plugins need that data for animations

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-11

    Don't update windows in some cases where there is an unmap reference since
    it is likely that plugins are using them for animations. However, do allow
    decorations to be changed where the dm asks us to.
    
    Also set frame extents to 0 explicitly when the window is unreparented

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-11

    Revert "Don't refuse to update frame extents for windows that have an unmap reference"
    
    This reverts commit 86358da783bc7152c8fbe8a39d883ac922de5958.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-11

    Don't refuse to update frame extents for windows that have an unmap reference
    
    The previous rationale for not updating these extents is that doing so will
    cause a resizeNotify on windows that are currently being unmapped or
    that plugins have delayed from being unmapped and this will cause core
    to throw out the texture of those windows. A better solution here
    would be to not throw out the decoration pixmap and texture for windows
    that are currently being unmapped (and also not throwing out the pixmap
    in the composite plugin), since it would be likely that plugins are
    using them for animations

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-07

    "Update CMake Version"

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-03-07

    "Update news for 0.9.4 release"

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-28

    Fix gtk-w-d crashing when removing decoration.
    
    Also try to detect when windows are modal and give them modal type
    decorations and move freedesktop.png to cube where it will actually
    be used

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-28

    Fix the loading and installation of images - core images should
    be under the core plugin, freedesktop.png moved to cube
    and load images based on the actual install dirs

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-27

    Don't pass uninitialized value to plugins needing to update output extents
    
    Plugins need to check against this value in order to see if they should
    change the extents of the decoration area on windows, don't send them
    uninitialized garbage when doing that.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-24

    Fix broken build

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-24

    Specify plugin name when loading images to find the correct
    image loading dir for plugins which don't specify absolute
    paths to their images

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-24

    Fix mismatched brace

Merge: 1c9eb6d 9849ca3
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-24

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2011-02-24

    Remove debugging message

Sam Spilsbury <smspillaz@gmail.com>	2011-02-24

    Don't override the user's PKG_CONFIG_PATH with the CMAKE_INSTALL_PATH
    unless the user explicitly changed the CMAKE_INSTALL_PATH.
    
    Rationale: If the user has their PKG_CONFIG_PATH set to /foo/bar
    they would expect that when doing things like, eg installing plugins
    locally (which ignores CMAKE_INSTALL_PREFIX), that the buildsystem
    would pick up pkg-config files from their PKG_CONFIG_PATH which they
    have specified themselves and not the default CMAKE_INSTALL_PREFIX,
    however when the user changes the CMAKE_INSTALL_PREFIX they need
    to have that be used for pkg-config purposes.

Sam Spilsbury <smspillaz@gmail.com>	2011-02-24

    Track focus changes for destroyed windows too since we'll change the focus later anyways

Sam Spilsbury <smspillaz@gmail.com>	2011-02-24

    Nuke warning

Sam Spilsbury <smspillaz@gmail.com>	2011-02-24

    Preprocessor abuse to handle the Gtk+ 2.24 transition

Merge: a30a8ee 54d17f0
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-23

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-23

    Check if we're resizing from a grab handle first (eg isConstrained)
    before using constraint area. Fixes crash when using alt + button2
    to resize and hitting an edge

Travis Watkins <amaranth@ubuntu.com>	2011-02-22

    stop using deprecated gdk functions

Merge: e2ead0a 3eda41c
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-23

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-23

    Fix crash on exit

Scott Moreau <oreaus@gmail.com>	2011-02-22

    Use glib CLAMP macro.

Scott Moreau <oreaus@gmail.com>	2011-02-22

    Remove unnecessary definition.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-22

    Remove debug message

Scott Moreau <oreaus@gmail.com>	2011-02-22

    Avoid using reserved definition.

Adam Williamson <awilliam@redhat.com>	2011-02-22

    Generate GConf Schema files even if we don't want to install them

Adam Williamson <awilliam@redhat.com>	2011-02-22

    Import CFLAGS and CXXFLAGS env variables

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-22

    s/Novell Inc./Canonical Ltd./ in eventsource.cpp copyright

Merge: 7c0ba73 96eaecc
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-22

    Merge branch 'master' of git://git.compiz.org/compiz/core
    
    Conflicts:
gtk/window-decorator/decorator.c           

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Fix initial stacking issues

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Fix down-left shift and wrong offsets for default decorations.
    
    Initialize settings before creating decoration frames

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Relicence eventsource.cpp to MIT

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Fix memory leaks
    
    - Use gtk_main_quit ();
    - Don't create gconf clients where we don't need to

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Remove dead code

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Update copyright info

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Fix title scales not updating on theme change

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Also store correct pointer type and unref on exit

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Prevent spurious frame creation and deletion
    
    Bare, default and switcher decorations never change and they need to
    come and go, so keep references to them

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Fix 2D Mode.
    
    Don't refresh shadow info (and check windows in paint list) if
    compositing is not active and set the border and max border properties
    for the default window type decoration (Without these properties,
    CompWindow::input () would return 0,0,0,0 and an output frame wouldn't
    be created)

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Initialize variable. Fixes valgrind warning

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Check if string is empty correctly. Fixes checks for CMAKE_BUILD_TYPE
    string being empty always returning true and thus the CMAKE_BUILD_TYPE
    being set to something the user didn't want

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-21

    Read w->input () rather than the internal input extents.
    
    This provides information about the current state of the decoration
    extents in core, rather than our own information about the window
    decoration itself.
    
    Reverts part of 4ae95852e53075caed15586620127f0c1405fe474
    
    Fixes unresponsive decorations in kde4-window-decorator and decorations
    initially "not responding" when you click on them (b.c.o #20)

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-20

    Set default value for vpSize before loading plugins.
    
    There is a race where vpSize won't be updated to its "true value"
    until we reach core's option change callback or we read the value
    from the configuration plugin. Since we load all the plugins at once
    on screenInitPlugins on the command line, some plugins require that this value
    be set to *something* (It can be changed later) before they are initialized.
    
    Fixes incorrect vertex settings with cube, causing it to zoom out infinitely
    when switching viewports when loaded when compiz starts

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-19

    Sync after ungrabbing the server.
    
    Turns out that XUngrabServer is not a synchronous call, so there is a
    race condition with the new startup order where the ungrab server request
    will sit in the output buffer waiting to be processed and the server won't
    actually be ungrabbed when we start loading plugins. This can have all
    kinds of side effects, for example when initializing GConf with GDBus,
    there will be a call to dbus-launch --autostart to try and get the
    session bus ID which will fail if there is still a server grab
    that hasn't been released (since it attempts to read X11 properties)
    
    Fixes LP: #691561

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-19

    Map and unmap the switcher window directly

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-19

    Update TODO

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-19

    Cleanup init_settings some more, move the switcher stuff out into the
    frame ctor and move USE_GCONF into one big ifdef

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-19

    Store settings data in its own struct
    
    Prevents namespace issues and makes it more clear where to access this
    data.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-18

    Cleanup.
    
    Move things to where they should be, remove dead code

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-18

    Add memory management to frames
    
    We don't need to keep all the frame definitions around in memory all the
    time, so refcount them and only add them if we actually need them.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-17

    Add frame types system, allocate to hash table and use them to manage
    frames

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-17

    Add frames refcounting system

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-17

    Cleanup meta_update_border_extents function
    
    Don't need to retrieve the frame all the time, just get it once

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-17

    Cleanup
    
    decor_frame_type is available in decor_t now, so no need to get that
    manually

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-17

    Added simple frames management system.
    
    Right now this just keeps the frames in a private area and returns a
    pre-allocated frame, but it will be expanded to allow reference counting
    on frames and allocation on-demand

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-17

    Generalize shadow_only decoration into window decorations list
    
    Remove debug message

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-16

    Remove more dead code

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-16

    Generalize switcher into another decoration frame type

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-16

    Move _default_decoration into another decor_frame_t in decor_frames
    
    No need to have another structure lying around for this ...

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-16

    Fix shadows of non-default frame windows
    
    Include frame information when drawing the shadow outline and also get
    the metacity frame type from this information rather than the WnckWindow

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-16

    Fix cairo mode
    
    * Make sure we set the theme fptrs for get_title_scale on startup
    * Use the frame reference in the decor_t since that works for default
    decorations too

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-15

    Fix crash when changing theme
    
    Connect up the signal handler for the style change correctly.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-15

    Make the switcher a decoration frame.
    
    It is still separate to the normal "window type" decoration, but at
    least now it has access to everything it needs

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-15

    Allow different font types in frames.
    
    Currently we used a single PangoContext and PangoFontDescription for
    everything ... this resulted in custom frames having the same titlebar
    size which wasn't any good. This commit changes a lot, namely:
    
     * Frame is now linked to the decoration object itself
     * Moved style windows into the frame
     * Moved font context and font description into the frame
     * Added API for getting the titlebar font size: obviously with the
    cairo decorations there isn't supposed to be any kind of visual
    difference here but with the metacity decorations we need to get that
    directly from libmetacity.
    
    It should be noted that these commits are in need of a cleanup ... which
    is coming in the next few commits.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-14

    Add frame management system
    
    There are different types of frames that we will need to support - like
    the GIMP's utility toolbox windows - we need to have stored separate
    frames in order to support them

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-14

    Add definitions for different border types

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-14

    Add support for drawing with different metacity theme types

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-13

    Don't catch resize notifications on startup
    
    DecorWindow::update might call updateWindowOutputExtents which calls
    ::resizeNotify ... since this loops over all windows it is not safe to
    have this function called.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-12

    Remove debugging message

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-12

    Slight optimization. Don't recalculate clip region on every paint, but
    only where it makes sense to.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-12

    Fix artefacts in shadow clipping.
    
    Intersect the clip region already computed by core with the output
    region of the window so that we don't display parts of the window that
    might be occluded

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-12

    Clip shadows where it makes sense

Merge: a88ce82 e1dc3f2
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-11

    Merge branch 'master' of git://git.compiz.org/compiz/core
    
    Conflicts:
gtk/window-decorator/decorator.c           

Merge: bd14afd c68018c
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-11

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop

Merge: f5f41b9 09fe54a
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-11

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-11

    Convert modifier masks from virtual to real ones before grabbing button.
    
    Also skip ignored modifier if it is also in the cleared ignored bits

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-11

    Remove "semi-tracked" created windows on DestroyNotify.
    
    Fixes LP: #709461

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-10

    Make the switcher window being override redirect.
    
    Previously the switcher window was a normal managed window (which
    the switcher plugin actually lied about, see SwitchWindow::managed),
    such that the decorators could pick it up and draw the switcher
    decoration. However now with reparenting, this means that whenever
    we actually manage and unmanage the switcher window (eg with map
    and unmap) it means we must also reparent the window, which floods
    the server with requests and makes the switcher slow.
    
    Since we don't interact with the switcher window, it makes no sense
    to manage it like this, so make it override redirect

Jason Smith <jason.smith@canonical.com>	2011-02-05

    Minor stacking fix

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-03

    Use autogenerated options code to directly access option values
    rather than looking up the options

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-03

    Be a little bit smarter about that - work with stretched windows too and
    don't accumulate pointer motion if the window is already constrained

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-03

    Take up/down pointer motions as left and right if the cursor is at a screen edge
    
    This allows the resize borders to extend past the window somewhat and for the
    user to still resize windows to the edge of the screen

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-03

    Explicitly include <gdk/gdk.h> to avoid offset problems on amd64

Travis Watkins <amaranth@ubuntu.com>	2011-02-02

    fix bcop code generation for colors

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-02

    Initialize border

Merge: ff085dc 4ae9585
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-01

    Merge branch 'master' of ../../../core
    
    Conflicts:
include/core/core.h           
src/window.cpp           

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-02-01

    Allow semantic difference between frame window geometry and frame size.
    
    Rationale: some window decorators or themes might want to specify a border
    input area that is slightly larger than the visible borders on screen
    (eg for enhanced resize handles, a11y purposes, etc) or the theme might
    want to specify some additional decoration which should affect placement
    but should not be interacted with.
    
    In this case we have a priv->border and priv->input window property.
    priv->border specifies the actual semantic size of the window decoration
    that should affect placement and priv->input specifies the extents of
    the frame window past the client.
    
    Fixes LP: #710271

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-28

    Fix frame reference not going away on unreparent

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-28

    Whitespace fix

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-28

    Whitespace fix

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-28

    Wait for reparent and configure operations to complete before destroying.
    
    We don't track frame and wrapper windows like normal windows, so if we want
    to restack relative to the frame window on unreparent then we need to ensure
    that the restack operation actually completed before destroying the window.

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-28

    We don't care about events happening on the wrapper window during unreparent
    
    Listening for these events is only going to cause UnmapNotifies coming
    from our own XReparentWindow operation and XUnmapWindow operation on the
    frame window on the wrapper window, which will be handled by compiz making
    some windows appear to be unmapped when they were just unreparented.
    
    Fixes LP #682781

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-27

    Don't track window geometries or properties until they are actually managed.
    
    The window might get some ConfigureRequests which won't be reflected
    in PrivateWindow at MapRequest time. Fixes LP #707853

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-26

    Fix warning

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-26

    Fix windows jumping around when clicking on parts that trigger move
    
    Since we no longer have an unconditional passive grab on Button1
    for active and raised windows, we need to check if a client
    sent us a _NET_WM_MOVERESIZE ClientMessage and update the pointer
    buffer on that.
    
    Also clean up the pointer buffer handling code again - reduce
    the number of roundtrips required. Remove debug message.

Merge: 1c8f44d 6d72a4e
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-26

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop

Merge: 793479d 081e136
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-26

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-26

    Cleanup reparenting code
    
    No need to use XGetGeometry since checking the return value of
    XGetWindowAttributes will determine if the window is destroyed.
    
    Also make sg a reference since copying serverGeometry is a bit useless

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-26

    Set the vp size before initializing windows

Merge: cd3aef5 41d6694
Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-25

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2011-01-25

    Fix stacking madness
    
    1) Don't create windows after registering for CreateNotify on the root
       window and then do XQueryTree after calling XCreateWindow since this
       will add the window to the internal stack twice (once for
       XQueryTree and once for the CreateNotify)
    
    2) Enforce a full restack on all windows once we have decided
       what our initial stack order is - so that dock windows don't
       end up going underneath desktop windows
    
    3) Immediately stack the frame window underneath the client
       and wait for the stacking operation to complete before reparenting
       since sometimes the frame window would be created and mapped at the
       top of the X11 stack whereas the client window would be tracked
       from the bottom of the stack. Remove hack to restack window
       within compiz since that didn't actually work.

Travis Watkins <amaranth@ubuntu.com>	2011-01-24

    fix build system so you can disable building decor plugin

Merge: eef7eab 2b7e757
Sam Spilsbury <smspillaz@gmail.com>	2011-01-24

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2011-01-24

    Don't try to set target properties for blur if we disabled building it

Sam Spilsbury <smspillaz@gmail.com>	2011-01-24

    Don't make if-statement depend on XWindowAttributes which might be garbage.
    
    The window could have been destroyed by the time we do XGetWindowAttributes
    on it, so we need to check if that's the case. We still add it to the tree
    anyways - but only because in between the time when we handle the DestroyNotify
    for it and the CreateNotify, some windows might have done a ConfigureRequest
    asking us to stack windows relative to it

Sam Spilsbury <smspillaz@gmail.com>	2011-01-24

    Fix not tracking windows that became override-redirect after create.
    
    Some broken toolkits like QT change their override-redirectness after
    CreateNotify, which would cause us not to track them. Unfortunately this
    means that we need to track them on MapNotify, but that's not really
    a problem anyways since they are override-redirect

Merge: eef7eab 7ce34ea
Sam Spilsbury <smspillaz@gmail.com>	2011-01-20

    Merge branch 'master' of git://git.compiz.org/compiz/core

Merge: 7194f67 af8424c
Sam Spilsbury <smspillaz@gmail.com>	2011-01-20

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop

Sam Spilsbury <smspillaz@gmail.com>	2011-01-19

    Update passive button grabs on reparent

Sam Spilsbury <smspillaz@gmail.com>	2011-01-19

    Fix not tracking windows which get unmapped, not destroyed and then remapped

Sam Spilsbury <smspillaz@gmail.com>	2011-01-19

    Revert "Don't stack mapping windows which requested no focus above the active window."
    
    This reverts commit ecc61dc04567947e92cbb9686c1041619abc05b1.

Sam Spilsbury <smspillaz@gmail.com>	2011-01-14

    Track override redirect windows from the first CreateNotify.
    
    We don't get a MapRequest from these windows, so we need to
    track them from CreateNotify (which isn't really evil anyways
    since we aren't reparenting them)
    
    Fixes (most) issues with menus not appearing.

Sam Spilsbury <smspillaz@gmail.com>	2011-01-13

    Update core ABI

Travis Watkins <amaranth@ubuntu.com>	2011-01-12

    fix logic craziness
    
    Stop screwing with my brain and put the code at the one place it will
    actually be used.

Sam Spilsbury <smspillaz@gmail.com>	2011-01-13

    Don't create CompWindow and initialize plugins until MapRequest.
    
    Having all plugins track windows on CreateNotify doesn't make any
    sense because they are not visible, and the ones that they would
    need to track would be override-redirect anyways. Also tracking
    windows in this way broke reparenting in such a way that a number
    of buggy applications using xembed (eg gnome-panel applets and
    Adobe Flash would consistently crash).

Sam Spilsbury <smspillaz@gmail.com>	2011-01-12

    Don't stack mapping windows which requested no focus above the active window.
    
    This adds a managing variable to PrivateWindow which represents the managing
    state of the window. In addition, ::updateAttributes did not stack windows
    below correctly if they were already directly on top of an active window
    (since it is not valid to stack a window below itself, and the algorithm would
    pass the below to the findValidStackSiblingBelow function as well as a
    pointer to the active window (== below)). The function now compares the
    below sibling to the window we want to be stacked.

Merge: 78a5ebd ab1861b
Sam Spilsbury <smspillaz@gmail.com>	2011-01-11

    Merge branch 'glibmm-experimental'
    
    Conflicts:
src/screen.cpp           

Merge: aa8edad cf2117b
Sam Spilsbury <smspillaz@gmail.com>	2011-01-11

    Merge git://git.compiz.org/compiz/core into glibmm-experimental

Sam Spilsbury <smspillaz@gmail.com>	2011-01-08

    Fix grabs activating when we don't need them to, fixing some applications
    receiving wrong events

Sam Spilsbury <smspillaz@gmail.com>	2011-01-05

    Also check for FocusChange events on windows of other screens.
    
    Don't continually set the input focus if it is already set - the focus
    can change to be on another screen, register for events to detect
    that case

Sam Spilsbury <smspillaz@gmail.com>	2011-01-05

    Move sources around into relevant files

Sam Spilsbury <smspillaz@gmail.com>	2011-01-05

    Remove glib plugin.
    
    It conflicts with this branch

Sam Spilsbury <smspillaz@gmail.com>	2011-01-05

    Use clock_gettime and add a TIMESPECDIFF macro

Sam Spilsbury <smspillaz@gmail.com>	2011-01-05

    Make the timeout for the zero-timer case 15, just so that we don't
    end up spamming things (15msec isn't that long)

Sam Spilsbury <smspillaz@gmail.com>	2011-01-04

    We can have a brief spin-wait system in place for CompTimeoutSource since
    there isn't any case where we don't have timers running

Sam Spilsbury <smspillaz@gmail.com>	2011-01-04

    Re-add paint-smartness to composite.cpp

Sam Spilsbury <smspillaz@gmail.com>	2011-01-04

    Re-write timers to be a regular Glib::Source
    
    We previously used Glib::TimeoutSource but this one is broken
    for a number of usecases that we need, so create our own timeout
    source which is similar to the stock one, except that we only insert
    one source into the glib stack with grouped timeout times for the rest
    of our timers.
    
    Allows the use of setTimes () and setCallback () without glib
    becoming a disaster-zone. Also fixes a number of crashes related
    to the buggy glibmm implementation.

Merge: 8649381 2ced0ab
Sam Spilsbury <smspillaz@gmail.com>	2011-01-02

    Merge branch 'master' of git://git.compiz.org/compiz/core into glibmm-experimental

Sam Spilsbury <smspillaz@gmail.com>	2011-01-02

    Only set unmanaging bit while window is actually being unmanaged.
    
    Also de-obfuscate gravity handling in _NET_WM_MOVERESIZE request

Sam Spilsbury <smspillaz@gmail.com>	2010-12-31

    Fix crashes when loading plugins on the command line
    
    plugin.cpp:plugins is a reverse list, so iterate it in reverse

Sam Spilsbury <smspillaz@gmail.com>	2010-12-31

    Raise window on move/resize initiation in raise-on-click mode.
    
    Forward port a32f5bf9cef3ec0c40c7ac60b8b87f4083016f98 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-12-24

    Allow plugins to initiate scale when initiated to change the match

Sam Spilsbury <smspillaz@gmail.com>	2010-12-24

    Don't clear terminate state until action is actually finished clearing up.
    
    Clearing the terminate state before this will confuse other plugins which
    check activity states

Merge: b3c2c22 07f258e
Sam Spilsbury <smspillaz@gmail.com>	2010-12-24

    Merge branch 'master' of git://git.compiz.org/compiz/core into glibmm-experimental

Sam Spilsbury <smspillaz@gmail.com>	2010-12-23

    Add signals for viewport change begin/end

Sam Spilsbury <smspillaz@gmail.com>	2010-12-19

    Other mouse buttons should be allowed to change the selected window.
    
    But only button 1 should be able to select windows and terminate scale mode.
    
    Fixes incorrectly selected window when the mouse has not been moved after
    scale mode has been initiated and the mouse is hovering over an unselected
    window, and then Button2, or Button3 eg is pressed. This broke scaleaddon's
    pull window and close window bindings.
    
    Fixes LP #691087

Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Cleanup

Merge: af62da3 b2077af
Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Merge git://git.compiz.org/compiz/core into glibmm-experimental

Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Send window id in decoration notification

Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Fix unintialized variable usage

Merge: abb0874 8dd7395
Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Merge git://git.compiz.org/compiz/core into glibmm-experimental

Merge: da624e3 8dd7395
Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Also beautify

Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Break after updating after reparent

Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Add a compiz event for when we have been decorated

Didier Roche <didrocks@ubuntu.com>	2010-12-13

    package mode is release debug for plugins
    
    also ship the slipped gconf cmake helper

Sam Spilsbury <smspillaz@gmail.com>	2010-12-13

    Fix buffer overflow on some platforms (Non NULL passed to XOpenDisplay)

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-11

    Ensure decoration is updated on shade. Fixes artifacts.
    
    Previously we'd rely upon a change in winDecorAtom to tell us when to update
    the decoration, however now that we are reparenting we can't do that anymore
    so hook windowNotify to watch for shade and unshade and then force the
    decoration to be updated on resizeNotify if this is the case.

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-09

    Fix some typoes and handle the case where the window is already under a dock

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-09

    Be a little bit more clever about constraining resizes to workareas.
    
    Basically we want to constrain resizes to workareas, but not
    in the case where two outputs touch. In the case that two outputs touch
    they must be directly adjacent and there must not be a panel or dock in
    the way

Merge: 9211a51 4666435
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-08

    Merge git://git.compiz.org/compiz/core into glibmm-experimental
    
    Conflicts:
include/core/screen.h           

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Don't stack focus-denied windows in a disallowed position
    
    When a window is focus-stealing-prevented, we should only stack
    it below the active window if that is possible. If it's not
    (the window has the "Above" state, for example), then we should
    stack it at the normal location.
    
    http://bugs.opencompositing.org/show_bug.cgi?id=1304
    
    Forward port 984bca5801d6179b9f8081c4b6c466063975d940 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Only reflect the decoration size in MapRequest gravity adjustment, not
    the whole window size.
    
    Forward port a86c461684f122fd286884c4ff28f6ea673fe669

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Also update desktop keys

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Update path names in gconf keybindings

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Cleanup key binding list from redundant and unneeded keys and add scale
    binding.
    
    Forward port c9993a7739e9bf6b595e5efa62605027241c3d7f  to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Also handle windows that have a server border set in pointer placement mode.
    
    Also fix typo.
    
1d5f80cd52274484ecb59a1c8f7e7b6cea3b1844  to master        Forward port    

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Correctly reflect that the switcher window is managed.
    
    Forward port 46371f9172089a3e60648b834611d5694df2e80b to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Make short descriptions in opacity a little more verbose
    
    Forward port f089351c2d6d62302e59f52a810b722808a4a574 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Move window position validation to validateWindowResizeRequest function.
    
    Forward port 2a37340f9610e7f80a66ed6ab48190c181784f6b to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Don't make minimized windows unmanaged.
    
    Forward port 8dcfbb256322565228cbcda5230de95343887fac

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Fix window offset at the start of close animation.
    
    Forward port 0a28ca484a8a72060b580e0ccc75ea20f3ddab1a

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    resize: Remove constrain_y, limit to work area instead of screen edges.
    
    Forward port 3075fa6eac1f4c7faa804b319f916899589702cc

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    resize: Fix typo

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    resize: Allow resizing outside screen edges when initiated with key.
    
    Forward port 6e281003bbcb01ac028aa963ab1bee0349c41376 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    place: Fix typo (off by one error)
    
    Forward port 4832c514b0c460febc90720a61c11d6a0f64ec84 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Also set constrainY to FALSE if move is not loaded.
    
    Forward port 615d823f5edc26eaa12e83c97099c7ab0f017968 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Constrain resizes to screen edges and fix constraining.
    
    Forward port 6c12e5a60297143a72c4e4bb104b0c35102ff3f4 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    resize: Obey move's constrain_y option
    
    Forward port 0d23e499774769d295509f189fbf4b7c21763ef6 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Fix typo
    
    Forward port 466184685e570b6736adce7800253815d72e1c02 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Fix assertion if core is specified as plugin on the command line.
    
    Forward port 2a0087732f23cd87284366ec0dc224cbd5fd68ec to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    scale: Properly remove closing window.
    
    Forward port 96e59168920650f49c5e79b342261c863694fb23 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Switcher: prevent simulataneous plugin uses that don't make sense.
    
    Forward port 1974f9b5bfbab24023a0a647b606eedccbb83d04 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Avoid adding core twice to plugin list
    
    Forward port 20cdf69d096616104cd26fc30c8efd7e4e4e164d to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Fix sibling checking logic.
    
    Forward port f4af2061d93057843efd437b30b8199dc89defdd to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Make sure findValidStackSibling below doesn't return a sibling that
    we're not allowed to stack under.
    
    Forward port 1baf514fefb9177764af99cf508596686583244e to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Fix up coding style, add some comments.
    
    Forward port 24dd71f04892ddd031ac2bf7b166e10b74aa1bbd to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Never unload plugins passed to the cmdline
    
    Forward port 27430deae222b4380c0e91da849f930a297afb73 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    gnomecompat: Default to gnome-terminal for terminal keybinding.
    
    Forward port 060a99697cde9105c85623cb464a36b46da3bf97 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Revert gravity adjustment made at MapRequest time at UnmapNotify time
    
    Forward port a0be58f5e9f5e419af4f5f15505e9a9f6fe47bdd  to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-07

    Don't take screenshot if Escape was pressed.
    
    Forward port c9239e92fe0b2d6bfc674b523313617017ca062f to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-06

    Revert "Fix windows being forever treated as "not managed" in focus () and not entering into scale mode, etc"
    
    This reverts commit 51e01727d309f39e3f42ecf6b53b4ebb31a385dc.
    
    There is a better way to do this

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-06

    Fix startup order.
    
    Previously we were doing something like this:
    
    init -> screen init -> init core plugin screen -> create windows ->
    eventLoop -> updatePlugins -> initPlugin (initScreen (initWindow))).
    
    This order has a number of problems with it - namely that config plugins
    will be loaded on one full pass of the event loop and then core options
    are initialized, before which we were doing certain startup procedures
    on the default options, which resulted in strange race condition bugs.
    Also, if we are compositing we have a brief (visible) switch from 2D mode
    to 3D mode - in reality we want to be in 3D mode ASAP.
    
    The new order is init -> updatePlugins (load plugins specified on command
     line) -> screen init -> load command line plugins -> update plugins (load
    new plugins specified by config plugins on the command line) -> init screens
    -> create window (init plugins for window) -> eventLoop.
    
    This means that it takes longer for us to get to the event loop, but at least
    we can zip through the initialization phase quite quickly

Merge: 89e6c77 a8ad8f2
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-05

    Merge commit 'a8ad8f2c28a95ee8ebc39d404069586942c2e292' into glibmm-experimental

Merge: f4ae798 ce53cec
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-05

    Merge commit 'ce53cec922f54c754e8c7eb19d786a2dffe0f496' into glibmm-experimental

Merge: a26a16b a8ad8f2
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-05

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop

Jason Smith <jason.smith@canonical.com>	2010-12-04

    Fix memory leaks introduced in last commit

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-05

    Fix windows being forever treated as "not managed" in focus () and not entering into scale mode, etc
    
    We need to re-set unmanaging too once managed is set again

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-04

    Fix windows consistently moving by gravity * window decoration extents.
    
    The behaviour from 0.8 was ported to update decoration windows on the window destructor, but because we are moving windows on a timer in order to handle reparenting issues when decorating them, this also causes the time to be destroyed when the CompWindow is, so the windows never actually get moved back into place correctly.
    
    FIXME: Timers should have a referencing system, it does not make sense that we have to preserve their scope

Merge: 56b97b9 2d4b54b
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-04

    Merge branch 'master' of git://git.compiz.org/compiz/core into glibmm-experimental

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-04

    Fix typo

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-04

    The window must always have a frame before we do anything with it

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-04

    Wait until reparent to decorate

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-04

    Fix typo which caused windows not to be recognized

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-04

    Revert "Constrain windows to workArea when moving for decorations"
    
    This reverts commit d07d0103b7e76a10fb9b360d25c4ec32470eaa53.

Jason Smith <jason.smith@canonical.com>	2010-12-03

    Fix compregion to be a more true to form wrapper of X11 region

Merge: 80b1c01 4a5ec2b
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Merge branch 'master' of git://git.compiz.org/compiz/core into glibmm-experimental

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Fix typo which caused windows > screen height to be placed incorrectly

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Fix typos

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Fix window position validation for windows that change size without
    changing position.
    Previously, we left the position of windows that have USPosition set
    untouched, even if they didn't try to change position at all, but only
    changed size.
    This caused such windows to become partially offscreen e.g. if they were
    positioned at the lower edge of the work area before the size change and
    increased height afterwards.
    
    Forward port 3c16152938c44454f42d08a4b92cc46093c9a782 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Fix some focus issues:
    - Don't give soon-to-be-unmanaged windows focus when closing a window
    - Transfer focus to another window if a window that is about to get
      focus is closed
    
    Forward port 5a78a90a3ec9de02b8e52790fbc376a2502cead7 to master.
    
    Fixes gnome-do issue

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Revert "Ensure that we can change the input focus, even if we requested a client to take focus and it failed to do it before it was unmapped"
    
    This reverts commit 1084f0be5c200d46ad3b4358a477963d31040736.
    
    Danny suggested a better way to do this from a commit to 0.8

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Add some documentation for decorator.c

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-03

    Ensure that we can change the input focus, even if we requested a client to take focus and it failed to do it before it was unmapped

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-02

    Make w->managed () wrapable

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-02

    Fix debug message

Merge: ef1399c 81c768f
Unity <unity@VB-U1010.(none)>	2010-12-02

    Merge branch 'glibmm-experimental' of git://git.compiz.org/users/dbo/compiz-with-glib-mainloop into glibmm-experimental

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-12-02

    Remove doPoll () and rewrite CompWatchFd to use Glib::IOSource
    
    This changes compiz to monitor file descriptors directly in
    the glib mainloop which fixes things like not exiting correctly
    with session managers and the like.

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-27

    Fix switcher background drawing
    
    As the default composition mode is SourceOver and the old contents are uninitialized, all sorts of graphical corruption could occur. Fix that by using Source composition mode and thus not using the old contents for blending.
    
    Forward port 50c061b29c9fccdc937f0de92ba1edccab1a05a4 to master

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-27

    No need to reset the source, it happens for us on destructor

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-27

    Detect when glib is being stupid and calls ::internalCallback even though we asked for the source to be removed (prevents access to free'd memory once we delete a CompTimer)

Merge: 2bb01fb 5170cb0
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-27

    Merge git://git.compiz.org/compiz/core into glibmm-experimental

Merge: dbcb185 e9f553a
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-27

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Merge: 1730f6a e9f553a
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-27

    Merge git://git.compiz.org/compiz/core into glibmm-experimental

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-27

    Ensure that we check options nested in <group> and <subgroup> tags too (eg add an extra "/")

Didier Roche <didrocks@ubuntu.com>	2010-11-26

    fix the gconf schema generation to compiz-1

Merge: 86074c1 cbd2c12
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-25

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop into glibmm-experimental

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-25

    Return false once we're done with the source

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-25

    Fix hang on exit

Merge: c26f860 7c7b898
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-24

    Merge branch 'master' of git://git.compiz.org/compiz/core

Merge: 029817a 7c7b898
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-24

    Merge git://git.compiz.org/compiz/core into glibmm-experimental

Didier Roche <didrocks@ubuntu.com>	2010-11-23

    fix typos and leftover from previous commit

Didier Roche <didrocks@ubuntu.com>	2010-11-23

    add signals for the bailer plugin + hw rendering detection

Merge: 2eda891 ce0a8bb
Didier Roche <didrocks@ubuntu.com>	2010-11-23

    Merge branch 'master' of git://anongit.compiz.org/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-23

    Fix decoration flicker of switcher window.
    
    Previously, the pixmaps were recreated as soon as any property changed (and thus way too often), so it would happen that at the time the decoration plugin needs to access the pixmap, it would already have been destroyed. Avoid that by only recreating the pixmaps when needed.
    
    Forward port of edb51e95e959accd3873179a20bc4674c51f5efe to master

Merge: 318465e a8737b6
Didier Roche <didrocks@ubuntu.com>	2010-11-22

    Merge branch 'master' of git://anongit.compiz.org/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-22

    Damage rectangles correctly when coming out of stretch resize mode from constrainment

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-21

    Drop the individual bindings for resize modes and move to a mod mask system

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-21

    Turn resize_from_center into a match

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-20

    Add a short TODO

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-20

    Only use ::reset for the RefPtr because that will automatically take care of destroying it for us

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-20

    Port C based glib to C++ glibmm

Didier Roche <didrocks@ubuntu.com>	2010-11-18

    [PATCH] Fix keybinding window manager names in compiz-gnome

Didier Roche <didrocks@ubuntu.com>	2010-11-18

    Update the binding properties to compiz wm with gnome capplets
    
    As now the wmname is Compiz and not compiz, update to the new wmname.

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-18

    Fix weird condition where gboolean != bool bitwise which caused timers to segfault on occasion

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-13

    Split GConf schema generation into a plugin_extension

Merge: 70e344e 868eeab
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Use C++ false

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Install plugin images and data to separate plugin-specific subdirectories (so that plugins can't overwrite other plugin's data). Also fix typo in CompizGenInstallData.cmake

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Remove testing CompizGenPrintMessage.cmake

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Add a CompizGenInstallImages.cmake extension, which installs images

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Add CompizGenInstallData.cmake

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Split plugin data file generation into cmake extension

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-12

    Added a simple CMake buildsystem extensions system

Didier Roche <didrocks@ubuntu.com>	2010-11-12

    [PATCH] Cleanup cmake file. No need to get set var {var} CACHE

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-11

    Spin the mainloop properly

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-11

    Listen for FocusIn/FocusOut on NotifyGrab NotifyUngrab and set an internal bit that plugins can query

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-11

    Make sure that we properly unregister actions when removing the option private with operator=

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-11

    Bump core ABI

Merge: 7c9baac 87a93df
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-11

    Merge branch 'master' of git://git.compiz.org/compiz/core

Merge: c297f4d e89d6d4
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-09

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop

Danny Baumann <dannybaumann@web.de>	2010-11-09

    [PATCH] Be a little bit more clever when handing option construction in handleActionEvent.
    
    Previously we would have a static CompAction::Vector which we would resize to lower sizes (so that triggerFooBindings doesn't die) but this causes us to be reconstruction CompOptions all the time which is expensive.
    
    Instead just reset the option to make it "dead" (eg keep it in memory for longer) but don't create and recreate them all the time
    
    Also copy the active state of a CompAction on copy-construct

Didier Roche <didrocks@ubuntu.com>	2010-11-05

    Fix COMPIZ_DEFAULT_PLUGINS to be really taken into account

Jason Smith <jason.smith@canonical.com>	2010-11-08

    Remove clever timers for now to see if we cant help damage issues

Dominique Leuenberger <dominique@leuenberger.net>	2010-11-08

    Require at leasst gtk 2.18.0.

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-08

    Don't increase core action register reference counts if the same action was already registered

Didier Roche <didrocks@ubuntu.com>	2010-11-08

    Preserve DESTDIR if no override in COMPIZ_DESTDIR

Dominique Leuenberger <dominique@leuenberger.net>	2010-11-06

    Install translations into LC_MESSAGES instead of lc_messages.

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Don't increase leave pendingMaps at a non-zero number once the window is mapped.
    We used to assume that for every MapRequest event that we got for which we also sent an XMapWindow that we would get a MapNotify. According to the man XMapWindow this doesn't make any sense since trying calling XMapWindow on an already mapped window for which we have SubstructureRedirectMask set results in a NoOp anyways (so we'll only ever get one MapNotify and multiple MapRequests). This fixes a case where no input focus would be set on closing windows with multiple remaining pendingMaps since we don't move the input focus if this is the case

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Revert "Don't increase leave pendingMaps at a non-zero number once the window is mapped."
    
    This reverts commit d5e0df487697855fc07e8176d8586b7b14f6f778.

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Update NEWS for 0.9.2.1 Release

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Update NEWS for 0.9.2.1 Release

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Add COMPIZ_VERSION_MACRO and update to 0.9.2.1

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Don't increase leave pendingMaps at a non-zero number once the window is mapped.
    
    We used to assume that for every MapRequest event that we got for which we also sent an XMapWindow that we would get a MapNotify.
    
    According to the man XMapWindow this doesn't make any sense since trying calling XMapWindow on an already mapped window for which we have SubstructureRedirectMask set results in a NoOp anyways (so we'll only ever get one MapNotify and multiple MapRequests).
    
    This fixes a case where no input focus would be set on closing windows with multiple remaining pendingMaps since we don't move the input focus if this is the case

Sam Spilsbury <smspillaz@gmail.com>	2010-11-05

    Release the connection name on unload so we don't cause dbus to get angry on ::updatePlugins

Sam Spilsbury <smspillaz@gmail.com>	2010-11-05

    Revert "Don't queue incoming name requests and it is also safe to unref the bus"
    
    This reverts commit efcbe55d9fae7553acadf731bc3b15f46dae99cf.

Sam Spilsbury <smspillaz@gmail.com>	2010-11-05

    Don't queue incoming name requests and it is also safe to unref the bus
    in the case that we aren't unreffing it due to plugin failure

Merge: 267b9d1 773e8a0
Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-09

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Danny Baumann <dannybaumann@web.de>	2010-11-09

    [PATCH] Be a little bit more clever when handing option construction in handleActionEvent.
    
    Previously we would have a static CompAction::Vector which we would resize to lower sizes (so that triggerFooBindings doesn't die) but this causes us to be reconstruction CompOptions all the time which is expensive.
    
    Instead just reset the option to make it "dead" (eg keep it in memory for longer) but don't create and recreate them all the time
    
    Also copy the active state of a CompAction on copy-construct

Didier Roche <didrocks@ubuntu.com>	2010-11-05

    Fix COMPIZ_DEFAULT_PLUGINS to be really taken into account

Jason Smith <jason.smith@canonical.com>	2010-11-08

    Remove clever timers for now to see if we cant help damage issues

Merge: e62dd35 86d92fd
Dominique Leuenberger <dominique@leuenberger.net>	2010-11-08

    Merge branch 'master' of ssh://git.compiz.org/git/compiz/core

Dominique Leuenberger <dominique@leuenberger.net>	2010-11-08

    Require at leasst gtk 2.18.0.

Sam Spilsbury <sam.spilsbury@canonical.com>	2010-11-08

    Don't increase core action register reference counts if the same action was already registered

Didier Roche <didrocks@ubuntu.com>	2010-11-08

    Preserve DESTDIR if no override in COMPIZ_DESTDIR

Dominique Leuenberger <dominique@leuenberger.net>	2010-11-06

    Install translations into LC_MESSAGES instead of lc_messages.

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Don't increase leave pendingMaps at a non-zero number once the window is mapped.
    We used to assume that for every MapRequest event that we got for which we also sent an XMapWindow that we would get a MapNotify. According to the man XMapWindow this doesn't make any sense since trying calling XMapWindow on an already mapped window for which we have SubstructureRedirectMask set results in a NoOp anyways (so we'll only ever get one MapNotify and multiple MapRequests). This fixes a case where no input focus would be set on closing windows with multiple remaining pendingMaps since we don't move the input focus if this is the case

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Revert "Don't increase leave pendingMaps at a non-zero number once the window is mapped."
    
    This reverts commit d5e0df487697855fc07e8176d8586b7b14f6f778.

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Update NEWS for 0.9.2.1 Release

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Update NEWS for 0.9.2.1 Release

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Add COMPIZ_VERSION_MACRO and update to 0.9.2.1

Sam Spilsbury <smspillaz@gmail.com>	2010-11-06

    Don't increase leave pendingMaps at a non-zero number once the window is mapped.
    
    We used to assume that for every MapRequest event that we got for which we also sent an XMapWindow that we would get a MapNotify.
    
    According to the man XMapWindow this doesn't make any sense since trying calling XMapWindow on an already mapped window for which we have SubstructureRedirectMask set results in a NoOp anyways (so we'll only ever get one MapNotify and multiple MapRequests).
    
    This fixes a case where no input focus would be set on closing windows with multiple remaining pendingMaps since we don't move the input focus if this is the case

Sam Spilsbury <smspillaz@gmail.com>	2010-11-05

    Release the connection name on unload so we don't cause dbus to get angry on ::updatePlugins

Sam Spilsbury <smspillaz@gmail.com>	2010-11-05

    Revert "Don't queue incoming name requests and it is also safe to unref the bus"
    
    This reverts commit efcbe55d9fae7553acadf731bc3b15f46dae99cf.

Sam Spilsbury <smspillaz@gmail.com>	2010-11-05

    Don't queue incoming name requests and it is also safe to unref the bus
    in the case that we aren't unreffing it due to plugin failure

Merge: 3a5c997 83ffe50
Sam Spilsbury <smspillaz@gmail.com>	2010-11-04

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-11-01

    Fix cairo decoration offsets

Sam Spilsbury <smspillaz@gmail.com>	2010-11-01

    Fix decoration offsets in metacity 2D mode (hopefully for real this time)

Sam Spilsbury <smspillaz@gmail.com>	2010-11-01

    Don't create window with shadow size in 2D Mode

Merge: 2adde93 8c5348c
Sam Spilsbury <smspillaz@gmail.com>	2010-10-29

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-10-29

    Bump version to 0.9.2

Sam Spilsbury <smspillaz@gmail.com>	2010-10-29

    Constrain windows to workArea when moving for decorations
    
    Since we move the window to account for adding the decorations on a
    zero timer (eg, after handleEvent, where windows have already been placed)
    we need to make sure we account for the workArea (so that we don't
    move windows below panels and offscreen)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-29

    Fix typos

Merge: db5b0ff 709496d
Danny Baumann <dannybaumann@web.de>	2010-10-27

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Danny Baumann <dannybaumann@web.de>	2010-10-27

    Create cmake modules directory before copying file to it.

Sam Spilsbury <smspillaz@gmail.com>	2010-10-26

    Fix out of bounds memory read / write

Sam Spilsbury <smspillaz@gmail.com>	2010-10-26

    Change the match expression handler after Regex screen constructor.
    
    It is possible for RegexWindow::get () to be called from this wrapped function,
    which is wrong because memory for a RegexWindow hasn't yet been allocated.
    
    (CompScreen::matchExpHandlerChanged -> SomePlugin::CompMatch::Evaluate -> RegexExp::evaluate -> RegexWindow::get)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-26

    Check if header token matches part of another word.
    
    The prepending function would only check for the existence of part of the header op in the function string, and did not check if the matched string was actually part of another word. This caused fragment programs like this to fail:
    
    program name: temporary
    !!ARBfp1.0
    TEMP temp, foo, bar;
    FOO temp, bar, temp;
    
    Which would be outputted like this:
    
    TEMP temporary_temp, temporary_foo, temporary_bar;
    FOO temporary_temporary_temp, bar, temporary_temporary_bar;
    
    (since "temp" was matched in "temporary" incorreclty).
    
    The new code now checks for a ".", ";" or "," or if the word is the last in the string before prepending it.
    
    This bug was most noticable in the colorfilter plugin, where one of the filters could be named "negative" with a temporary variable called "neg"

Sam Spilsbury <smspillaz@gmail.com>	2010-10-24

    Fix omission in NEWS and fix date

Sam Spilsbury <smspillaz@gmail.com>	2010-10-24

    Update NEWS for 0.9.2 release

Sam Spilsbury <smspillaz@gmail.com>	2010-10-24

    Fix memory leak

Sam Spilsbury <smspillaz@gmail.com>	2010-10-24

    Fix memory leak

Sam Spilsbury <smspillaz@gmail.com>	2010-10-24

    Use XFreeStringList to recursively free the entire array

Sam Spilsbury <smspillaz@gmail.com>	2010-10-24

    Cleanup (static analysis)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-24

    Fix some memory leaks (it looks like there are some more in XTextPropertyToStringList too)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-23

    scale: Reduce scope of variables where appropriate

Sam Spilsbury <smspillaz@gmail.com>	2010-10-19

    composite.cpp: minor cleanup, don't keep things in scope if they don't need to be (static analysis)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-19

    compiztoolbox: make functions public

Sam Spilsbury <smspillaz@gmail.com>	2010-10-19

    blur: minor code cleanup (static analysis)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-19

    opengl: minor style fixups (static analysis)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-19

    kde4-window-decorator: minor style related changed (static analysis)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-19

    core: general code cleanup (static analysis)

Sam Spilsbury <smspillaz@gmail.com>	2010-10-19

    Avoid a roundtrip

Sam Spilsbury <smspillaz@gmail.com>	2010-10-18

    Take into account the server border width when calculating the texture size

Sam Spilsbury <smspillaz@gmail.com>	2010-10-18

    We need to make a temporary copy of the color string since it is free'd on the temporary function call's destructor.

Sam Spilsbury <smspillaz@gmail.com>	2010-10-03

    Don't attempt to re-use buffer pixmaps.
    
    It's not safe to re-use these pixmaps, because there isn't any guaruntee that they haven't been nuked by compiz

Sam Spilsbury <smspillaz@gmail.com>	2010-10-03

    Don't reparent so overzealously.
    
    Also tweak offset code to handle shadow offsets. Unfortunately this breaks some themes. However, the standard ones such as Clearlooks and friends should continue to work

Merge: e9574b4 0301c9f
Jason Smith <jason.smith@canonical.com>	2010-10-15

    Merge branch 'master' of ssh://anongit.compiz.org/git/compiz/core

Scott Moreau <oreaus@gmail.com>	2010-10-14

    Get rid of Prev/Next Slide since they are entirely unused.

Scott Moreau <oreaus@gmail.com>	2010-10-14

    Paint all viewports if caps are transparent.

Jason Smith <jason.smith@canonical.com>	2010-10-07

    Ensure g type is setup

Scott Moreau <oreaus@gmail.com>	2010-09-30

    Remove unused variables to silence warnings.

Scott Moreau <oreaus@gmail.com>	2010-09-30

    Handle top and bottom cap colors separately.

Scott Moreau <oreaus@gmail.com>	2010-09-30

    Remove cap image settings since it's handled by cubeaddons.

Jason Smith <jason.smith@canonical.com>	2010-10-04

    Ensure we dont end up processing extra mouse events for no reason

Scott Moreau <oreaus@gmail.com>	2010-10-03

    Fix porting bugs.

Jason Smith <jason.smith@canonical.com>	2010-10-03

    Revert ugly event hack as workaround in plugin is found

Scott Moreau <oreaus@gmail.com>	2010-10-03

    Remove duplicate if statement.

Scott Moreau <oreaus@gmail.com>	2010-09-30

    Remove unused variables to silence warnings.

Scott Moreau <oreaus@gmail.com>	2010-09-30

    Handle top and bottom cap colors separately.

Scott Moreau <oreaus@gmail.com>	2010-09-30

    Remove cap image settings since it's handled by cubeaddons.

Sam Spilsbury <smspillaz@gmail.com>	2010-09-29

    Update INSTALL file

Scott Moreau <oreaus@gmail.com>	2010-09-28

    Don't require both opengl and composite since opengl already requires composite. This can cause flicker or momentary black screen with some drivers.

Dominique Leuenberger <dimstar@opensuse.org>	2010-09-28

    Do not use deprecated gdk_display macro.

Dominique Leuenberger <dimstar@opensuse.org>	2010-09-28

    Do not use gdk_display, it's deprecated (one more place it was missed).

Sam Spilsbury <smspillaz@gmail.com>	2010-09-27

    Don't attempt to write the property if the template was not read in the first place

Sam Spilsbury <smspillaz@gmail.com>	2010-09-27

    Don't use deprecated gdk_display symbol

Sam Spilsbury <smspillaz@gmail.com>	2010-09-27

    Move list of compiz libs to compizplugin.
    
    New DSO linking rules require that plugins be explcitly linked to all of the compiz dependencies.

Jason Smith <jason.smith@canonical.com>	2010-09-30

    Ensure we get lots of events on input windows. This is likely evil and needs a better fix

Sam Spilsbury <smspillaz@gmail.com>	2010-09-30

    Clean up isViewable

Merge: 8942e33 912aac9
Sam Spilsbury <smspillaz@gmail.com>	2010-09-29

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-09-29

    Update INSTALL file

Scott Moreau <oreaus@gmail.com>	2010-09-28

    Don't require both opengl and composite since opengl already requires composite. This can cause flicker or momentary black screen with some drivers.

Dominique Leuenberger <dimstar@opensuse.org>	2010-09-28

    Do not use deprecated gdk_display macro.

Dominique Leuenberger <dimstar@opensuse.org>	2010-09-28

    Do not use gdk_display, it's deprecated (one more place it was missed).

Sam Spilsbury <smspillaz@gmail.com>	2010-09-27

    Don't attempt to write the property if the template was not read in the first place

Sam Spilsbury <smspillaz@gmail.com>	2010-09-27

    Don't use deprecated gdk_display symbol

Sam Spilsbury <smspillaz@gmail.com>	2010-09-27

    Move list of compiz libs to compizplugin.
    
    New DSO linking rules require that plugins be explcitly linked to all of the compiz dependencies.

Merge: 5967495 02dae69
Jason Smith <jason.smith@canonical.com>	2010-09-14

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop
    
    Conflicts:
src/screen.cpp           

Jason Smith <jason.smith@canonical.com>	2010-09-14

    Remove spare ;

Sam Spilsbury <smspillaz@gmail.com>	2010-09-14

    Cleanup

Merge: fc6a55e 840cbcc
Sam Spilsbury <smspillaz@gmail.com>	2010-09-14

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop

Jason Smith <jason.smith@canonical.com>	2010-09-13

    Stop using gio for polling as it just doesn't seem to work as expected. Scrolling issues are now gone.

Merge: 1fe1ac8 72d099a
Sam Spilsbury <smspillaz@gmail.com>	2010-09-11

    Merge branch 'master' of git+ssh://git.compiz.org/git/users/dbo/compiz-with-glib-mainloop

Jason Smith <jason.smith@canonical.com>	2010-09-10

    minor changes

Sam Spilsbury <smspillaz@gmail.com>	2010-09-09

    Force input focus on button 1/2/3 press.
    
    Sometimes there is a case where the window is active on one screen already,
    and because compiz is not multi-screen aware, when another window is focussed
    on another screen, the window will continue to be "active" but not focussed.
    
    Previously, when clicking on this window again, the window would not be
    focussed again since it was already active.
    
    This commit forces input focus regardless of the "active" state

Sam Spilsbury <smspillaz@gmail.com>	2010-09-09

    Also obey force placement match when validating ConfigureRequest events.
    
    Forward port of d01732e22007018ca54d4dfe810202ee4d3ee16 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-09-08

    compiztoolbox.cpp: Move input focus to highlighted windows so it is possible to alt-f4 them
    switcher.cpp: Move input focus back to last active window if switcher action is cancelled

Danny Baumann <dannybaumann@web.de>	2010-09-06

    [PATCH] Replace old gdk_draw_drawable method calls with cairo equivalents.

Scott Moreau <oreaus@gmail.com>	2010-09-02

    Add reszie_from_center option.

Sam Spilsbury <smspillaz@gmail.com>	2010-09-09

    Force input focus on button 1/2/3 press.
    
    Sometimes there is a case where the window is active on one screen already,
    and because compiz is not multi-screen aware, when another window is focussed
    on another screen, the window will continue to be "active" but not focussed.
    
    Previously, when clicking on this window again, the window would not be
    focussed again since it was already active.
    
    This commit forces input focus regardless of the "active" state

Sam Spilsbury <smspillaz@gmail.com>	2010-09-09

    Also obey force placement match when validating ConfigureRequest events.
    
    Forward port of d01732e22007018ca54d4dfe810202ee4d3ee16 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-09-08

    compiztoolbox.cpp: Move input focus to highlighted windows so it is possible to alt-f4 them
    switcher.cpp: Move input focus back to last active window if switcher action is cancelled

Danny Baumann <dannybaumann@web.de>	2010-09-06

    [PATCH] Replace old gdk_draw_drawable method calls with cairo equivalents.

Scott Moreau <oreaus@gmail.com>	2010-09-02

    Add reszie_from_center option.

Sam Spilsbury <smspillaz@gmail.com>	2010-09-09

    Force input focus on button 1/2/3 press.
    
    Sometimes there is a case where the window is active on one screen already,
    and because compiz is not multi-screen aware, when another window is focussed
    on another screen, the window will continue to be "active" but not focussed.
    
    Previously, when clicking on this window again, the window would not be
    focussed again since it was already active.
    
    This commit forces input focus regardless of the "active" state

Sam Spilsbury <smspillaz@gmail.com>	2010-09-09

    Also obey force placement match when validating ConfigureRequest events.
    
    Forward port of d01732e22007018ca54d4dfe810202ee4d3ee16 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-09-08

    compiztoolbox.cpp: Move input focus to highlighted windows so it is possible to alt-f4 them
    switcher.cpp: Move input focus back to last active window if switcher action is cancelled

Merge: 64ee56f 8531355
Sam Spilsbury <smspillaz@gmail.com>	2010-09-06

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Danny Baumann <dannybaumann@web.de>	2010-09-06

    [PATCH] Replace old gdk_draw_drawable method calls with cairo equivalents.

Sam Spilsbury <smspillaz@gmail.com>	2010-09-03

    Kick the event loop so that we get glib events

Sam Spilsbury <smspillaz@gmail.com>	2010-09-03

    Minor cleanup - add onTimerTimeout as a friend, adapt to coding style,
    fix warnings etc

Scott Moreau <oreaus@gmail.com>	2010-09-02

    Add reszie_from_center option.

Jason Smith <jason.smith@canonical.com>	2010-09-02

    Reduce CPU usage by utilizing max times a bit

Jason Smith <jason.smith@canonical.com>	2010-09-01

    Minor cleanup and stop constant removal/addition of drawing timer to help improve performance. There is a wakeup issue remaining to be resolved

Jason Smith <jason.smith@canonical.com>	2010-08-31

    Reduce CPU load, probably breaks certain damage event paints

Jason Smith <jason.smith@canonical.com>	2010-08-31

    Compiz now works fast with glib

Jason Smith <jason.smith@canonical.com>	2010-08-31

    Initial timer support. Compiz actually runs (very slow) with bugs

Jason Smith <jason.smith@canonical.com>	2010-08-31

    First pass at glib loop, invariably breaking things

Danny Baumann <dannybaumann@web.de>	2010-08-29

    Fix property handling.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-28

    Check property size before reading

Sam Spilsbury <smspillaz@gmail.com>	2010-08-28

    Better checking if the window is destroyed and use the default visual
    and colormap, unless the window has request an ARGB one, in which case
    use that (like metacity).
    
    This fixes problems with windows which set incorrect colormap/visual
    combinations in their XSetWindowAttribs, like some SDL windows such
    as frozen-bubble and SDL/testwm

Merge: 4befd8b 9f936c2
Sam Spilsbury <smspillaz@gmail.com>	2010-08-21

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-08-21

    Don't declare metacity funcs if we aren't using it

Scott Moreau <oreaus@gmail.com>	2010-08-20

    Properly fix warnings.

Scott Moreau <oreaus@gmail.com>	2010-08-20

    Fix warnings.

Scott Moreau <oreaus@gmail.com>	2010-08-20

    Fix warnings.

Scott Moreau <oreaus@gmail.com>	2010-08-20

    Fix warning.

Scott Moreau <oreaus@gmail.com>	2010-08-20

    Fix warning.

Scott Moreau <oreaus@gmail.com>	2010-08-20

    Fix typo.

Scott Moreau <oreaus@gmail.com>	2010-08-20

    Fix warnings.

Merge: d661a59 afe7893
Sam Spilsbury <smspillaz@gmail.com>	2010-08-20

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-08-20

    Use X11 Window Properties for Shadow Settings Storage / Retreival.
    
    Remove the DBUS and GConf based settings retreival. It was long
    broken and based on a bunch of old assumptions

Jay Catherwood <jay.catherwood@gmail.com>	2010-08-17

    Don't give all windows struts

Sam Spilsbury <smspillaz@gmail.com>	2010-08-17

    Use isViewable () rather than invisible ()

Sam Spilsbury <smspillaz@gmail.com>	2010-08-17

    Revert "Revert "Keep pixmaps of unmapped windows around if they are used for animations.""
    
    This reverts commit e37b87173812da4af24c480a1adc9f8075a05e98.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-15

    Update dbus settings paths.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-15

    Bump COMPIZ_CUBE_ABI

Sam Spilsbury <smspillaz@gmail.com>	2010-08-15

    Kill paintAllViewports and make a new wrapable function cubeShouldPaintAllViewports

Merge: d57e882 bfa9742
Sam Spilsbury <smspillaz@gmail.com>	2010-08-14

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-08-14

    Split gtk-window-decorator into files

Jay Catherwood <jay.catherwood@gmail.com>	2010-08-12

    Fix tooltip open animations not firing
    
    Sometimes tooltip open animations do not fire because they are
    set to viewable early on. This patch runs a map window notification
    when map is called even if the window is already viewable.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-13

    Revert "Keep pixmaps of unmapped windows around if they are used for animations."
    
    This reverts commit 6c7d254d7f7b3706e9a6294a1c16c7cc9a05568f.

Danny Baumann <dannybaumann@web.de>	2010-08-13

    Check with wmType () if the window is really a Dock or a Desktop window;
    
    window->type () can be changed depending on the state of that window
    (eg dock + below = normal). This can cause some dock and desktop
    windows to be decorated when they shouldn't be.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-13

    Revert "Fix decoration of windows of the wrong type in the decor plugin"
    
    This reverts commit 11a42a7e3fb9d42b7623ac2e4f391482af6020b5.

Merge: b613c2f 9dfda73
Sam Spilsbury <smspillaz@gmail.com>	2010-08-13

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-08-13

    Update DBUS strings to get shadow correctly

Sam Spilsbury <smspillaz@gmail.com>	2010-08-12

    Fix decoration of windows of the wrong type in the decor plugin

Scott Moreau <oreaus@gmail.com>	2010-08-10

    Don't use bool as int. Fixes 'inside cube'.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-11

    Use restack () instead of restackBelow () to ensure stack synchronousity

Merge: 8f8a983 ccde9fb
Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Don't free a local variable by creating a pointer to it and then not
    knowing whether that pointer is actually heap or stack memory

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Also include frame region in input region shape

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Make minimize, unminimize and minimized () functions wrappable

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Revert "Call wrapped hide and show functions for minimize and unminimize and also"
    
    This reverts commit 4e0bad2e7f8a1e16cec41f6909c19bab33d93e17.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Call wrapped hide and show functions for minimize and unminimize and also
    unite frame region with input shaped region (so that decorations don't lose input)

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Use anchor stacking point as either directly above or directly below
    window when reparenting windows

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Fix typo

Merge: 8ba8b19 4e1a665
Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-08-10

    Handle the ShapeInput and ShapeBounding XShape regions

Jay Catherwood <jay.catherwood@gmail.com>	2010-08-09

    Fix gimp layers window disappearing
    
    This fixes bug 1303. Under certain circumstances restack ends up
    being called with the window as its own aboveId, causing it to
    disappear.

Sam Spilsbury <smspillaz@gmail.com>	2010-08-08

    Make minimization functions wrappable. Check return functions for minimized state rather than internal variables (since a plugin may want to change the reported state of minimization)

Sam Spilsbury <smspillaz@gmail.com>	2010-08-07

    Export the CompWindow in ScaleWindowList and don't prevent the creation of a ScaleSlot for a window if one isn't already assigned (with setSlot ())
    
    Bump COMPIZ_SCALE_ABI

Sam Spilsbury <smspillaz@gmail.com>	2010-07-31

    Handle property data types other than XA_CARDINAL and XA_STRING. Fixes window hints not being written for other data types, such as XA_WINDOW which is used by compiztoolbox for switcher background drawing

Guillaume Seguin <guillaume@segu.in>	2010-07-29

    Workaround CMake problem with -D_REENTRANT on TryCompile

Guillaume Seguin <guillaume@segu.in>	2010-07-29

    Fix typo

Sam Spilsbury <smspillaz@gmail.com>	2010-07-29

    Increment count

Sam Spilsbury <smspillaz@gmail.com>	2010-07-29

    Initialize XPolygonRegion arguments and use WindingRule

Merge: ffbb452 7200386
Sam Spilsbury <smspillaz@gmail.com>	2010-07-25

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-07-25

    Add a constructor to initialize a CompRegion from a series of CompPoint's,
    much like the XPolygonRegion construct allows for

Sam Spilsbury <smspillaz@gmail.com>	2010-07-25

    PropertyWriter went into core a while ago, no need to depend on compiztoolbox

Scott Moreau <oreaus@gmail.com>	2010-07-24

    Fix warnings.

Sam Spilsbury <smspillaz@gmail.com>	2010-07-19

    Set scale slot geometry correctly. Fixes keyboard focus moving incorrectly

Sam Spilsbury <smspillaz@XPS-U.(none)>	2010-07-12

    Determine the id of the appropriate child window and pass that as "window"
    for xbutton events in button actions.
    
    The previous behaviour was to pass the xbutton.window, but this was usually
    the frame wrapper window, which meant calls to screen->findWindow () would
    fail since this window was not in screen->windows ();

Sam Spilsbury <smspillaz@gmail.com>	2010-07-04

    Update NEWS for 0.9.0 release

Sam Spilsbury <smspillaz@gmail.com>	2010-07-04

    Fix debugging prefix

Sam Spilsbury <smspillaz@gmail.com>	2010-07-04

    Add NEWS changes from 0.7.8-0.8.6

Sam Spilsbury <smspillaz@gmail.com>	2010-07-04

    Install and load local information from XDG_HOME/.compiz-1 to prevent conflicts with compiz-0.8

Sam Spilsbury <smspillaz@gmail.com>	2010-07-02

    Fix warning in annotate

Sam Spilsbury <smspillaz@gmail.com>	2010-07-02

    Simplify serialization interface

Sam Spilsbury <smspillaz@gmail.com>	2010-06-23

    Kill debug message

Sam Spilsbury <smspillaz@gmail.com>	2010-06-23

    Add install type package vars to avoid a bug where we might install
    into "/" on some systems

Sam Spilsbury <smspillaz@gmail.com>	2010-06-19

    Revert "[PATCH] Handle dock windows with keep-below mask."
    
    This reverts commit 2fb7e4227d516cd2ba8b81e411bbfc0aca127943.
    
    Handling dock windows like this causes problems for docks that are set
    above windows (like plasma panel) we need to find a better way to handle
    these windows

Sam Spilsbury <smspillaz@gmail.com>	2010-06-18

    Kill debug messages

Sam Spilsbury <smspillaz@gmail.com>	2010-06-18

    Add COMPIZ_ENABLE_PACKAGING option so that distros with default settings for prefix, etc don't override
    what the use has specified with CMAKE_INSTALL_PREFIX
    
    Also remove install (libcompiz.so), we use compiz_opt_install_file anyways for it

Sam Spilsbury <SmSpillaz@gmail.com>	2010-06-13

    Add missing files

Sam Spilsbury <SmSpillaz@gmail.com>	2010-06-12

    A few big changes:
     * Rewrite PropertyWriter, move it out of compiztoolbox
     * Added CompPluginStateWriter, a serialization interface, which plugins inherit, and specify how to serialize their class members, which will be automatically unloaded and reloaded as plugins unload and reload.
     * Currently there are bugs with this interface, so it is disabled by default (mostly bugs to do with boost and libdl)
     * Depend on libboost-serialization
     * A few bugfixes

Adel Gadllah <adel.gadllah@gmail.com>	2010-06-05

    Install locale in standard location
    
    Translations should be in ${datadir}/locale not ${datadir}/compiz/locale

Dominique Leuenberger <dominique@messiah.leuenberger.net>	2010-06-01

    [PATCH] Cmake: give more control to packagers - allowing them to specify install
    
    Allows developers to specify libbdir, datadir and bindir, just as they are used from autotools based projects.  Additionally, this removes the need for packagers to fiddle with LIB_SUFFIX.

Sebasian Billaudelle <stein@cream-project.org>	2010-05-25

    [PATCH] Handle dock windows with keep-below mask.

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-25

    Load after decor plugin where appropriate to prevent windows shifting on plugin load and unload

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-23

    Don't dump the template once we delete a property

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-23

    Sanity check

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-23

    Add getReadTemplate function and make plugins use that.
    
    This avoids some repetitive coding when setting up values to input into the property.

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-23

    Use PropertyWriter in plugins which set window properties

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-23

    Don't require opengl or composite, but load after them if available

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-23

    Added generic X11 Window Property handler class which reads and writes
    window properties on a template

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-22

    compiz_opt_install_file already adds destdir, no need to double it

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-22

    Don't generate files to COMPIZ_DESTDIR

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-21

    Link Xext explicitly because distributions are moving in the direction of requiring strict DSO linking

Sam Spilsbury <smspillaz@gmail.com>	2010-05-19

    COMPIZ_DESTDIR support for windowsettings xml

Sam Spilsbury <smspillaz@gmail.com>	2010-05-19

    Fix DESTDIR related typo
    
    Ensure no rpath linkage in kde4-w-d gtk-w-d and blur

Danny Baumann <dannybaumann@web.de>	2010-05-19

    Return resName as CompString so it can't be modified by the caller.

Travis Watkins <amaranth@ubuntu.com>	2010-05-18

    add resName getter

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-18

    Added DESTDIR support for packaging

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-18

    Make full rpath support optional (for those who need to build in a non-standard path)

Sam Spilsbury <smspillaz@gmail.com>	2010-05-15

    Add ability to have bindings toggle scale mode

Sam Spilsbury <smspillaz@gmail.com>	2010-05-15

    Cleanup linkage handling and use rpath for plugins.
    
    rpath is generally bad because it results in stupid linkage which can
    break with distribution upgrades (which is the reason for previous
    commits which use ldconfig LIBDIR). However, it doesn't appear to be
    against any distribution's policy to use rpath for "internal" libraries
    such as plugins linking against each other - so instead of adding those
    rather generic names to the ld.so cache, just specify an rpath, since there
    is no way there would be multiple versions of a plugin at once (and even then
    plugins would have to manually link).
    
    This *does* stretch the boundaries allowed by distributions slightly however,
    since other plugins usually have to link with libcomposite and libopengl
    in order to load them, however we have our own system of safeguard checks
    to ensure that the right plugins are loaded in any case (since the linkage
    will change dynamically on dlopen () - the initial linkage is only there
    so that dlopen () will not complain when it can't find the composite and
    opengl libraries, but in that case, it wouldn't even matter anyways since
    those plugins have to be loaded in order to be useful)
    
    For distribution policy, see:
    http://wiki.debian.org/RpathIssue
    http://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath

Sam Spilsbury <smspillaz@gmail.com>	2010-05-15

    Typofix

Sam Spilsbury <smspillaz@gmail.com>	2010-05-15

    CompizToolbox depends on composite and opengl, although it really shouldn't

Sam Spilsbury <smspillaz@gmail.com>	2010-05-15

    Added compiz_ensure_linkage function and dropped some more rpath stuff

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-15

    Add necessary changes to compile without rpath usage

Sam Spilsbury <smspillaz@gmail.com>	2010-05-14

    Fix another build related typo

Sam Spilsbury <smspillaz@gmail.com>	2010-05-14

    Fix typo

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-14

    Never skip rpath

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-14

    To be similar to autofoo it should be "make dist"

Travis Watkins <amaranth@ubuntu.com>	2010-05-13

    add soversion for libdecoration

Travis Watkins <amaranth@ubuntu.com>	2010-05-13

    build fixes

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-14

    Added more commands to commands plugin.
    
    Some people use compiz as a standalone WM and require some ridiculous
    number of command shortcuts. We like to put options in to facilitate those
    people because we are nice :).

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-13

    Add compiz_add_git_dist macro to CompizCommon

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-13

    Fix warning

Merge: ae325b9 e682cc2
Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-13

    Merge branch 'master' of git+ssh://smspillaz@git.compiz.org/git/compiz/core

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-13

    Ensure that plugins get correctly loaded after composite and opengl.
    
    Some plugins had an oversight which caused them to not load correctly
    due to a missing <deps> tag. Also some plugins should have been loading
    after these plugins.
    
    This fixes a potential glitch in newer versions of libdri.
    
    It also fixes ugliness in the mass redirection/unredirection of windows
    when the opengl plugin is loaded/reloaded

Travis Watkins <amaranth@ubuntu.com>	2010-05-12

    add a simple `make dist` target

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-12

    Use configureXWindow and XConfigureWindow respectively instead of ::resize.
    
    ::resize and XMoveResizeWindow are mostly functions for internal use and they
    don't correclty configure the window the way we need it. This results
    in some weird display artefacts with the switcher popup window

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-11

    A slightly more detailed description of what "Hover Timeout" actually does

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-11

    Fix conditional jump or move being based on uninitialized values

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-09

    Read decoration settings from the decor plugin and not the decoration plugin

Sam Spilsbury <SmSpillaz@gmail.com>	2010-05-09

    Don't use pkg-config to link blur with libdecoration.
    
    Set the install rpath so that blur can be linked locally with libdecoration.
    This fixes a case where pkg-config would import wrong include files if 0.8.x
    was installed.

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-05-06

    Kill some debug messages

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-05-06

    Check to see if switcher grab does NOT exist before focusing default window
    (Previous behaviour was most likely a typo)

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-05-05

    Move dbus to utility

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-05-03

    Use corect calculation

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-05-03

    Typofix

Danny Baumann <dannybaumann@web.de>	2010-05-02

    Optionally traverse through ancestry when getting the client leader of a
    window which has no own client leader set.

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-04-29

    dbus: Use C++ bool

Merge: a4c0bd1 4719477
Danny Baumann <dannybaumann@web.de>	2010-04-28

    Merge branch 'master' of git+ssh://git.compiz-fusion.org/git/compiz/core

Danny Baumann <dannybaumann@web.de>	2010-04-28

    Add some additional accessor functions for more consistent class usage.

Sam Spilsbury <smspillaz@gmail.com>	2010-04-27

    blur: link correctly with libdecoration

Sam Spilsbury <smspillaz@gmail.com>	2010-04-23

    Don't recursively add plugins in folder

Sam Spilsbury <smspillaz@gmail.com>	2010-04-23

    Move some buildsystem defines into CompizCommon

Sam Spilsbury <smspillaz@gmail.com>	2010-04-23

    Fix double define

Sam Spilsbury <smspillaz@gmail.com>	2010-04-23

    Move certain defines to CompizCommon

Sam Spilsbury <smspillaz@gmail.com>	2010-04-23

    Use CompizDefaults to export file locations instead

Sam Spilsbury <smspillaz@gmail.com>	2010-04-23

    Revert "Exported some CMake definitions so they can be used by other compiz"
    
    This reverts commit 4bbdbba18af7023e39b1c3055db26b5408c07e63.
    
    This should better be done in CompizDefaults.cmake

Merge: 4bbdbba b7cdb45
Sam Spilsbury <smspillaz@gmail.com>	2010-04-22

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-04-22

    Exported some CMake definitions so they can be used by other compiz
    modules using CMake to work out where compiz is installed (for linking etc)

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-04-18

    Typo.

Scott Moreau <oreaus@gmail.com>	2010-04-16

    Add hint so image button appears in ccsm.

Sam Spilsbury <smspillaz@gmail.com>	2010-04-12

    Remove unneeded assignment

Sam Spilsbury <smspillaz@gmail.com>	2010-04-11

    Fix wrongly drawn window icon in 3D gtk mode

Merge: a48e55b 6b01b85
Sam Spilsbury <smspillaz@gmail.com>	2010-04-11

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-04-11

    Try and load non-rendering plugins after opengl and composite.
    
    Loading them before opengl and composite doesn't do any harm, but
    it causes an ugly flash while windows are reparented/unreparented
    then redirected/unredirected when loading plugins if compiz
    decides to insert them before the rendering plugins (since the
    rendering plugins must first be unloaded then reloaded as they are popped
    off the stack)

Danny Baumann <dannybaumann@web.de>	2010-04-07

    Fixup coding style.

Merge: e4d22a6 cf77c69
Sam Spilsbury <smspillaz@gmail.com>	2010-04-05

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam <smspillaz@gmail.com>	2010-04-05

    Fix slightly offset window decorations with certain metacity themes

Sam <smspillaz@gmail.com>	2010-04-04

    Give inotify a more meaningful name

Sam <smspillaz@gmail.com>	2010-04-04

    Move D-Bus plugin to correct category

Danny Baumann <dannybaumann@web.de>	2010-04-04

    Avoid excessive casting.

Merge: 9fe1e7f 44f71ba
Danny Baumann <dannybaumann@web.de>	2010-04-04

    Merge branch 'master' of git+ssh://git.compiz-fusion.org/git/compiz/core

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-04

    Correctly handle weird icon sizes.
    
    iw * ih may overflow the value range of unsigned long if iw and ih are
    large enough, so check the single values as well.
    
    Forward port of 1bed3dbcea6473f84745ec7a1f936c4f5d3b3a01 to master

Scott Moreau <oreaus@gmail.com>	2010-04-03

    Fix build. Errors introduced by 69c7f0cf084359d666447f4573d7cc8d8b6420d0

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-04

    Cube documentation update

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-04

    Update openGL Plugin documentation

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-03

    Composite plugin documentation update

Merge: 2f545ec 1c9d411
Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-03

    Merge branch 'master' of git://git.compiz.org/compiz/core

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix offset window buttons in 2D mode for both gtk and cairo

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix offset event window positions in cairo 2D mode bug

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix drawing issues on bottom in cairo mode

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix mis-aligned frame event windows

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix further 2D GTK drawing issues

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix offset window buttons in 2D mode for both gtk and cairo

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix offset event window positions in cairo 2D mode bug

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix drawing issues on bottom in cairo mode

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix mis-aligned frame event windows

Sam Spilsbury <smspillaz@smspillaz-desktop.(none)>	2010-04-02

    Fix further 2D GTK drawing issues

Danny Baumann <dannybaumann@web.de>	2010-03-29

    Revert broken define usage.

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-03-28

    Fix rendering and frame position inconsistencies.
    
    For metacity themes especially, we ned to use d->context to determine frame
    size.
    
    There was an API change with gdk_window_reparent, so update for that too

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2010-03-28

    Fix wrong decoration position and event handling in 2D mode

scott <scott@box1.localdomain>	2010-03-24

    Fix typo.

Sam Spilsbury <smspillaz@gmail.com>	2010-03-25

    Fix typo and cleanup

Sam Spilsbury <smspillaz@gmail.com>	2010-03-24

    Revert "Fix window position validation for windows changing size but not position"
    
    This reverts commit aea1f07bd4c4d157a26ab8571250dfa0df904144.
    
    Conflicts:
    
plugins/place/src/place.cpp           

Sam Spilsbury <smspillaz@gmail.com>	2010-03-24

    Fixed partial decorations on decor plugin reload bug

Sam Spilsbury <smspillaz@gmail.com>	2010-03-24

    Fixed deprecated symbol in gtk-window-decorator

Sam Spilsbury <smspillaz@gmail.com>	2010-03-24

    C++ port of the D-Bus Plugin
    
    With additional cleanup by Danny Baumann <dannybaumann@web.de>
    
    See http://git.compiz.org/~smspillaz/dbus/commit/?id=bd4f98234e2af517d023b0ae9501ee0a91732fc2

Sam Spilsbury <smspillaz@gmail.com>	2010-03-24

    Documentation update for CompIcon, ModifierHandler, CompOutput,
    PluginClassStorage, PluginClassIndex, CompPoint, CompRect, CompRegion and
    CompSize

Sam Spilsbury <smspillaz@gmail.com>	2010-03-24

    Fixed some documentation

Merge: 323c800 19e7e51
Sam Spilsbury <smspillaz@gmail.com>	2010-03-24

    Merge branch 'master' of ../compiz-core-doc

Sam Spilsbury <smspillaz@gmail.com>	2010-03-23

    Fixed missing left/right bits on 3d mode metacity

Danny Baumann <dannybaumann@web.de>	2010-03-19

    Cleanup

Sam Spilsbury <smspillaz@gmail.com>	2010-03-19

    Keep pixmaps around if window has been unmapped on resize.

Merge: b4d3d4e b5e0fc0
Sam Spilsbury <smspillaz@gmail.com>	2010-03-19

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-03-19

    Cleanup

Sam Spilsbury <smspillaz@gmail.com>	2010-03-19

    Added 2D Decoration mode to GTK Window Decorator

Sam Spilsbury <smspillaz@gmail.com>	2010-03-18

    Fix typo

Sam Spilsbury <smspillaz@gmail.com>	2010-03-15

    Keep pixmaps of unmapped windows around if they are used for animations.
    
    Previously, they were discarded if the window was resized right after being unmapped. As that might end close animations too early, keep the pixmap around until setting the internal state to 'unmapped'. For those cases, the pixmap size (width/height) will differ from the window geometry (attrib.width/attrib.height), though, so plugins should use the former values for animation purposes.
    
    Forward port of	54833da0e3d8efb946dcb38afe27914a47f1565f to master

Sam Spilsbury <smspillaz@gmail.com>	2010-03-15

    Remove deprecated functions and replace them with their alive counterparts.

Sam Spilsbury <smspillaz@gmail.com>	2010-03-15

    Also place windows that are marked unmovable.
    
    As we assign the window actions ourselves, there's no sense in obeying it during placement, which would (and did) essentially disable placement for certain window types.
    
    Forward port of 58f85693bc1f4e612aaf0b6f1759e1734752f1ff to master

Sam Spilsbury <smspillaz@gmail.com>	2010-03-15

    Link required libraries explicitly.

Sam Spilsbury <smspillaz@gmail.com>	2010-03-15

    Fix window position validation for windows changing size but not position
    
    Previously, we left the position of windows that have USPosition set untouched, even if they didn't try to change position at all, but only changed size. This caused such windows to become partially offscreen e.g. if they were positioned at the lower edge of the work area before the size change and increased height afterwards.
    
    Forward port of 3c16152938c44454f42d08a4b92cc46093c9a782 to master

Merge: b5e0fc0 5c15458
Kristopher Ives <kristopher.ives@gmail.com>	2010-03-11

    Merge branch 'master' of /home/kris/workspace/compiz
    
    Conflicts:
include/core/window.h           
plugins/composite/include/composite/composite.h           

Sam Spilsbury <smspillaz@gmail.com>	2010-03-09

    Cairo mode almost done. Fixed crash to do with incorrect iterator usage

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Properly calculate damage region.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Draw more finely granulated ellipse outline.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Add option to change erase size.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Use the same width for all lines.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Make corners of rectangles square while dragging.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    General reorganization and cleanup.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Add option to use initial click point as center for drawing shapes.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Add straight line drawing function.

Scott Moreau <oreaus@gmail.com>	2010-02-22

    Draw ellipses instead of circles.

Scott Moreau <oreaus@gmail.com>	2010-02-15

    Fix longstanding damage issue.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-15

    Revert "Fix longstanding damage issue."
    
    This reverts commit 6da1124112165f35bea278281e709d96066125fa.

Scott Moreau <oreaus@gmail.com>	2010-02-15

    Fix longstanding damage issue.

Guillaume Seguin <guillaume@segu.in>	2010-02-15

    Cleaner Xext dep

Guillaume Seguin <guillaume@segu.in>	2010-02-15

    Addd libXext and libdl to core links

Merge: c4ed4c1 5aad838
Sam Spilsbury <smspillaz@gmail.com>	2010-02-13

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-02-13

    Initial reparenting support

Scott Moreau <oreaus@gmail.com>	2010-02-13

    Categorize resize options.

Scott Moreau <oreaus@gmail.com>	2010-02-13

    Categorize switcher options.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-13

    Fake enlightment desktop property to make qt ignore the composite window during frame calculations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-13

    Better detection of tooltip windows (KDE backport).

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-12

    Kde 4.4 support.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-12

    Place frame windows in correct stacking order.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-12

    Unmap also the frame of minimized windows.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-11

    Clients must specify position on _NET_MOVERESIZE_WINDOW ClientMessage
    
    Only accept ConfigureRequest / _NET_MOVERESIZE_WINDOW ClientMessage
    events as placement if the application indicates that it wants to
    specify the window position.
    
    Forward port of 65ed618a5f36b795dbef69ba04ebde6b911d228c to master.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-11

    Fix screen resolution change handling

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-10

    Missing files.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-10

    Window position doesn't have to be synced to update frame window region.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-10

    Integrate the KDE/Qt event loop directly into compiz instead of using the glib main loop.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-09

    Fix typo

Merge: 9c0f5ea 1fec37d
Sam Spilsbury <smspillaz@gmail.com>	2010-02-09

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-09

    Don't break initial stacking order.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-09

    Load after decoration

Sam Spilsbury <smspillaz@gmail.com>	2010-02-09

    Fix DIV 0

Merge: 1ecf6ce fb94b80
Sam Spilsbury <smspillaz@gmail.com>	2010-02-08

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-08

    Fixed fullscreen window handling.

Danny Baumann <dannybaumann@web.de>	2010-02-07

    Simplify window removal.

Danny Baumann <dannybaumann@web.de>	2010-02-07

    Simplify window removal.

Danny Baumann <dannybaumann@web.de>	2010-02-06

    Fix selection aquiring, cleanup.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-06

    Fix invalid read

Sam Spilsbury <smspillaz@gmail.com>	2010-02-06

    Properly send ClientMessage event after aquiring selections.
    
    Send appropriate ClientMessage for both the compositing manager and the
    window manager. Also rework appropriate functions
    
    Forward port of e86e5bee8ee6f1f265a76fef5fb0dc4e2c56be06 to master

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-04

    Typo.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-04

    Fixed missing variable.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-04

    Reparent managed windows directly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-04

    Catch NULL pointers.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-04

    Fixed region handling of new windows.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-05

    plugins: fix warnings

Sam Spilsbury <smspillaz@gmail.com>	2010-02-05

    Fix typo and fix more warnings

Sam Spilsbury <smspillaz@gmail.com>	2010-02-05

    core: fix more warnings

Sam Spilsbury <smspillaz@gmail.com>	2010-02-05

    core: fix warnings

Merge: 08c22af d6769e8
Sam Spilsbury <smspillaz@gmail.com>	2010-02-05

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core
    
    Conflicts:
plugins/place/src/place.cpp           

Sam Spilsbury <smspillaz@gmail.com>	2010-02-04

    place: Improve resolution change handling.
    
    Windows are now moved/resized in a better way when changing resolution.
    
    Also, old window position and size will be remembered, so that they can be
    restored when going back to the original resolution.
    
    API changes were necessary in core, the functions ::updateStruts and ::updateWorkarea were
    moved from Private* to Comp*
    
    Forward port of 4327a7c83dc6c1fe77891ba7c6bf5023d21dfde8

Danny Baumann <dannybaumann@web.de>	2010-02-03

    Fix wrappable count.

Danny Baumann <dannybaumann@web.de>	2010-02-03

    Advertise support for _NET_REQUEST_FRAME_EXTENTS.

Danny Baumann <dannybaumann@web.de>	2010-02-03

    Improve API.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Support _NET_REQUEST_FRAME_EXTENTS client message.
    
    Forward port of ef68d2cab3598a78de9b836c86fda7741d842870 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Advertise full placement support.
    
4521a0297386e183eb0374321ad677b4b1aaee97        Forward port of commit    

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Make addSupportedAtoms wrappable and use std::vector

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Pixmaps created using glXCreatePixmap must be destroyed using glXDestroyPixmap
    
    We previously used glXDestroyGLXPixmap but this is wrong (according to GLX 1.4 spec, section 3.4.2).
    
    Forward port of 208b459b141b6d49f48796231146bb33d5dc1d26 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Apply stacking changes after configure

Merge: bc1d53a 55656e8
Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Fix possible segfault on 64-bit arch. due to passing 0 to va_list and retrieving it as pointer.
    
5a6dbfdea66620b3a6ae50540a75714e0a975ce7 to master        Forward port of commit    

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Short cut placement output determination if there is only one output.
    
    Forward port of	c02145a304e58fc502cb85499a1bbaf0dd843cea to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Added option for placing newly mapped windows under the pointer.
    
    Forward port of 89c5642c737bba9d653fa242d1e0dd03cebb8db6 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Disable texture compression by default
    
    Forward port of 7c7628f2b6ad644afa6282b96b67e74ba1c48c2b to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Revert "Update client list after unhook/insert."
    
    This reverts commit 8c7459734c497d20fd8682b2268336ba31297f73.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Update client list after unhook/insert.
    
    Forward port of d8285f4f8c6ca50b69965a225c36cdad1e456d24

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Activate the topmost window when lowering a window, unless click-to-focus is off.
    
    Forward port of 85ba708cb894658c9bf9862a311010a9b79ec6f2 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Use NULL instead of 0.
    
    Using 0 is unsafe on 64bit

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-02-02

    Fixed cmake cache problems.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Fix inaccessible windows when reducing num. of viewports.
    
    Forward port of 0b9c5efe8c2b6fe60780b8c3245b4aaa8ecdc943 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    rotate: Fix lost window by preventing edge flip for sticky windows.
    
    Forward port d8ac316d2d5790544adcef44b66c6f9f915dc6f0 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Prevent sticky windows from moving off-screen.
    
    Forward port of f02bf9d435def37d4587014a4548e8d99401f19d to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Fix lost window by bringing window made sticky to current viewport.
    
    Forward port of 4bc44131442e9dbefadcad1a46932aec44bbcada to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Fix crash in multi-screen setups.
    
    Forward port 24dea72a395071b533dcf66b2eef37b20522cbba to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-03

    Fix Gnome keybinding list.
    
    Forward port of : c409afbf928d67b4a87360ba44e5f3a1df5b471d to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Revert "Correctly reflect that the switcher window is managed."
    
    This reverts commit b27402c2460592bc3ed6c41c2b7d5cae47e79079.
    
    We should not allow plugins to directly write to w->managed, some core event should be used to set managed and recalculate the window state.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Revert "Fix typo"
    
    This reverts commit cb117afd36fd3e9efd07c2801fc9f6d79e706928.

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Fix gravity handling.
    
    Forward port of 510c24577c47eb9d373a3817e0475187631a71e8

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Only keep windows on-screen that were fully on-screen before.
    
    Forward port of 0b05a30cdc65c3abd2d1564667c954125d18514e to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Fix typo

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Correctly reflect that the switcher window is managed.
    
    Forward port of 46371f9172089a3e60648b834611d5694df2e80b to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Fix icon property reading if the icon pixmap has a depth of 1 bit.
    
    Forward port of 4c7ffc4f1d82414a466fa0768d16fa96f30e3f7a to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Fix window region calculation for windows that have border width set.
    
    Forward port of 79a275b240a98d9f64c8dd1e799e5d469ec8f204 to master

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Fix Handling of windows that have a server border set.

Merge: 9c8edd0 26bb656
Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2010-02-02

    Fix crash on opening windows
    
    We must defer match evaluation until window initialization has finished
    for all plugins as match evaluation means wrapped function calls.
    
    Forward port of 43c269a377e7b446fb1bb70732835b7395ce9524 to master

Scott Moreau <oreaus@gmail.com>	2010-02-01

    Implement shape drawing interface.

Scott Moreau <oreaus@gmail.com>	2010-01-07

    Fix typo.

Scott Moreau <oreaus@gmail.com>	2010-01-26

    Get erase button working.

Sam Spilsbury <smspillaz@gmail.com>	2010-01-22

    Fix character encoding issue

Sam Spilsbury <smspillaz@gmail.com>	2010-01-22

    Add appropriate operator overloads to CompPoint

Sam Spilsbury <smspillaz@gmail.com>	2010-01-21

    Add some documentation on how geometry () and serverGeometry () work

Dennis Kasprzyk <onestone@compiz-fusion.org>	2010-01-07

    Stupid porting bug.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-25

    Paint switcher icons at the same size.
    
    Forward port of 06f538d460b72a044e3da72f01d385890da43e84.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-25

    Remove unused switcher constants.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-25

    screenshot: Ignore files with trailing characters in the name.
    
    e.g: screenshot2.png.sig
    Forward port of 13293a056bf9a559c3f173c08ac074e5d07e7065.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-25

    wobbly: Obey move's constrain_y option.
    
    Constrains window to work area when it's thrown. Forward port from
    0d23e499774769d295509f189fbf4b7c21763ef6,
    d7e84d079ee28c3d55451d3d1aa647ce477d3169,
    57c7609a9975d760bdfd93f21c9a3d92cda206eb,
    d591d12076ec7d7c595911fbb1ac11529b5557a5,
    615d823f5edc26eaa12e83c97099c7ab0f017968,
    24dea72a395071b533dcf66b2eef37b20522cbba.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-25

    move: Don't constrain y on key/button move.
    
    Forward port from 57c7609a9975d760bdfd93f21c9a3d92cda206eb.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-24

    Don't use mipmap for icons.
    
    Forward port of 0138d355b849d675a82d57a2c293a96fff2bcaa2.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-18

    Resize constraint and snap for combined work area.
    
    Allows resizing across monitors while snapping/constraining to
    monitor work area edges.
    Forward port of 93d8762391d7c2ffedaa31f5fbb03913089e44ac,
    53976f1916a6659a75e0159a4dfbc1fb2188d34f, and
    57c7609a9975d760bdfd93f21c9a3d92cda206eb.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-18

    Add another contains method to CompRegion.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-18

    Add CompWindowGrabExternalAppMask.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-16

    Add notification for "before map".

Erkin Bahceci <erkinbah@gmail.com>	2009-12-15

    Various minor optimizations.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-15

    Use CountedList instead of std::list.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-15

    Add CountedList class, a wrapper for std::list.
    
    This std::list wrapper is to be used for cases where size() needs to be called,
    since std::list.size() has linear complexity in gcc, whereas CountedList::size()
    has constant complexity, as it keeps a counter.

Erkin Bahceci <erkinbah@gmail.com>	2009-12-14

    Fix crash when first switching after a window is minimized.
    
    In that case, the crash happened when the minimized window was
    highlighted in the switcher window.

Danny Baumann <dannybaumann@web.de>	2009-12-07

    Consolidate icon related functions and move them to window class.

Merge: 05f393a a34f26b
Sam Spilsbury <smspillaz@gmail.com>	2009-12-07

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2009-12-07

    Add a showIconOnly () virtual function to BaseSwitchScreen so that switchers can show the icon of applications only when switching

Scott Moreau <oreaus@gmail.com>	2009-12-05

    Properly expand variables.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-26

    Save right cursor coordinates.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-18

    Fixed image paths.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-18

    Less mallocs.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-18

    Speedup.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-18

    Avoid unneeded mallocs.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-18

    More getters.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-18

    Fixed build type for plugins.

Eduardo Gurgel Pinho <eduardo@mad4.Chagas>	2009-11-16

    Getters to Cube Gears plugin usage.

Scott Moreau <oreaus@gmail.com>	2009-11-09

    Reorganize scale options

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-16

    Initialize decoration with correct geometry of a reparented window.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-16

    Show decoration in a timeout to make sure that Qt gets the Reparenting related events first.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-16

    Fixed edge flipping.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-16

    Fixed action option handling.

Erkin Bahceci <erkinbah@gmail.com>	2009-11-16

    Fix selected window appearing below others while switching.
    
    Happens only in certain cases (e.g. after showing gnome-panel tooltips).

Sam Spilsbury <smspillaz@gmail.com>	2009-11-16

    Check variables in the correct order to shut up valgrind

Sam Spilsbury <smspillaz@gmail.com>	2009-11-16

    Revert "Ensure identity matrix is actually identity and not an uninitialized matrix"
    
    This reverts commit b9592cab7fc1632b98f62b3afb8e6cc773ee0d7f.

Merge: b9592ca 3e17ace
Sam Spilsbury <smspillaz@gmail.com>	2009-11-14

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2009-11-14

    Ensure identity matrix is actually identity and not an uninitialized matrix

Erkin Bahceci <erkinbah@gmail.com>	2009-11-13

    Fix typo, which caused the disappearing window issue.

Erkin Bahceci <erkinbah@gmail.com>	2009-11-06

    Add optional max grid size param. to glAddGeometry.

Erkin Bahceci <erkinbah@gmail.com>	2009-11-05

    Fix return issues.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-04

    Fixed window paint offset handling.

Merge: 9f97563 790e4b7
Kristopher Ives <kris@leetbook2.(none)>	2009-11-04

    Merge branch 'master' of git://anongit.compiz.org/compiz/core

Scott Moreau <oreaus@gmail.com>	2009-11-03

    Reorganize core options

Scott Moreau <oreaus@gmail.com>	2009-11-03

    Move rotate to desktop category and reorganize options

Scott Moreau <oreaus@gmail.com>	2009-11-03

    Move cube to desktop category and reorganize options

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-03

    Final fix for overlapping outputs.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-03

    Removed unneeded variable.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-03

    Check for overlapping Outputs.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-03

    Provide a cmake option to control -Wsign-conversion compile flag.
    
    -Wsign-conversion is now off by default.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-03

    Set cmake policy.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-03

    Rotate C++ port.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-11-03

    Cube C++ port.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-28

    Deleted auto backup files again.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-25

    Added documentation for some internal classes.
    Fixed some old comments.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-25

    Excluded *Wrap* from Doxygen.
    Fixed some old comments.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-25

    Fixed some old comments syntax.
    Added some docs for some internals to CompPlugin.
    Added some docs for some internals for CompAction.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-25

    Fixed some old /// docs.
    Added class description docs for some structs and classes.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-25

    Added early docs for CompTimer and it's methods.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-25

    Added some preliminary doc for how CompMatch works.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-24

    Added some TODO comments for WindowInterface and helper struct/enums.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-24

    Updated Doxyfile to ignore "_" and "Private" structs/classes.
    Removed plugins/ from doc. Separate Doxfile and docs/plugins is warranted.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-22

    Started documenting composite plugin.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-22

    Trying to make sure I'm not versioning autobackup files.

Kristopher Ives <kris@leetbook2.(none)>	2009-10-22

    Added Doxyfile.
    Started documenting core.

Erkin Bahceci <erkinbah@gmail.com>	2009-10-19

    switcher: Fix crash when a minimized window closes while switching with "show minimized" on.
    
    (Forward port of 354adbe10a18509e9ea736cb3ec37916524cf8c3).

Erkin Bahceci <erkinbah@gmail.com>	2009-10-18

    Add missing file with translation.
    
    (from 62be1227b85284e7a937457aa57f591a890baa02)

Guillaume Seguin <guillaume@segu.in>	2009-10-14

    Fix charsets in some po files
    (cherry picked from commit 9bacbcd32859d960fbeb67fc9acf7671313443db)

Guillaume Seguin <guillaume@segu.in>	2009-10-13

    Update translations

Sam Spilsbury <smspillaz@gmail.com>	2009-10-13

    Scale interface changes: Make the ScaleSlot, ScaleType definitions global and expose getters and setters to control slot state, animation and the hoveredWindow. Also make ScaleSlot derive from CompRect

Sam Spilsbury <smspillaz@gmail.com>	2009-10-12

    Fix typo

Merge: 70c3860 3244717
Sam Spilsbury <smspillaz@gmail.com>	2009-10-12

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Erkin Bahceci <erkinbah@gmail.com>	2009-10-01

    Link pthread (protobuf >= 2.1.0 needs it).

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-09-29

    Fixed initial size problems.

Erkin Bahceci <erkinbah@gmail.com>	2009-09-25

    move: Fix memory leak.

Erkin Bahceci <erkinbah@gmail.com>	2009-09-25

    Fix crash when glGenerateMipmapEXT is unavailable.

Danny Baumann <dannybaumann@web.de>	2009-09-14

    Check returned geometry for validity prior to using it.

Merge: 9b88320 d5c476c
Sam Spilsbury <smspillaz@gmail.com>	2009-09-09

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Erkin Bahceci <erkinbah@gmail.com>	2009-09-06

    wobbly: Snap to work area edges instead of output edges.

Joel Bosveld <joel.bosveld@gmail.com>	2009-09-04

    Include gconf directory when building gtk/gnome/compiz-window-manager.c

Merge: 082bf8c c2ca12e
Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-29

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-08-27

    Don't forget to update mipmaps.

Merge: 18fbaa1 a768bd3
Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-08-27

    Merge branch 'master' of git+ssh://git.compiz-fusion.org/git/compiz/core

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-08-27

    Fixed mouse wheel calculations by providing correct global position.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-23

    wobbly: Fix artifacts.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-23

    Let windows be opened above fullscreen windows.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-23

    Avoid setting XSelectInput to NoEventMask for grabWindow.
    
    Prevents compiz from getting stuck at termination in ~CompWindow().

Merge: 9ac4fd0 f03d305
Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-23

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Erkin Bahceci <erkinbah@gmail.com>	2009-08-21

    Silence some warnings.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-21

    Delete array with delete [].

Erkin Bahceci <erkinbah@gmail.com>	2009-08-21

    Fix memory leaks.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-21

    Remove sequences at termination.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-15

    Unsigned int conversions.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-14

    compiztoolbox: Close the user-dirs file when the XDG variable is not found.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-14

    Remove unused member variable.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-14

    Delete arrays with delete [].

Erkin Bahceci <erkinbah@gmail.com>	2009-08-14

    opengl: Fix uninitialized member variable.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-14

    copytex: Fix memory leak.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-12

    Fix possible infinite loop.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-12

    glib: Fix deallocation issues.

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-12

    Remove annotate and clone from legacy

Erkin Bahceci <erkinbah@gmail.com>	2009-08-11

    Revert "Fix panels starting below other windows."
    
    This reverts commit d6f56253b2d2ffd8be1f6283fac2a3e13a45130c.
    
    This didn't work as expected, as windows' input was still above panels
    even though windows looked like they were behind panels, whenever the
    problem happened. When fullscreen mode is initiated in evince, this
    commit also caused windows to have their input in front
    of evince's fullscreen window even though the fullscreen window appears
    to be in front of them. This in turn triggered a freeze when the user
    clicks on the screen in evince while in fullscreen mode.

Merge: 2a4208d 02dee3b
Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-11

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-11

    C++ port of the clone plugin, thanks for Erkin Baceci <erkinbah@gmail.com> for proofreading

Erkin Bahceci <erkinbah@gmail.com>	2009-08-08

    wobbly: Move disabling window paint functions to preparePaint.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-08

    annotate: Require opengl plugin.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-08

    wobbly: Disable functions in donePaint instead of preparePaint.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-08

    water: Fix typo.

Merge: 51675c3 25d96f4
Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-08

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-08

    C++ port of the annotate plugin

Erkin Bahceci <erkinbah@gmail.com>	2009-08-08

    Add plugin categories and required features.

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-08

    Use <cstring>

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-08

    Revert "Use <string>"
    
    This reverts commit 1234ee9de9950799cefd7e62e8dad2167c6ac9af.

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-08

    Use <string>

Merge: 223b935 6f4df47
Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-08

    Merge branch 'master' of git+ssh://git.compiz.org/git/compiz/core

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-08

    Remove debug message

Erkin Bahceci <erkinbah@gmail.com>	2009-08-07

    screenshot: Use correct desktop directory by default.
    
    When the directory option is set to empty string (the new default),
    screenshot now uses getXDGUserDir () in compiztoolbox to get the
    correct desktop directory (from $XDG_CONFIG_HOME/user-dirs.dirs).

Erkin Bahceci <erkinbah@gmail.com>	2009-08-07

    compiztoolbox: Add function to get XDG user dirs.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-08-07

    KDE4 window decorator KDE 4.3 port.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-08-07

    Don't update region if geometry is not in sync.

Erkin Bahceci <erkinbah@gmail.com>	2009-08-05

    wobbly: Update snapping when "snap inverted" option value changes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-08-04

    Added KAboutData.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-08-01

    Added support for posix 2008 scandir definition

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-01

    Include cstdio and others instead of their C counterparts for g++ 4.4 compatibilty

Sam Spilsbury <smspillaz@XPS-FEDORA.(none)>	2009-08-01

    Add homogenize, normalize, norm functions to GLVector from compiz-0.8

Erkin Bahceci <erkinbah@gmail.com>	2009-07-30

    C++ port of wobbly plugin.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-30

    switcher: Fix sign warnings.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-30

    More unsigned int to int conversion.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-07-31

    Changed unsigned int to int to fix warnings

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-07-31

    Handle signed/unsigned correctly

Erkin Bahceci <erkinbah@gmail.com>	2009-07-30

    Use -Wsign-conversion for compiling.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-30

    compiztoolbox: Add library linker flag.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-29

    composite: Move getTimeToNextRedraw to PrivateCompositeScreen.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-29

    composite: Added FPS limiter modes and optimalRedrawTime ().

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-07-24

    Shaped windows may have only one rectangle which is smaller than window.
    
    Fixes bugzilla.gnome.org/show_bug.cgi?id=589472

Erkin Bahceci <erkinbah@gmail.com>	2009-07-24

    Fix long standing typo.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-23

    Refactor switcher, move parts into toolbox library plugin.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-23

    Add CompRect::operator= ().

Erkin Bahceci <erkinbah@gmail.com>	2009-07-23

    Add CompScreen::normalCursor ().

Erkin Bahceci <erkinbah@gmail.com>	2009-07-21

    C++ port of screenshot plugin.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-17

    Convert Bool -> bool, TRUE -> true, FALSE -> false.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-07-17

    Use -Wall for compiling.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-15

    Fix panels starting below other windows.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-14

    inotify: Fix equality check.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-14

    Fix some compiler warnings.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-13

    Add notifications for show desktop mode.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-08

    Add hasUnmapReference and use it in decor.
    
    This prevents a window's decoration to be updated early while it
    is closing, which isn't necessary anyway. This problem leads to
    a close animation with an empty frame.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-08

    switcher: Set XClassHint for popup window.

Erkin Bahceci <erkinbah@gmail.com>	2009-07-08

    Move hide/show to PrivateWindow, add wrapper hide/show.
    
    The new hide/show are used by switcher, so that it doesn't call
    minimize/unminimize.

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-07-07

    scale: when only scaling windows on current output, only display on current one

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-07-03

    CompRect: add set{Left,Top,Right,Buttom} functions

Sam Spilsbury <smspillaz@gmail.com>	2009-07-01

    Move modifier handling into a separate top level class exposed to plugins

Sam Spilsbury <smspillaz@gmail.com>	2009-06-04

    Make bool CompWindow::isFocussable () wrappable

Sam Spilsbury <smspillaz@gmail.com>	2009-06-05

    Make CompWindow::alpha () wrappable

Danny Baumann <dannybaumann@web.de>	2009-06-04

    Minor cleanup.

Sam Spilsbury <smspillaz@gmail.com>	2009-06-04

    Use boost::bind to tell the callback function the resize mode, don't figure that out within the function itself

Merge: f06dcdd b3a2649
Erkin Bahceci <erkinbah@gmail.com>	2009-06-03

    Merge branch 'master' of git+ssh://cornelius@git.compiz-fusion.org/git/compiz/core

Sam Spilsbury <smspillaz@gmail.com>	2009-06-03

    resize: fix compositingActive check

Erkin Bahceci <erkinbah@gmail.com>	2009-06-02

    Separate clientList. Add clientList accessor.

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-05-07

    Add comments for changes to window restacking

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-04-07

    Restack windows in reverse, and stack above correct window.
    
    Previously this worked due to the order that the events arived in, however, now we want it to be stacked above correct window straight away so that we do not restack it again when configureNotify event comes through

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-04-07

    Restack window list immediately when calling reconfigureXWindow
    
    Previously, trying to restack multiple windows wouldn't work as expected, as the window list wasn't restacked until the configureNotify was recieved, which lead to it stacking the window above the wrong window

Erkin Bahceci <erkinbah@gmail.com>	2009-04-24

    Register toggle-slow-animations action callback.

Erkin Bahceci <erkinbah@gmail.com>	2009-04-19

    Add notifications for (un)minimize, (un)shade, close.

Danny Baumann <dannybaumann@web.de>	2009-04-10

    Allow overriding placement mode on a per-window basis.

Merge: dd6de55 d2d7783
Erkin Bahceci <erkinbah@gmail.com>	2009-04-08

    Merge branch 'master' of git+ssh://cornelius@git.compiz-fusion.org/git/compiz/core

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-04-06

    Add CompWindowNotifyFocusChange

Erkin Bahceci <erkinbah@gmail.com>	2009-04-03

    Add CompWindowNotifyBeforeDestroy.

Erkin Bahceci <erkinbah@gmail.com>	2009-04-03

    Add CompWindow::pendingMaps ().

Erkin Bahceci <erkinbah@gmail.com>	2009-04-03

    Add CompWindowNotifyBeforeUnmap.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-04-03

    Don't send Hide notify if window is already hidden.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-29

    Resize on shade.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-29

    Unwrap wrapper on shade.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-29

    Clear always texture list on release.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-29

    Update frame after resize.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-29

    Handle cases correctly where a window should be unmapped but isn't because a plugin increased its unmapReference.

Erkin Bahceci <erkinbah@gmail.com>	2009-03-26

    Initialize static member defaultPaintAttrib.

Erkin Bahceci <erkinbah@gmail.com>	2009-03-26

    Add incrementUnmapReference and incrementDestroyReference.

Merge: 7831ff4 bc4b825
Danny Baumann <dannybaumann@web.de>	2009-03-20

    Merge branch 'master' of git+ssh://maniac@git.compiz-fusion.org/git/compiz/core

Danny Baumann <dannybaumann@web.de>	2009-03-20

    Use inputRect method.

Danny Baumann <dannybaumann@web.de>	2009-03-20

    Add methods to get server geometry including decorations.

Danny Baumann <dannybaumann@web.de>	2009-03-20

    Add methods to get the window geometry rectangle including decorations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-20

    Register action callbacks.

Erkin Bahceci <erkinbah@gmail.com>	2009-03-18

    Add operator= to GLFragment::Attrib.

Danny Baumann <dannybaumann@web.de>	2009-03-18

    Remove leftover of previous glib plugin code and improve coding style a
    bit.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-17

    Added KDE/Qt event loop plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-17

    Added GLib event loop plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-17

    Link with libdecoration.so

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-17

    Set right property name.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-17

    Pass returned events to callback.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-17

    Update PKG_CONFIG_PATH correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-17

    Fixed timer handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Comments

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Added version check.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Better BOOST check.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Add always findcompiz_install target to allow updates of the FindCompiz macro.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Add instalation prefix pkg-config path also in FindCompiz macro.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Improved RPATH handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Install to right folder.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Added optional install, that will not abort installation if file can't be installed.

Danny Baumann <dannybaumann@web.de>	2009-03-16

    Whitespace fixes.

Danny Baumann <dannybaumann@web.de>	2009-03-16

    Expose setDesktop function.

Danny Baumann <dannybaumann@web.de>	2009-03-16

    Remove useless enum declaration.

Danny Baumann <dannybaumann@web.de>	2009-03-16

    Auto-update matches when needed.
    It makes no sense to require callers that do certain actions on matches
    to call update () when we can do so as well.

Danny Baumann <dannybaumann@web.de>	2009-03-16

    Build fixes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Added "all plugins in folder" example CMakeLists.txt

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Fixed option initalisation.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Set the right option.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Don't crash if PrivateScreen is not initialized.
    
    Set the right option.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Check CompOption::Value type before setting it as option value.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Fixed linking.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Install headers to right folder.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Support any path for plugins.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Drop CompMetadata.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Avoid unneeded recompilation after cmake execution.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-16

    Moved to legacy.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Track core changes.
    
    Use bcop.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Fix list initalisation.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Moved CompOption::Class to right class.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Track core changes.
    
    Use bcop.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Apply core changes.
    
    Use bcop.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Apply core changes.
    
    Use bcop.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Apply core changes.
    
    Use bcop.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Use bcop in core.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Removed const from getOptions.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Use CompOption::Class.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Drop CompMetadata from plugin vtable.
    
    Added getOptions and setOption functions to plugin vtable template class.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Added base class for get/setOption(s) functions.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Initialize options without CompMetadata.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Don't package legacy directory

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Moved all not yet ported files into legacy directory.

Merge: 163f6b6 47d457a
Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    Merge branch 'master' of git+ssh://git.compiz-fusion.org/git/compiz/core

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-15

    New generalized build system.

Merge: e3f9970 90b5d26
Erkin Bahceci <erkinbah@gmail.com>	2009-03-14

    Merge branch 'master' of git+ssh://cornelius@git.compiz-fusion.org/git/compiz/core

Erkin Bahceci <erkinbah@gmail.com>	2009-03-14

    Rename Private* -> PluginClass* where appropriate.
    
    To improve/correct the meaning of some class and file names, this commit renames:
    core/privatehandler.h -> core/pluginclasshandler.h
    core/privates.h       -> core/pluginclasses.h
    CompPrivateStorage    -> PluginClassStorage
    PrivateHandler        -> PluginClassHandler
    *PrivateIndex         -> *PluginClassIndex

Danny Baumann <dannybaumann@web.de>	2009-03-14

    Moving the rectangle origin should not change its size.

Danny Baumann <dannybaumann@web.de>	2009-03-14

    Catch broken plugins that try to start timers without callback.

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-03-09

    Change stringFromMetadataPathElement to return a CompString
    
    This fixes the bug where missing <precision> tags in type="float" will result in a default value of 0.0 instead of 0.1 which leads to problems when trying to get the value

Danny Baumann <dannybaumann@web.de>	2009-03-11

    Minor cleanup.

Sam Spilsbury <Sam@XPS-SUSE.site>	2009-03-10

    Added iconGeometry getter and convert priv->iconGeometry to CompRect

Danny Baumann <dannybaumann@web.de>	2009-03-11

    Derive CompWindow::Geometry from CompRect and improve CompRect usage.

Danny Baumann <dannybaumann@web.de>	2009-03-11

    Include some commonly used methods to rectangle class:
    - get center point
    - get area
    - set position and size using appropriate classes
    - emptiness check
    - intersection methods

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-10

    Support also Qt 4.4

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-10

    Added support for QT 4.5 raster graphicssystem.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-10

    Blur CompRect changes.

Eduardo Gurgel Pinho <eduardo@mad4.Chagas>	2009-03-06

    Applying CompRect changes

Eduardo Gurgel Pinho <eduardo@mad4.Chagas>	2009-03-06

    Better definition to CompRect

Christopher Williams <crdlb@compiz-fusion.org>	2009-03-09

    When a user tries to resize by clicking on the center, don't pass the input down to the window.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-09

    Fixed bluring.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-03-09

    Fixed fragment program delection/deletion.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    Build fixes.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    Always register as "compiz" to the SM, even if that doesn't match the
    binary name.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    SM spec says that SmUserID is a required property.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    Also save process ID to session manager.

Danny Baumann <dannybaumann@web.de>	2008-11-04

    Bring desktop files in line with gnome-session 2.24 changes.

Danny Baumann <dannybaumann@web.de>	2008-10-21

    Fix whitespace.

Danny Baumann <dannybaumann@web.de>	2008-10-21

    Align window menu to the right for RTL languages.

Danny Baumann <dannybaumann@web.de>	2008-10-21

    Fix fix formatting for RTL languages.

Danny Baumann <dannybaumann@web.de>	2008-10-21

    Invert button layout for RTL languages.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    Always set the LIBGL_ALWAYS_INDIRECT environment variable to 1 if indirect rendering was requested.
    All AIGLX drivers need that environment variable to return the correct set of extension strings. Other drivers probably ignore the variable, but setting it shouldn't harm in any case.
    If we don't set this environment variable from inside compiz, we're
    breaking being restored from a session manager for users of those drivers.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    Load scale after fade.

Danny Baumann <dannybaumann@web.de>	2008-10-06

    active_window_changed only updates d->active if decorations are present, so setting d->active before creating decorations may lead to incorrect results.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    Added 'obs' plugin that handles bindings and matches for changing
    opacity, brightness and saturation of a window.

Danny Baumann <dannybaumann@web.de>	2009-03-08

    Fix opacity changes for "constant fade speed" mode.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Improve session API.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Robustness fixes for "~/.compiz/options directory is deleted" case.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Fix parsing of button and key strings.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Added set method for point object.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Avoid trying to open the same file more than once.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    blur needs to be linked against libdecoration.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Fix wrong assert.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Fix geometry of fullscreen output.

Danny Baumann <dannybaumann@web.de>	2009-03-05

    Fix steps calculation.

Danny Baumann <dannybaumann@web.de>	2009-03-03

    Minor fixes and optimizations.

Danny Baumann <dannybaumann@web.de>	2009-03-03

    Added missing metadata for new options.

Danny Baumann <dannybaumann@web.de>	2009-03-03

    Added opengl plugin requirement.

Danny Baumann <dannybaumann@web.de>	2009-03-03

    Fix option tags.

Danny Baumann <dannybaumann@web.de>	2009-03-03

    Remove unresponsive window fadeout from opengl plugin.

Danny Baumann <dannybaumann@web.de>	2009-03-03

    C++ port of fade plugin.

Danny Baumann <dannybaumann@web.de>	2009-03-02

    Fix dynamic linking for the "libGL is not in ordinary path" case.

Danny Baumann <dannybaumann@web.de>	2009-03-02

    Optimizations.

Danny Baumann <dannybaumann@web.de>	2009-03-01

    Distinguish between unset and not matching option type.

Danny Baumann <dannybaumann@web.de>	2009-03-01

    Properly set lists.

Danny Baumann <dannybaumann@web.de>	2009-03-01

    Revert "Avoid warnings about wrong option type."
    
    This reverts commit 2ae100045cf31029d4afa1d7b7f0164035ec3c01.

Danny Baumann <dannybaumann@web.de>	2009-02-28

    Avoid warnings about wrong option type.
    Not sure whether we really want these warnings in the long term,
    though...

Danny Baumann <dannybaumann@web.de>	2009-02-28

    Fix coding style.

Merge: 751bec0 59423aa
Danny Baumann <dannybaumann@web.de>	2009-02-28

    Merge branch 'master' of git+ssh://maniac@git.compiz-fusion.org/git/compiz/core

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-02-27

    Fixed wrong compare function (Fixes inifinite loop).

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-02-27

    Move CompOption::isAction to a static function and use in Value::action

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-02-26

    Warn if attempting to get wrong type from CompOption::Value

Joel Bosveld <Joel.Bosveld@gmail.com>	2009-02-26

    Add conversion operators to CompOption::Value

Danny Baumann <dannybaumann@web.de>	2009-02-27

    Fix contains method and improve intersects method.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Fix excessive ping timer.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Store XWMHints structure and use it to fall back to legacy icon reading.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Coding style, optimizations.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Don't keep desktop hints set by last WM by default.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Prettify usage output.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Only use desktop from startup properties if it's actually set.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Remove key binding support from core.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Add missing metadata for gnomecompat plugin.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Add commands plugin which provides bindings for arbitrary commands.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Add missing methods.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Coding style improvements.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Pass reference instead of copying list.
    When copying the list, all autograb bindings are unregistered when the
    function is left.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Fix formatting of edge strings.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Add gnomecompat metadata to POTFILES.in

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Adapt core for gnomecompat plugin addition.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Add Gnome compatibility plugin that receives key bindings only relevant
    for Gnome.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Make sure active fullscreen windows are always on top.
    Previously, this was not the case if e.g. a dock window with above state is present.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Improve strut handling.

Danny Baumann <dannybaumann@web.de>	2009-02-26

    Added support for _NET_WM_FULLSCREEN_MONITORS property.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Revert "Do not change input focus when EnterNotify event is generated from"
    
    This reverts commit e68eb0117b32fea441c662e621e998724281aa58.
    
    Rationale:
    When doing a drag-and-drop operation from one window to another, the drop target ends up without being focussed despite the mouse pointer being in it. This is unwanted and confusing behaviour.

Danny Baumann <dannybaumann@web.de>	2009-02-06

    Also set foreground color for switcher.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Re-sync place plugin to 0.8 branch.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Set libwnck client type to "pager" so "move to desktop x" works properly together with the constraining code in place plugin.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Coding style fixes.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Get plugin loading improvements from 0.8 branch and add --debug command
    line parameter that enables logging of CompLogLevelDebug messages on
    stdout.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Coding style improvements.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Add contains method that determines if a rect contains a given point.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Fix damage if no windows are left after relayouting.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Use references to pass around strings.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    C++ port of regex plugin.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Fix &=, |=, | and & operators.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Fix crash and some memory leaks.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Add missing method declaration.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    Fix ini file path creation.

Danny Baumann <dannybaumann@web.de>	2009-02-25

    ABI version 0 means "not loaded", so better use 1.

Patrick Niklaus <marex@opencompositing.org>	2009-02-23

    Add directory hint to screenshot metadata

Danny Baumann <dannybaumann@web.de>	2009-02-22

    Scale plugin API improvements:
    - Provide getters for state, grab, window list and custom (user provided) match
    - Provide getter for "window has slot" information
    - Make relayoutSlots () a method instead of an action and allow a match
    being passed to it. If a match is provided, it overrides scale's own
    match.

Danny Baumann <dannybaumann@web.de>	2009-02-22

    Improve const correctness.

Danny Baumann <dannybaumann@web.de>	2009-02-22

    Option API improvements:
    - Better reference usage
    - Improve const correctness

Danny Baumann <dannybaumann@web.de>	2009-02-22

    Match API improvements:
    - Provide != operator and emptiness check method
    - Provide empty match
    - Improve const correctness

Merge: 2263479 27cc9c5
Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-02-13

    Merge branch 'master' of git+ssh://git.compiz-fusion.org/git/compiz/core

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-02-13

    Fixed readImageToTexture.

Christopher Williams <crdlb@compiz-fusion.org>	2009-02-11

    Fix compatibility with newer libmetacity-private versions. GtkStyle is colormap specific, so we can't use a new colormap each time we create a pixmap.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-02-11

    Little workaround for copy texture destruction after copytex plugin has been unloaded.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-02-11

    Fixed action initialisation without <default> node.

Danny Baumann <dannybaumann@web.de>	2009-02-02

    Fix plugin names in metadata.

Danny Baumann <dannybaumann@web.de>	2009-02-02

    Rename metadata files of imgpng and imgsvg plugins correctly.

Danny Baumann <dannybaumann@web.de>	2009-02-02

    Added equality operator to CompPoint.

Danny Baumann <dannybaumann@web.de>	2009-01-26

    Use references for parameters of getAllowedActions function.

Travis Watkins <amaranth@ubuntu.com>	2009-01-21

    add xkbEvent getter

Danny Baumann <dannybaumann@web.de>	2009-01-16

    Optimization.

Danny Baumann <dannybaumann@web.de>	2009-01-16

    Fix plasma check (again).

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-16

    Search for Plasma.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-16

    Added grabExist function.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-15

    Use infinite region for window type decorations of transformed windows.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-15

    Use infinite region for decorations of transformed windows.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-15

    Fixed iterator handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-14

    KDE 4.2 is not required to build compiz.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-14

    KDE 4.2 krunner dbus interface changes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-14

    Fixed KWindowInfo::geometry usage.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-14

    Added support for changed KDE 4.2 decoration API.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-14

    KDE window decorator KDE 4.2 plasma support.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-14

    Wrap handleEvent.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-12

    Fixed pkg-config files for cross plugin linking.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2009-01-06

    Fixed pkg-config check.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Fixed plugin loader.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Added opengl dependency.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Compare actions before grab setting.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Handle unmap correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Fixed problems with dynamic plugin loading.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Added opengl dependency.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Reset privates cache correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Allow to set keycode/buttons/modifiers in CompAction.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-22

    Add/Remove screen actions in CompOption::set function.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-17

    Fixed plugin dependencies in metadata.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    Install compiz-common.h

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    Fixed directory in pkg-config files.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    Fixed dependencies in pkg-config.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    Initialize variable.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    Apply core changes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    New plugin loader system

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    No special handling of core metadata.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-16

    Added more flexibility to metadata initialisation.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-15

    Initial C++ port of the blur plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-15

    Fixed private handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-15

    Delete array correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-15

    Provide direct matrix element access.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-15

    Constructor to create a GLMatrix out of a float array.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-15

    Provide access to projection matrix.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-12-15

    Make Saturation weights public.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-11-13

    Provide last paint mask.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-11-13

    Privide current damage region.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-11-13

    Added shrink region functions.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-11-04

    Optimized wrapping.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-11-04

    C++ port of scale plugin (unfinished plugin plugin interface).

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-11-04

    Provide XRectangle -> CompRect constructor.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-29

    Revert "Privode currentOutputDev."
    
    Merge mistake.
    
    This reverts commit bb9897ba04c4ac398c3218ab46d913338aeae94d.

Merge: bb9897b a1bef18
Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-29

    Merge branch 'compiz++' of git+ssh://git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-29

    Privode currentOutputDev.

Merge: b54d506 109cb2a
Danny Baumann <dannybaumann@web.de>	2008-10-20

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Danny Baumann <dannybaumann@web.de>	2008-10-20

    Fix typo.

Danny Baumann <dannybaumann@web.de>	2008-10-20

    Remove debug output.

Danny Baumann <dannybaumann@web.de>	2008-10-20

    C++ port of place plugin.

Danny Baumann <dannybaumann@web.de>	2008-10-20

    Provide initial viewport to plugins and improve const correctness.

Danny Baumann <dannybaumann@web.de>	2008-10-20

    Improve const correctness.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-16

    Rebuild plugin private index cache on plugin changes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-16

    Fixed linking.

Danny Baumann <dannybaumann@web.de>	2008-10-16

    Made dependency on opengl plugin optional.

Danny Baumann <dannybaumann@web.de>	2008-10-16

    Simplify signatures of place and validateResizeRequest functions.

Danny Baumann <dannybaumann@web.de>	2008-10-16

    Reflect changes in screen class.

Merge: 484e915 e5080c3
Danny Baumann <dannybaumann@web.de>	2008-10-16

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Danny Baumann <dannybaumann@web.de>	2008-10-16

    C++ port of SVG plugin, untested so far.
    TODO: Make dependency on opengl plugin optional, so that images can be loaded without opengl plugin loaded.

Danny Baumann <dannybaumann@web.de>	2008-10-16

    Added rectangle equality operators.

Danny Baumann <dannybaumann@web.de>	2008-10-16

    Fix typo.

Merge: 1d6177e 5e0264e
Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Merge branch 'compiz++' of git+ssh://git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Made GLTexture derive from CompRect.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Remove inputHint function and expose helper functions that show if the window is mapped, viewable or focussable.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Provide convinence functions to access window geometry.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Made CompScreen derive from CompSize.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Made CompIcon derive from CompSize.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Revert "Wrap into damageWindowRect."
    
    This reverts commit b0cd1d11423061452d5d103afa9a4de6119c31a3.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Fixed match handling.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Wrap into damageWindowRect.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Fixed applying int options.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Define USE_METACITY and USE_GCONF in the source.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Fix plugin loading.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    C++ port of PNG plugin.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Make updateDefaultIcon function public.

Danny Baumann <dannybaumann@web.de>	2008-10-14

    Better use of classes in icon and image handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Set raster position correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Switch to a damage based texture rebind.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Optimized wrapped function usage.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    C++ port of switcher plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Don't allow empty icons.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Save texture size correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Return new created icon.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Unmap frame together with window.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Link to currently installed libdecoration.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Allow changes of the default texture filter;

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-14

    Drop never implemented direct base function call.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Provide window icons as texture.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Provide access to default icon.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    CompIcon API cleanup.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Fixed header.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Getter for CompScreen activeNum.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Provide invisible cursor.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Added getter function for current output device.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Added inputHint getter function.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Added check for inotify header.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Conversion is successful if key or button bindings are equal to "Disabled".

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Check conversion result.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Make CompAction *FromString functions return the information whether the conversion was successful or not.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Fix excessive writes.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Fix event pointer.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Fix option reading and don't try to read config files for plugins without options.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    C++ port of inotify plugin (untested so far).

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Added function for retrieving the file watches.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Misc. fixes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Escape special characters in installation prefix for regular expression.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-13

    Enable wrapped screen interface functions by default.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    Act on file changes.

Danny Baumann <dannybaumann@web.de>	2008-10-13

    C++ port of ini plugin.

Danny Baumann <dannybaumann@web.de>	2008-10-10

    Avoid exception if match is empty.

Danny Baumann <dannybaumann@web.de>	2008-10-10

    Minor cleanup.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Added missing license headers.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Removed last bits of old build system.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Removed old file.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Cleanup private headers.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Cleanup .gitignore

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Cleanups.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Drop KDE3 configuration plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Drop KDE3 window decorator.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-09

    Drop autoconf/make build system.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-08

    Enable functions only if needed.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-08

    C++ port of water plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-08

    Fixed fragment interface.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Link compiz against xdamage and xcomposite to prevent segmentation faults on shutdown.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Enable functions only if needed.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Enable paint function only if needed.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Enable functions only if needed.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Allow disabled wraping.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Sleep instead of polling for short timer periods.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    C++ port of zoom plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Allso changes to screen filters.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Export redraw time and optimize redraw timer handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-07

    Added copytex to build system.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Added CMake package generation and fixed compiling

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Support config.h in build directory.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Provide pkg config files for composite and opengl plugins.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Generate compiz.pc

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Provide summary configure output and create compiz-common.h

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Move gtk/gnome specific parts to gtk/CMakeLists.txt

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Add uninstall cmake target.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Initial version of CMake build system.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Added missing header.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-06

    Added main.cpp to POTFILES.in

Danny Baumann <dannybaumann@web.de>	2008-10-05

    Handle desktops a bit better.

Danny Baumann <dannybaumann@web.de>	2008-10-05

    Also treat utility, menu and toolbar windows as group transients.

Danny Baumann <dannybaumann@web.de>	2008-10-05

    Make sure window state property is correct when mapping windows.

Danny Baumann <dannybaumann@web.de>	2008-10-05

    Use changeWindowState function.

Danny Baumann <dannybaumann@web.de>	2008-10-05

    Change state property only on managed windows.

Danny Baumann <dannybaumann@web.de>	2008-10-05

    Ignore _NET_WM_STATE_HIDDEN property changes as suggested by EWMH.

Danny Baumann <dannybaumann@web.de>	2008-10-05

    Ensure windows fit in the work area when placing them by calling the window sizing validation function.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Make viewportForGeometry not take the current viewport into account.
    As the geometry passed to viewportForGeometry is not necessarily a window, it doesn't make much sense to assume so.
    Instead, move the return-current-viewport-if-window-is-on-it logic to the defaultViewportForWindow function.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Make sure geometry rectangle is kept inside the screen area.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Fix a number of potential memleaks in XGetWindowProperty return value handling.
    If a property with 0 items was set, the return value was leaked.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Use timer to start decorator.
    When starting the decorator from initScreen, user changes to a default decorator command are not reflected correctly. When starting it _only_ from the option change notification, no decorator is started if the default is non-empty and the user never changed it.
    Compromise is using a timer and hoping that the configuration plugin has initialized all options at next mainloop iteration time (which is the case for all known configuration plugins).

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Build fix.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Use pendingMaps variable to set w->managed on MapNotify.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Only decrement pendingMaps variable when there are actually pending maps.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Cleanup: pass button and key events directly (instead of generic XEvent) into action handlers.

Danny Baumann <dannybaumann@web.de>	2008-10-04

    Call terminate function also for bindings without modifiers.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Typo & build fixes.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    When the startup ID of a window changes, move it to current viewport instead of changing to the viewport of the window.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Make sure  RGBA matching is always present for shadows.
    If the user added RGBA expressions to the match, use those.
    If the user did not add any RGBA expressions, turn off shadows for RGBA windows.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Add support for matching a window's alpha channel availability.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    There is no real reason to arbitrarily remove shadows on below state windows.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Fix memory leak.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Improve focus stealing prevention.
    - Allow window focus if currently no window or only the desktop window is focussed.
    - Rename mode "High" to "Normal" and introduce "High" mode that denies focus attempts of windows not belonging to the active application.
    - Allow focus attempts of windows of the same application in Low, Normal, High modes.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Allow mouse initiated resize not only in the 4 corners, but in all directions.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Limit number of damage rects in one screen repaint.
    If the number of rects grows too much, we're using more resources managing the damage than doing the actual drawing.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Replace return to exit loop by break.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Pass client type of _NET_MOVERESIZE_WINDOW message sender to validate function.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Add definitions for EWMH source indication values.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    On selected window changes, always clear out label first to make sure a text-changed signal is emitted to atk.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Added support for _NET_WM_MOVERESIZE_CANCEL.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Try to find the window under the pointer through the server if d->below is not valid.
    This may happen e.g. if focusDefaultWindow() is called right after moveScreenViewport(), as the EnterNotify event hasn't arrived at that time yet.

Danny Baumann <dannybaumann@web.de>	2008-10-03

    Also update d->below variable when we have a grab, so that it has the correct value after grab end.
    Needed e.g. for focussing the correct default window after viewport changes with click_to_focus disabled.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Initialize texture matrices correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Fixed decorations of initially maximized windows.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Switch to 2d only if bind failed.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Use server geometry for window reparent.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Switch to 2D decoration if pixmap decoration fails.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Removed debug code.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Fixed damage handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Added support for multiple textures in background painting.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Copy pixmap to texture plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Support for painting of multiple textures and hook for external bind pixmap to texture functions.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-02

    Provide helper typedefs.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-10-01

    Provide texture size informations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-30

    Initialize variable.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-30

    Initialize variables correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-30

    Added initial support for bind pixmap/load image to multiple textures.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-30

    Simplified privates API.

Merge: b059cc8 58617a5
Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    Merge branch 'compiz++' of git+ssh://git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    Silence compiler.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    Fixed frame shape.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    Apply core changes to plugins.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    Destroy region if needed.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    Use CompRegion in core.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    More region operators.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-25

    Adden CompRegion class.

Erkin Bahceci <erkinbah@gmail.com>	2008-09-24

    Don't damage window region on minimize/shade ending.
    
    Slightly improves performance by not damaging the full window region
    at the end of minimize and shade animations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Relayout during maximize.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Added support for 2D decorations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Apply libdecoration changes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Apply libdecoration changes.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Move frame region.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Add only root child windows.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Added support for 2D decorations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Access to window texture and matrix.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-24

    Added support for 2D decorations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-19

    Don't remove screen actions on shutdown.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-19

    Use correct event type for selection clear.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-19

    Add actions to screen after initialization.

Erkin Bahceci <erkinbah@gmail.com>	2008-09-18

    Fix reading of floats in metadata for some locales.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-18

    Fixed stacking of override redirect windows.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-17

    Move core headers into core subdirectory.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-17

    Optimize rect,point and size classes and move headers to core/*

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-17

    Cleanup CompWindow public API and move header to core/window.h

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-17

    Cleanup CompScreen public API and move header to core/screen.h

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-17

    Handle frame as stacking sibling correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-17

    Unload plugins correctly on shutdown.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Initialize variable.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Destroy frame region later, because it might still be used.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Fix log system.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Make frame not "override redirect".

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Preserve focus during reparent.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Decorate only managed windows.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Fixed lasy positioning.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Fixed variable initialisation.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Initialize window in correct order.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Apply core changes to metadata convertors.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Fixed composite plugin metadata.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Merged display and screen in resize plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Merged core, display and screen in decoration plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Merged display and screen in move plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Merge display and screen in opengl plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Merge display and screen in composite plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Fixed private fetching.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Provide a plugin option helper macro.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Fixed wrap system indices.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Fixed private handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-16

    Drop never finished object handling.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-15

    Merge CompCore and CompDisplay into CompScreen class.

Danny Baumann <dannybaumann@web.de>	2008-09-15

    Use attrib getters from within CompWindow class.

Danny Baumann <dannybaumann@web.de>	2008-09-15

    Remove getter for w->attrib and use member getters instead.

Merge: 6a7aa0c b544f2d
Danny Baumann <dannybaumann@web.de>	2008-09-15

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Merge: c18feef 951153a
Erkin Bahceci <erkinbah@gmail.com>	2008-09-14

    Merge branch 'compiz++' of git+ssh://cornelius@git.compiz-fusion.org/private/compiz into compiz++

Erkin Bahceci <erkinbah@gmail.com>	2008-09-14

    Fix list loop.

Merge: 87e2986 951153a
Danny Baumann <dannybaumann@web.de>	2008-09-11

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-11

    Handle non shaping decorators correctly.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-11

    Update frame region together with window region change.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-10

    Update frame region during frame resize.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-10

    Improved handling of the "process killer" process.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-10

    C++ port of the resize plugin.

Erkin Bahceci <erkinbah@gmail.com>	2008-09-06

    Use CompPlugin::List.

Erkin Bahceci <erkinbah@gmail.com>	2008-09-07

    Use plugin and window maps for more efficient search.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-02

    Use a timer to create decoration.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-02

    Move window in a timer to prevent racing conditions after a window reparent.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-02

    Update only valid windows on decoration manager change.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-02

    Reparent window instead of simple input frame window.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-02

    Synchronize decoration creation.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-01

    Provide a system to set the frame window region.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-01

    Update .gitignore

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-09-01

    - Added a type field to the decoration property.
    - Use a separate frame window for decorations.

Merge: 0f15e3b 1f6d68d
Danny Baumann <dannybaumann@web.de>	2008-08-29

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Send show and hide notifies at the right position.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    More flexible and ABI stable wrap system.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Fixed group transient calculation.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Added automatic unwraping.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Add object to parent, after it has been initialized in other plugins.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    C++ port of the decoration plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Send core object remove notification only if removeFromParent gets called.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Provide XDamage event base.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Provide mwm informations.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Provide XShape and XRandr event bases.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Added missing macros.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-28

    Privide access to texture mipmap parameter.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-27

    Privide access to window vertices in a Geometry class.

Merge: 812354d 86ebffd
Danny Baumann <dannybaumann@web.de>	2008-08-27

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-27

    Update paint attriubutes if window alive status changed.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-27

    Release texture on unmap.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-27

    Fixed window damage on unmap.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-27

    Added plugin initialisation helper macros.

Merge: 7b2be44 ac82488
Danny Baumann <dannybaumann@web.de>	2008-08-27

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-27

    Moved composite handling and opengl painting into separate plugins.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Typo.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Use PrivateHandler in move.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Added preprocessor/template based helper class to handle plugin privated in the background.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Added a "object" prefix to type/typename/name object functions.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Ignore more files.

Merge: 899020f d9affe8
Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Merge branch 'compiz++' of git+ssh://git.compiz-fusion.org/private/compiz into compiz++

Merge: 06aa2b6 01de7f7
Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Merge branch 'compiz++' of git+ssh://git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-25

    Shut up compiler warnings.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-24

    Save ABI in global map.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-24

    Added a global key/value storage to CompCore.

Danny Baumann <dannybaumann@web.de>	2008-08-21

    Shut up compiler.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-21

    Removed debug output.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-21

    Fix mem leaks.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-21

    Fixed segfaults.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-21

    Apply core changes to move plugin.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-21

    Shut up compiler warnings.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-21

    Cleanups.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-21

    Cleanup compiz[-core].h

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Move Plugin related function into CompPlugin header.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Moved session related functions/structs into own header and namespace.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Store Windows in a STL list.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Store Screens in a STL list.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Store displays as STL list.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Store CompGroups in a list.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Renamed ScreenPaintAttrib to CompScreenPaintAttrib.

Dennis Kasprzyk <onestone@compiz-fusion.org>	2008-08-20

    Renamed WindowPaintAttrib to CompWindowPaintAttrib.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-20

    Moved paint attributes to the right header files.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-20

    C++ port of CompMetadata.

Merge: 94de9e6 cf58366
Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-20

    Merge branch 'compiz++' of git+ssh://git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-20

    Port of CompOption and CompAction to C++.

Danny Baumann <dannybaumann@web.de>	2008-08-19

    Fix return value.

Danny Baumann <dannybaumann@web.de>	2008-08-19

    Added missing file.

Danny Baumann <dannybaumann@web.de>	2008-08-19

    C++ implementation of matrix and vector.

Merge: 3623907 79d78d3
Danny Baumann <dannybaumann@web.de>	2008-08-18

    Merge branch 'compiz++' of git+ssh://maniac@git.compiz-fusion.org/private/compiz into compiz++

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-18

    Fragment interface C++ port (not tested).

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-14

    Implementation of CompMatch as C++ class.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-13

    Moved definitions from compiz-core.h to the right headers.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-13

    Improved texture reset and shared pointer using.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-12

    CompIcon class and CompTexture cleanup.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-12

    Removed unused software cursor support.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-12

    Implemented CompTexture as real class.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-11

    Use boost function & bind to support static function and class member function callbacks.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-11

    Add Boost dependency.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-11

    Fixed screen paint timer behavior.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-11

    Implement Timeouts as CompCore::Timer class.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-11

    Rename CompMatrix to CompTextureMatrix.

Danny Baumann <dannybaumann@web.de>	2008-08-08

    Re-sync to master.

Danny Baumann <dannybaumann@web.de>	2008-08-08

    Re-sync to master.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-08

    Added new object private handling system.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-08

    Make CompObject smarter.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-07

    Fix grab handling.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-07

    Fix base class handling.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-07

    Fixed output handling.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-07

    Handle passive grabs as STL lists.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Implement screen grabs as STL list.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Use STL list to handle expose events.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Xinerama screeninfo is now a STL vector.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    More CompPoint usage.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Use CompPoint/CompSize in CompScreen.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Use CompWindow::Geometry.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Added new CompSize, CompPoint and CompWindow::Geometry classes.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    CompRect class.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    .gitignore

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Implement CompOutput as class.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Missing file.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-08-06

    Conversion ob main classes to C++.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-07-25

    Switch to c++ and compile with a basic set of plugins.

Merge: 7658928 1938bdf
Danny Baumann <dannybaumann@web.de>	2008-07-18

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-07-18

    Initialize option value correctly.

C-F Language team <i18n@opencompositing.org>	2008-07-09

    new translations and updates

Danny Baumann <dannybaumann@web.de>	2008-07-09

    Fix typo.

Merge: 63fd486 37e75d2
Danny Baumann <dannybaumann@web.de>	2008-07-03

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Erkin Bahceci <erkinbah@gmail.com>	2008-06-21

    Allow terminating scale mode while entering.

Danny Baumann <dannybaumann@web.de>	2008-07-03

    Only move focus to window on click if it wasn't focussed before.

Danny Baumann <dannybaumann@web.de>	2008-07-03

    Improve ABI version check printout.

Danny Baumann <dannybaumann@web.de>	2008-06-25

    Revert "Don't focus default window when rotating due to window activation."
    
    This reverts commit 680bac110dd60d17575078fb6ae6b76cc588cfd1.

Merge: 4035546 9b3f805
Danny Baumann <dannybaumann@web.de>	2008-06-25

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-06-25

    Add missing glib includes.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-06-24

    Use default icon, if no icon is stored in the window properties.

Merge: 680bac1 4271289
Danny Baumann <dannybaumann@web.de>	2008-06-19

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-06-19

    Don't focus default window when rotating due to window activation.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-06-18

    Added synhronized timers.
    
    compAddTimeout now has a minimal and a maximal timeout time. This allows compiz to execute multiple timers at once and prevents unnecessary wakeups.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-06-18

    Use a single shot timer to prevent recursive repaint calls, if a decoration sets its mask during repaint.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-06-17

    Update switcher text background correctly.

Danny Baumann <dannybaumann@web.de>	2008-06-15

    Fix some minor memory leaks.

Michael Vogt <mvo@ubuntu.com>	2008-06-10

    Re-sync Metacity button parsing code with Metacity to support new "spacer" feature.

Danny Baumann <dannybaumann@web.de>	2008-06-09

    Use icon geometry stored in CompWindow struct.

Danny Baumann <dannybaumann@web.de>	2008-06-09

    Bump ABIVERSION.

Danny Baumann <dannybaumann@web.de>	2008-06-09

    Store icon geometry in CompWindow struct.

Danny Baumann <dannybaumann@web.de>	2008-06-09

    Evaluate window match only for non-panel selection mode.

Danny Baumann <dannybaumann@web.de>	2008-06-09

    Revert "Update default window match to account for panel selection mode."
    
    This reverts commit 61ae58d463aa9478b282bebc62d3586a25319322.

Danny Baumann <dannybaumann@web.de>	2008-06-08

    Warning fix.

Danny Baumann <dannybaumann@web.de>	2008-06-08

    Plug some minor memory leaks.

Danny Baumann <dannybaumann@web.de>	2008-06-07

    Fix another mem leak.

Danny Baumann <dannybaumann@web.de>	2008-06-07

    Minor cleanup.

Merge: d694817 0fb90da
Danny Baumann <dannybaumann@web.de>	2008-06-07

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-06-07

    Fix a number of memory leaks.

Danny Baumann <dannybaumann@web.de>	2008-06-06

    Minor cleanup.

Merge: 45caca2 9a6a515
Danny Baumann <dannybaumann@web.de>	2008-06-04

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-06-04

    Only move placed windows on decoration size changes.
    The geometry of not yet placed windows gets adjusted in the main MapRequest handler in event.c, so if we additionally move the window in the decoration plugin, the gravity is adjusted twice.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-06-03

    Look for plasma header file in kde 4 check.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-06-03

    Revert "Look for plasma header file in kde 4 check."
    
    This reverts commit 530268326a5fd42c72f0d92a1e153d55fbb7bd96.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-06-03

    Look for plasma header file in kde 4 check.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-29

    Post release version increment.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-29

    Add NEWS entry and bump version for 0.7.6 release.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-29

    Applied libdecoration changes to gtk window decorator.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-29

    Applied libdecoration changes to kde4 window decorator.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-29

    Applied libdecoration changes to kde3 window decorator.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-29

    Merged decor_blend_(top|bottom|left|right)_border_picture function into one common function.
    
    The new ignore_src_alpha parameter tells libdecoration to ignore the alpha channel of the src picture.

C-F Language team <i18n@opencompositing.org>	2008-05-24

    translation updates

Danny Baumann <dannybaumann@web.de>	2008-05-24

    Optimizations.

Danny Baumann <dannybaumann@web.de>	2008-05-24

    Remove useless checks.
    As w->alive is unconditionally set to true when adding windows, it makes no sense to check if it's true.

Danny Baumann <dannybaumann@web.de>	2008-05-24

    Coding style fixes.

Owen W. Taylor <otaylor@fishsoup.net>	2008-05-23

    Fix initial map handling of opacity/brightness/saturation Make the handling of properties for opacity, brightness, and saturation consistent between initial map and subsequent updates: honor the properties even when the window has the DOCK type or is override redirrect.
    
    http://bugs.opencompositing.org/show_bug.cgi?id=955

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-21

    Use CompTransform for rectangle/outline painting.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-20

    The decorator won't get a button release event after resize and move, so we have to fake one to make qt act correctly.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-18

    Removed debug output code.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-18

    Disable Qt 4.4 "window less child widgets" feature to make button drawing work correctly again.

Danny Baumann <dannybaumann@web.de>	2008-05-14

    Cleanup.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-14

    Fixed cube skydome rotation.

Danny Baumann <dannybaumann@web.de>	2008-05-14

    Try to follow multi output option as close as possible when placing centered on screen.

Danny Baumann <dannybaumann@web.de>	2008-05-14

    Added option to place on output the focussed window is on.

Danny Baumann <dannybaumann@web.de>	2008-05-14

    Added optional placement to fullscreen output, which makes sense especially for smart window placement.
    Reference: http://bugs.opencompositing.org/show_bug.cgi?id=643

Daniel Lea <danlea@gmail.com>	2008-05-13

    Fix skydome animation tilt behaviour.

Danny Baumann <dannybaumann@web.de>	2008-05-13

    Don't place windows that have dock or desktop type hint set.

Danny Baumann <dannybaumann@web.de>	2008-05-13

    Don't touch ConfigureRequest events of dock and desktop windows.

Danny Baumann <dannybaumann@web.de>	2008-05-13

    Minor coding style cleanup.

Lubos Lunak <llunak@novell.com>	2008-05-13

    Save program name to session manager.
    Don't save --replace command line argument.

Merge: 40f876c 8b7d261
Danny Baumann <dannybaumann@web.de>	2008-05-10

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-05-10

    Treat edge button bindings like edge bindings.

Danny Baumann <dannybaumann@web.de>	2008-05-10

    Make edge button bindings behave more meaningfully:
    If switching was initiated by an edge button, terminate switching on edge leave and proceed on each button press.

Merge: 3b56af2 5ca3816
Danny Baumann <dannybaumann@web.de>	2008-05-09

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-05-09

    Make corner resize behaviour consistent to Metacity.

Danny Baumann <dannybaumann@web.de>	2008-05-09

    Allow keyboard and window menu initiated resize being ended by a mouse button.

Danny Baumann <dannybaumann@web.de>	2008-05-09

    Initialize starting position correctly.

Danny Baumann <dannybaumann@web.de>	2008-05-08

    Don't set demands attention state on the active window.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-06

    Applied plasma API changes.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-06

    Paint cube caps if a plugin wishes it by setting cs->paintAllViewports.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-05-06

    Reset zoomout instead of progress for inside cube.

C-F Language team <i18n@opencompositing.org>	2008-05-02

    translation updates

Jigish Gohil <cyberorg@opensuse.org name = Jigish Gohil>	2008-05-02

    remove plane from POTFILES.in

Danny Baumann <dannybaumann@web.de>	2008-05-02

    Only initiate window menu if we don't have an active grab.
    Otherwise, doing so might deadlock.

Danny Baumann <dannybaumann@web.de>	2008-05-02

    Added missing action check.

Danny Baumann <dannybaumann@web.de>	2008-05-02

    Allow minimizeWindow to minimize windows that don't have the minimize action set as this is desired e.g. for minimizing transients.
    Instead, check for the minimize action when minimization is triggered externally.

Merge: cf34309 8a5eef9
Danny Baumann <dannybaumann@web.de>	2008-04-30

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-04-29

    Added option for overriding USPosition and/or PPosition on certain windows.

Danny Baumann <dannybaumann@web.de>	2008-04-29

    Always accept PPosition hint.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-26

    Fallback to old texture target selection, to fix current broken tfp implementations. This workaround will be removed after the 0.8.0 release.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-24

    Bump core ABI.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-24

    Use full screen output if overlapping output devices have been detected. This prevents that parts of the screen get painted twice (xrandr clone modes).

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-24

    Use PAINT_SCREEN_NO_BACKGROUND_MASK instead of wraping paintBackground.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-24

    Removed wrapable background painting. The core part of the background painting code stays as a fallback, if no desktop window is present and no other plugin provides a different background solution. Plugins can use the PAINT_SCREEN_NO_BACKGROUND_MASK screen mask to disable this fallback.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-24

    Removed background painting. The compiz fusion wallpaper plugin provides a better and more flexible for viewport independent background image solution.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-24

    Follow the "texture from pixmap" specification more strictly to avoid unnecessary calls to glxQueryDrawable during pixmap binding.

Merge: b138660 56ddfec
Danny Baumann <dannybaumann@web.de>	2008-04-24

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-04-24

    Make adjustConfigureRequestForGravity return only the bits that were actually changed.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-23

    Do not try to generate mipmaps for TEXTURE_RECTANGLE targets, because the ext_frambuffer_object extension only allows this for TEXTURE_2D targets.

Roland Bär <roland@verifysoft.de>	2008-03-20

    Simplified, realloc on NULL is same as malloc

Danny Baumann <dannybaumann@web.de>	2008-04-23

    Make viewport placement options 1-based.
    Thus, the upper left viewport is (1|1) instead of (0|0), which is more intuitive.

Danny Baumann <dannybaumann@web.de>	2008-04-23

    Added sane minimum / maximum values for viewport placement.

Danny Baumann <dannybaumann@web.de>	2008-04-23

    Don't adjust configure requests of unmapped windows for gravity.
    Instead, apply gravity when mapping the window.

Danny Baumann <dannybaumann@web.de>	2008-04-23

    Only set CWX / CWY if the position was actually changed.

Merge: e591ee8 f21c3b6
Danny Baumann <dannybaumann@web.de>	2008-04-22

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-22

    Use fragment shader if a slightly saturated window texture is painted and lighting is enabled, because both can't be done with texture environments at the same time.

Merge: 9bf73a1 9f12004
Danny Baumann <dannybaumann@web.de>	2008-04-21

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-04-21

    Don't prevent focus for windows on other viewports if they are excluded from focus stealing prevention.

Danny Baumann <dannybaumann@web.de>	2008-04-18

    Don't allow to minimize/showdesktop unmanaged windows.

Danny Baumann <dannybaumann@web.de>	2008-04-18

    Remove plane plugin.
    The plane plugin has been superceded by the wall plugin in Compiz Fusion, which provides the same basic functionality as the plane plugin, but extends it by a lot more features. Current plane users are encouraged to use wall instead.

Danny Baumann <dannybaumann@web.de>	2008-04-18

    Disable resize handles for the directions the window is maximized to (leave only left and right enabled for vertically maximized windows, top and bottom for horizontally maximized windows).

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-16

    Paint a viewport in cubePaintViewport instead of calling paintTransformedOutput and postPaintViewport. This allows plugins to do things before and after viewport painting.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Also use the multi output mode selection option when placing centered.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Only accept USPosition on non-normal windows during validation if workarounds are disabled.
    Decrease indention depth.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Only update accessibility helper label if switched window has actually changed.
    Show accessibility helper label by default.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Keep switcher window property at an invalid value as long as the switcher is not active.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Properly destroy popup windows on unload.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Cleanup.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Reduce code duplication.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Update default window match to account for panel selection mode.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Added panel selection mode to switcher plugin.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Minor cleanup.

Danny Baumann <dannybaumann@web.de>	2008-04-15

    Move style window offscreen to make sure it never is visible on screen.

Guillaume Seguin <guillaume@segu.in>	2008-04-14

    Make gtk-window-decorator switcher window accessibility friendly

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Fix whitespace.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Clamp new position if a viewport match was given. If the new position was outside the visible screen area before, the window would be placed on a viewport different to the one specified otherwise.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Make the placeGetPlacementOutput function return a CompOutput pointer.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Fix warning.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Place dialogs centered on current output device rather than centered on screen.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Added option for multi output behaviour of place and added a "Place on output which has the pointer" mode.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Improve readability of placement relevance helper macro.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Fix typo.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Initialize count variable correctly.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Add helper macro for looping over all placement relevant windows.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Pass work area into cascade placement functions.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Minor optimization.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Replace placeWin function by a better structured placeDoWindowPlacement function. Placement strategy ("What should placement do to this window?") and output determination as well as work area constraining have been factored out to separete functions.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Drop glib dependency of place plugin.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Factor out cascade placement into separate function.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Skip override_redirect windows during smart placement.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Consistently use Compiz coding style.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Improve looping over all visible windows.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    window -> w

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Improve macro usage.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Replace get_window_[width|height] functions by helper macros.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Improve define order.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Better function grouping / ordering.

Danny Baumann <dannybaumann@web.de>	2008-04-14

    Remove unused code.

Danny Baumann <dannybaumann@web.de>	2008-04-13

    Factor out adjustment of configure requests for gravity in a separate function and use this function to also adjust ConfigureRequest events of unmanaged windows for gravity.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-10

    Create vertices in different order to save some computations in other plugins (expo, cubeaddon).

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-10

    Added screen mask to disable occlusion detection.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-09

    Combine projection results into one big rectangle, if vertex z values differ and only the vertex region extents get projected.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-09

    Disable backface culling during blur first pass rendering.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-09

    Moved viewport paint check into a wrapable function.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-08

    Flip cull face instead of disabling it.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-08

    Increased first pass shader buffer, to fix buffer overflows with gaussian shader radius bigger than 12.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-08

    Fetch blur texture in multiple indirection steps, if there aren't enough fragment shader temporaries.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-08

    Added glGetProgramiv to screen sturct to be able to get fragment program limitations.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-07

    Calculate rotation progress up to a finer level and damage screen if process is not zero.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-07

    Calulate cube opacity correctly on zoom out of manual rotation.

Merge: b00ffee 2e1a5b0
Danny Baumann <dannybaumann@web.de>	2008-04-07

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-04-07

    Above, shade, stick buttons are not available in Metacity <= 2.16.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-04

    C style comment.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-04

    Leave one free texture coordinate unit for fragment.position and use it also again in the blur shader. This should fix plugins that require fragment.position, if "independet texture fetch" is enabled in the blur plugin.

Danny Baumann <dannybaumann@web.de>	2008-04-04

    Keep Valgrind silent.

Merge: f231964 5c0bad3
Danny Baumann <dannybaumann@web.de>	2008-04-04

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-04-04

    If we got an empty rect, assume the button is not present.

Danny Baumann <dannybaumann@web.de>	2008-04-04

    Also set shaded flag.

Danny Baumann <dannybaumann@web.de>	2008-04-04

    Always also add the opposite button when adding a stick/above/shade button.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-03

    Post release version increment.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-03

    Add NEWS entry and bump version for 0.7.4 release.

Danny Baumann <dannybaumann@web.de>	2008-04-03

    Update German translation.

C-F Language team <i18n@opencompositing.org>	2008-04-03

    translation updates

Danny Baumann <dannybaumann@web.de>	2008-04-02

    Remove some dead code.

Danny Baumann <dannybaumann@web.de>	2008-04-02

    Allow key and button bindings being used interchangably in move and resize plugins.
    This means it's now possible (again) to e.g. initiate move via a keyboard binding and terminate it using the mouse.

Danny Baumann <dannybaumann@web.de>	2008-04-02

    Allow shading for all kinds of decorated windows.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Bump core ABI.

Erkin Bahceci <erkinbah@gmail.com>	2008-04-01

    Texture compression for image textures.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Reorder blur texture fetches, to fetch all pixels in one indirection step on radeon cards.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Added option for the independent texture fetch feature in blur.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Use constants in the shader code instead of program parameters.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Make as many as possible texture fetches independent in second pass of gaussian blur.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Make as many as possible texture fetches independent in first pass of gaussian blur.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Provide glMultiTexCoord2f in screen struct.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Bump cube ABI.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Moved multi output handling from rotate to cube to make it also work with inactive transparency.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Use cube progress to calculate cube transparency.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Pass cube progress in getRotation function.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-04-01

    Calculate a generic rotation progress value and use it to calculate the cube zoom out.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-31

    Typo.

Merge: cf5c766 a1df59c
Danny Baumann <dannybaumann@web.de>	2008-03-29

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-03-29

    Avoid unnecessarily unloading plugins if the new plugin list does not contain the core plugin.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-28

    Enable "Drag and Drop" action state for rotate flip edges.

Danny Baumann <dannybaumann@web.de>	2008-03-27

    Also maximize too-big-for-workarea windows if their placement was skipped.
    Reference: http://bugs.opencompositing.org/show_bug.cgi?id=827

Danny Baumann <dannybaumann@web.de>	2008-03-27

    Recalculate window actions on frame size and transient status changes as the available actions depend on both.

Danny Baumann <dannybaumann@web.de>	2008-03-27

    Allow minimization for all normal type windows.

Danny Baumann <dannybaumann@web.de>	2008-03-26

    If we couldn't get the timestamp for the window, try to get at least the timestamp of its transient parent for determining if the window should get focus or not.

Danny Baumann <dannybaumann@web.de>	2008-03-25

    Correctly unwrap on unload.

Merge: fe7c303 b824c7f
Danny Baumann <dannybaumann@web.de>	2008-03-25

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-03-25

    Fix a number of damage issues.

Danny Baumann <dannybaumann@web.de>	2008-03-25

    Remove all clones on unload.

Danny Baumann <dannybaumann@web.de>	2008-03-23

    Don't allow minimization of windows that don't have the minimize action set and reduce code duplication.

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Always recalculate window type and actions when changing window state.

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Recalculate window type before updating window state.
    When not doing that, certain plugins that rely on w->type being correct in the state change notification may behave incorrectly.

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Update saved window geometry when adding/removing decorations.
    Otherwise, fullscreened windows jump by the decoration size each time the window is unfullscreened.

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Don't set mask in addWindowSizeChanges if the new geometry matches the old geometry.

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Don't send out sync request when nothing changed.

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Send sync request when changing window size due to updating window attributes.

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Adjust ConfigureRequest geometry for decoration size. Reference: https://bugs.freedesktop.org/show_bug.cgi?id=13589

Danny Baumann <dannybaumann@web.de>	2008-03-17

    Don't send sync requests from reconfigureXWindow function.
    This is done on the caller side.
    Reference: http://bugs.opencompositing.org/show_bug.cgi?id=793

Merge: d902325 bcf1058
Danny Baumann <dannybaumann@web.de>	2008-03-16

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-03-16

    Use passed geometry for constraining min/max size rather than server geometry.
    The passed geometry might be different to the server geometry, so don't override the changes.

Danny Baumann <dannybaumann@web.de>	2008-03-15

    Improve comment and variable name.

C-F Language team <i18n@opencompositing.org>	2008-03-15

    compiz translation updates

Danny Baumann <dannybaumann@web.de>	2008-03-15

    Also set w->managed on MapNotify event.
    When not doing that, w->managed can be wrongly set to FALSE on a mapped, non-override_redirect window if a client maps its window and unmaps it right after that.
    Scenario:
    - client calls XMapWindow and XUnmapWindow
    - we get MapRequest, set w->managed to true and map the window by calling XMapWindow
    - we get UnmapNotify (for client unmap) and set w->managed to false
    - we get MapNotify (for our map call) and don't set w->managed to true

Danny Baumann <dannybaumann@web.de>	2008-03-15

    Bump ABIVERSION.

Danny Baumann <dannybaumann@web.de>	2008-03-15

    Add nodelay hint to flip edges.

Danny Baumann <dannybaumann@web.de>	2008-02-25

    Also use screen edge delays for DnD actions.

Danny Baumann <dannybaumann@web.de>	2008-03-15

    Added screen edge trigger delay settings.
     Plugins intending to prevent edge delays should add the metadata hint <nodelay> to their edge options.

Danny Baumann <dannybaumann@web.de>	2008-03-15

    Add option for selecting the amount of focus stealing prevention.

Danny Baumann <dannybaumann@web.de>	2008-03-15

    The largedesktop plugins are responsible for switching viewports when a window is activated.

Danny Baumann <dannybaumann@web.de>	2008-03-12

    Switch viewports on window activation, not on focus change.

Danny Baumann <dannybaumann@web.de>	2008-03-15

    Make activateWindow function wrappable so plugins can react on window activation.

Danny Baumann <dannybaumann@web.de>	2008-03-14

    When a position match is given for a window, constrain the positiong to the output for the geometry given in the match instead of the current output.

Danny Baumann <dannybaumann@web.de>	2008-03-13

    Selected selected window when terminating scale instead of the last active window.
    When not doing that, selecting a window using the button binding would fail when click-to-focus is disabled.

Jigish Gohil <cyberorg@prime.cyberorg.info>	2008-03-13

    remove wrong be translation

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Try to start decorator in initScreen because a value for DECOR_DISPLAY_OPTION_COMMAND might been already set in the xml metadata.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Use minimum and maximum "z" component for vertex projection.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Apply core changes to blur.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Use core changes in wobbly.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Use also "z" component in the vertex array, to ensure that plugins like blur that use the vertex array for calculations, can always work with all components.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Added vertexStride window variable.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Set and use w->texCoordSize;

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-12

    Unredirect top most fullscreen window also if it only covers one output device. This also fixes unredirecting of applications/games that change the display resolution.

Danny Baumann <dannybaumann@web.de>	2008-03-12

    Remove sessionInit and sessionFini wrappable functions.
    They do not work as plugins may be (and most likely are) loaded after initializing the session.
    Replace their usage for retrieving the current and previous session ID with a getSessionClientId function.
    Store previous session ID for that.

Danny Baumann <dannybaumann@web.de>	2008-03-10

    Add another overlapping output handling mode "Smart". "Smart" basically is the old "Prefer larger" mode, selecting the output most part of the rectangle is on. "Prefer larger" and "Prefer smaller" only look for the rectangle center to determine the output.

Danny Baumann <dannybaumann@web.de>	2008-03-10

    Reduce duplicated code by reusing the outputDeviceForGeometry function to implement outputDeviceForPoint. For this, treat a point x,y just as a 1x1 sized rectangle which has its upper left corner at x,y.

Danny Baumann <dannybaumann@web.de>	2008-03-10

    Clamp point/geometry to compare to visible screen area.
     When not doing that, always the current output is returned for windows that aren't visible, which is not desired.

Danny Baumann <dannybaumann@web.de>	2008-03-10

    Make outputDeviceForGeometry behave smarter when dealing with overlapping outputs.
    Currently, the current output is returned if some part of the rectangle is on it; otherwise the output device the rectangle center is on is returned. This works fine for non-overlapping outputs, but with overlapping outputs, the window center may be on multiple outputs, making the determination ambiguous.
    This patch applies the following strategy instead:
    - Determine the output the largest part of the rectangle area is on.
    - If there are multiple outputs with equally large parts, return the best output based on a user-selectable strategy.
    - Otherwise, return the output that contains the largest part.
    
    This commit also reverts large parts of commit 1a233a20d1de2b504b707fe79ad36268e683eb5d.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-10

    Initialize output size correctly.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-09

    Added an option to control the selection of an output device, if the output regions overlap in the given point (xrandr 1.2 clone mode).

Danny Baumann <dannybaumann@web.de>	2008-03-09

    Minor coding style fix.

Merge: 6c81f24 74c826b
Danny Baumann <dannybaumann@web.de>	2008-03-09

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-03-09

    Bump ABIVERSION.

Danny Baumann <dannybaumann@web.de>	2008-03-09

    Add a sessionInit and a sessionFini callback function.
    Use sessionInit to transmit information about client ids.

Danny Baumann <dannybaumann@web.de>	2008-03-09

    Generalize session event functions to have only one event function instead of four.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-06

    Post release version increment.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-03-06

    Add NEWS entry and bump version for 0.7.2 release.

Roland Bär <roland@verifysoft.de>	2008-03-05

    Avoid possible NULL pointer dereferences.

Roland Bär <roland@verifysoft.de>	2008-03-03

    Simplified logMessage()

Merge: 34ea58c 9964fd9
Danny Baumann <dannybaumann@web.de>	2008-03-05

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-03-04

    Invoke terminate function for edge buttons if button is released.
    Also set InitButton state for edge buttons.

Danny Baumann <dannybaumann@web.de>	2008-03-04

    Annotate draw is a dbus only action, reflect that in the metadata.

Danny Baumann <dannybaumann@web.de>	2008-03-03

    Don't switch viewports when a window requests to get focus.
    Instead, switch when the window actually got focus as its focus might have been prevented by focus stealing prevention, in which case the viewport change would be unexpected by the user.

Danny Baumann <dannybaumann@web.de>	2008-03-02

    Fix erase mode.
    This one improves the last attempt to fix the erase mode.

Danny Baumann <dannybaumann@web.de>	2008-03-02

    Revert "Fixed annotate erase mode."
    
    This reverts commit 40435f72073bb5747d1b63948807c207c31174b0.

Danny Baumann <dannybaumann@web.de>	2008-03-02

    Fixed annotate erase mode.

Danny Baumann <dannybaumann@web.de>	2008-03-02

    Always use the current window decoration extents instead of the custom decoration extents, which may not be currently used (e.g. if the window was excluded from decorations).
    Reference: http://bugs.opencompositing.org/show_bug.cgi?id=818

Danny Baumann <dannybaumann@web.de>	2008-03-01

    Don't try to get button positions for undecorated windows.
    Reference: https://bugs.freedesktop.org/show_bug.cgi?id=14729

Danny Baumann <dannybaumann@web.de>	2008-03-01

    Fixed annotate erase invocation and termination.

Danny Baumann <dannybaumann@web.de>	2008-03-01

    Correctly terminate move action if it was initiated by decoration button press and the button binding was not set to <some modifier>+Button1.
    Reference: http://bugs.opencompositing.org/show_bug.cgi?id=725

Danny Baumann <dannybaumann@web.de>	2008-03-01

    Clear window input extents when removing decoration from a window.
    Reference: http://bugs.opencompositing.org/show_bug.cgi?id=818

Danny Baumann <dannybaumann@web.de>	2008-03-01

    Make scaleSelectWindow wrappable so that subplugins can be notified of window selection.

Merge: 965f77b ac4902c
Danny Baumann <dannybaumann@web.de>	2008-02-27

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-02-27

    Set cancel state when ending scale the same way as it was initiated.
    When not doing that, the last active window will be activated, which might be unintended, e.g. if the window is shaded.
    In general, we want scale to only activate windows if the user selected them by either using the mouse or the Return key.

Danny Baumann <dannybaumann@web.de>	2008-02-27

    Fix warning.

Danny Baumann <dannybaumann@web.de>	2008-02-26

    Correctly reflect changes to Gnome's DPI settings.
    Gtk+ emits a style-set signal in that case.
    Reference: http://bugs.opencompositing.org/show_bug.cgi?id=791

Merge: 84a105d 81a0ca4
Danny Baumann <dannybaumann@web.de>	2008-02-26

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-02-26

    Update translatable files.

Danny Baumann <dannybaumann@web.de>	2008-02-26

    Use gettext to translate tooltips and dialog items of gtk-window-decorator.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-26

    Clear switcher content to make sure that the new background pixmap gets applied.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-26

    Rotate in right direction if hsize is 3.

Patrick Niklaus <marex@opencompositing.org>	2008-02-25

    Use visual and depth of the window to support RGBA.

Danny Baumann <dannybaumann@web.de>	2008-02-24

    Avoid possible NULL pointer dereferences.

Roland Baer <roland@Vista.(none)>	2007-09-20

    mem leak fix

Merge: 3213fe9 7d2c53a
Danny Baumann <dannybaumann@web.de>	2008-02-24

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-02-24

    Make sure a window is selected after relayouting slots.

Danny Baumann <dannybaumann@web.de>	2008-02-24

    Revert "Select window under pointer right after ending the zoom out animation, so that a mouse move is not needed for that."
    
    This reverts commit e7f9fd9d0eed0ea2f661334fc8d8550da94be7ea.

C-F Language team <i18n@opencompositing.org>	2008-02-24

    oops, readding deleted file

C-F Language team <i18n@opencompositing.org>	2008-02-23

    translation update

Danny Baumann <dannybaumann@web.de>	2008-02-23

    Select window under pointer right after ending the zoom out animation, so that a mouse move is not needed for that.
    Shift around a few functions for that.

Danny Baumann <dannybaumann@web.de>	2008-02-22

    Don't change stacking order and focus if the user cancelled scale.

Danny Baumann <dannybaumann@web.de>	2008-02-19

    Updating the window size is sufficient to reflect workarea size changes.

Danny Baumann <dannybaumann@web.de>	2008-02-19

    Update maximized window's geometry if the screen workarea changed.

Danny Baumann <dannybaumann@web.de>	2008-02-19

    Prevent switcher window being re-placed by the decoration plugin by specificying a static window gravity.

Danny Baumann <dannybaumann@web.de>	2008-02-19

    Correctly unset TermButton / TermKey state.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-18

    Revert "Query bound pixmap texture target, if the fbconfig only reports rectangle texuture support, but the texture has power of two dimensions."
    
    This reverts commit 0686a202da4d949d668b2ad029a290659b86b777.
    
    This has been already fixed in the xserver for current AIGLX and the DRI2 TTM buffer object texture from pixmap implementation in the xserver will be also fixed before a release.

Merge: a2bfb21 0686a20
Danny Baumann <dannybaumann@web.de>	2008-02-18

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-02-18

    Fix saving session client id to session manager.
    Previously, it was not possible to simply omit the --sm-client-id when connecting to the SM as new client, which was needed to get Compiz connected to KDE's session manager.
    Now, the session id is always written to the SM and not only replaces the old session ID.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-18

    Query bound pixmap texture target, if the fbconfig only reports rectangle texuture support, but the texture has power of two dimensions.
    (known as the white shadows bug)

Travis Watkins <amaranth@ubuntu.com>	2008-02-16

    [PATCH] only allow rotate to faces that exist

Danny Baumann <dannybaumann@web.de>	2008-02-15

    Don't showdesktop grabbed windows.

Danny Baumann <dannybaumann@web.de>	2008-02-15

    Don't overwrite new client id with the one passed via command line.

Danny Baumann <dannybaumann@web.de>	2008-02-14

    Export session client id to sessionSaveYourself.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-12

    Do no register core path twice.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-12

    Do not try to produce broken introspection information for unknown option types.

Christopher Williams <christopherw@verizon.net>	2008-02-08

    Fix KDE3 and KDE4 configure checks.

Danny Baumann <dannybaumann@web.de>	2008-02-08

    Don't allow minimization of skip taskbar dialogs.
    Added a comment explaining why.

Danny Baumann <dannybaumann@web.de>	2008-01-30

    Added wrappable callback functions for session management events.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-07

    Post release version increment.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-07

    Add NEWS entry and bump version for 0.7.0 release.

Danny Baumann <dannybaumann@web.de>	2008-02-07

    Use outputDeviceForGeometry function for implementing outputDeviceForWindow
    to get rid of code duplication.

Merge: c3f2d5e 155efce
Danny Baumann <dannybaumann@web.de>	2008-02-07

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-02-07

    Disable "Slow animations" key by default.
    This option has uses for debug and demo purposes only, but is not relevant for normal usage, so it should be unassigned by default.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-07

    Fixed handling of autogenerated files to make distcheck work again.

Merge: d916969 a0d236e
Danny Baumann <dannybaumann@web.de>	2008-02-04

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-02-04

    Fixed list parsing.

Danny Baumann <dannybaumann@web.de>	2008-02-04

    Beautification.

Randolph Chung <randolph@tausq.org>	2008-02-04

    Fix operator order.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Watch for plasma theme changes.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Set switcher backgound pixmap instead of only a color.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Use Plasma::Svg and some code from Plasma::Dialog to paint directly into a QPixmap.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Do not resize the decoration widget to the wrong dimensions first.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Set switcher selection color.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Allow the window decorator to change the selection rectangle color.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Add atom define that allows the decorator to change the color of the selection rectangle of the switcher window.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Removed old switcher code.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Include only needed headers.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Set blur property for the switcher window.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Use Plasma to draw the application switcher window.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-02-01

    Link against Plasma.

Danny Baumann <dannybaumann@web.de>	2008-01-31

    Give switcher window active window decorations.

Danny Baumann <dannybaumann@web.de>	2008-01-31

    Bump decorator interface version as decoration atom names changed.

Danny Baumann <dannybaumann@web.de>	2008-01-31

    Make decoration atom names part of the decoration interface.
    If those atom names do not match between decorator and decoration plugin, the decorator will be useless; so it makes sense to include them in the interface.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    Use new atom names.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    Use new atom names.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    Update to new atom names.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    Use _COMPIZ_ prefix for all decoration related atoms.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    Use _COMPIZ_ prefix for all non stadardized decoration manager atom names.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    Use _COMPIZ_ prefix to symbolize that this is a compiz private atom.

Merge: 176a811 41b3fd8
Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/app/compiz

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-30

    The KDE4 window decorator now only uses public KDE API (version >= 4.0.1) to build.
    
    Thanks to Lubos Lunak for making all needed parts public in KDE.

C-F Language team <i18n@opencompositing.org>	2008-01-29

    translation update

Merge: 327367d 3afa19f
Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-28

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2008-01-28

    Minor coding style enhancement.

Guillaume Seguin <guillaume@segu.in>	2007-07-28

    * Add snap_bottom option
    
    * Do not snap when there are only 2 viewports

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-27

    Check only for public KDE 4.0 decoration headers. (Will be available in 4.0.1 and 4.1)

Merge: 0d27505 38e48f9
Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-24

    Merge branch 'master' of git+ssh://onestone@git.freedesktop.org/git/xorg/app/compiz

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-22

    Added kde-window-decorator KDE 4 port.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-22

    Added KDE4 configure checks.

Erkin Bahceci <erkinbah@gmail.com>	2008-01-10

    Do librsvg initialization/termination.
    
    Fixes the broken svg loading due to GLib-GObject-CRITICAL errors.

Danny Baumann <dannybaumann@web.de>	2008-01-20

    Allow minimizing non-transient dialog windows.
    Transient child dialog can be minimized by minimizing their parent, but non-transients can not; which is why we should allow them to be minimized.
    This change also allows that every window which has the minimize action allowed to be minimized by external applications (such as the decorator), which should be desired behaviour anyway.

Danny Baumann <dannybaumann@web.de>	2008-01-20

    Allow maximizing dialog windows.
    If the app doesn't intend to prevent size changes for the dialog (by setting minimum/maximum size constraints), there's no reason why we should prevent dialog maximization.

Danny Baumann <dannybaumann@web.de>	2008-01-16

    On shading, set input focus after setting the hidden state to make sure that the frame is properly focussed.

Dennis Kasprzyk <onestone@opencompositing.org>	2008-01-15

    Wait for the proper configure (and map) events before rebinding the decoration pixmap.
    
    - On some systems the decoration widget window gets mapped first and resized after the map. KWD used a wrong window pixmap in this case.

Compiz Fusion l10n team <i18n@opencompositing.org>	2008-01-10

    Translations update

Michael Vogt <mvo@ubuntu.com>	2008-01-08

    [PATCH] metadata/schemas.xslt: - fix generation of the active_plugin list in the schema file

C-F Language team <i18n@opencompositing.org>	2007-12-22

    translation updates

Dennis Kasprzyk <onestone@opencompositing.org>	2007-12-19

    Decorate "menu" window type windows.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-12-19

    Add window actions "menu" type windows (ex. gimp detached menus).

Dennis Kasprzyk <onestone@opencompositing.org>	2007-12-19

    Damage window extents correcly of windows with borders.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-12-19

    Draw cube caps correctly in inside cube mode.

Merge: b762222 ceb2a71
Danny Baumann <dannybaumann@web.de>	2007-12-16

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-12-16

    Change behaviour when an error on regex creation is encountered.
    Until now, on match handler was registered in that case. This leads to a compiz crash at the time the match is evaluated.
    Now, the handler is registered without regex data and the match is just evaluated to FALSE.

C-F Language team <i18n@opencompositing.org>	2007-12-12

    translation updates

Danny Baumann <dannybaumann@web.de>	2007-12-05

    Correctly reset hoveredWindow variable on invoking scale.

Merge: 079c30e a29c944
Danny Baumann <dannybaumann@web.de>	2007-12-04

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-12-04

    Make sure that
    - transients and ancestors are always stacked correctly
    - sync requests are sent out appropriately
    whenever configureXWindow is called.

Danny Baumann <dannybaumann@web.de>	2007-12-04

    Only maximize windows that intend to be resized larger than the work area in both directions.

David Reveman <davidr@novell.com>	2007-12-03

    Add _NET_WM_STATE to _NET_SUPPORTED.

Danny Baumann <dannybaumann@web.de>	2007-11-27

    Fix calculations.

Danny Baumann <dannybaumann@web.de>	2007-11-26

    Cleanup.
    Also only clip placement on one side per direction. Windows that are outside the workarea on both sides can't be clipped properly anyways.

Alyssa Hung <deciare@isisview.org>	2007-11-25

    * Also account for window borders when ensuring that transient windows are fully visible on the current workspace.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-11-19

    Use the kwin translation catalogue to provide a translated window menu.

Jürgen Kreileder <jk@blackdown.de>	2007-11-16

    Fix copy'n'paste mistakes.

Danny Baumann <dannybaumann@web.de>	2007-11-16

    Make the window frame also process the configured actions for middle and right mouse button click, so that the frame behaves the same way as the title.
    Double click and scroll actions still are title-only as those actions are more "invasive" and might be confusing if triggerable from the frame.

Δημήτρης (djdoo) <jimdusis@yahoo.gr>	2007-11-15

    el translation update

Δημήτρης (djdoo) <jimdusis@yahoo.gr>	2007-11-15

    el translation update

Jigish Gohil <cyberorg@prime.cyberorg.info>	2007-11-15

    nb translation updated from Ketil W. Aanensen <ketil.w.aanensen@gmail.com>

Jigish Gohil <cyberorg@prime.cyberorg.info>	2007-11-15

    ko translation updates from Lee June Hee <bugbear5@gmail.com>

Jigish Gohil <cyberorg@prime.cyberorg.info>	2007-11-15

    fr translation update from Tristan RABLAT <tristan.rablat@gmail.com>

Jigish Gohil <cyberorg@prime.cyberorg.info>	2007-11-15

    pl translation from Maciej Warnecki <maciekw5@gmail.com>

Jürgen Kreileder <jk@blackdown.de>	2007-11-15

    Fix smart placement client size calculations.

Danny Baumann <dannybaumann@web.de>	2007-11-13

    NULL is allowed as sibling value, too.

Merge: 58a6c8f 0c7c72a
Danny Baumann <dannybaumann@web.de>	2007-11-12

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Roland Baer <roland@Vista.(none)>	2007-09-24

    Return in out of mem condition

Danny Baumann <dannybaumann@web.de>	2007-11-11

    Give options passed over the command line priority over ones from gconf.
    To do that, store flags which options were passed and don't use the gconf values for those.

Steven Robertson <nihilismwow@gmail.com>	2007-11-11

    Fix window unsnapping for vertically arranged Xinerama heads.

Danny Baumann <dannybaumann@web.de>	2007-11-11

    Avoid possible dereference of NULL pointer; and fix duplicate variable declaration.

Danny Baumann <dannybaumann@web.de>	2007-11-11

    Fix dbus paths (shadow_offset_x/y -> shadow_x/y_offset).

Danny Baumann <dannybaumann@web.de>	2007-11-11

    Fix typos.

Danny Baumann <dannybaumann@web.de>	2007-11-11

    Wrap setOptionForPlugin function.

Danny Baumann <dannybaumann@web.de>	2007-11-11

    The display dbus path is now "display", no longer "allscreens".

Danny Baumann <dannybaumann@web.de>	2007-11-09

    The sibling found by findSIblingBelow might already be the active window, so include it in check.

Danny Baumann <dannybaumann@web.de>	2007-11-08

    Move restacking due to focus stealing prevention to updateWindowAttributes function.
    Rationale: This saves one unnecessary restack operation. Additionally, it has the advantage of automatically getting transient and ancestor stacking right without a separate decision tree.

Danny Baumann <dannybaumann@web.de>	2007-11-08

    Factor out retrieving the highest valid sibling under a given window into a separate function.

Danny Baumann <dannybaumann@web.de>	2007-11-07

    Don't restack ancestors on initial map.
    Rationale: A newly opened window most likely is put on top of the stack, thus the ancestors are raised. If the new window is denied focus later, the ancestors remain raised, which we do not want to happen.

Danny Baumann <dannybaumann@web.de>	2007-11-05

    tr translation update (closes #13094)

Danny Baumann <dannybaumann@web.de>	2007-11-05

    Fix whitespace.

Roland Baer <roland@Vista.(none)>	2007-11-05

    Removed dead condition/code
    
    Minor

Danny Baumann <dannybaumann@web.de>	2007-11-05

    Clip transient child placement to parent output instead of current output.

Danny Baumann <dannybaumann@web.de>	2007-11-05

    Minor optimization

Danny Baumann <dannybaumann@web.de>	2007-11-03

    Fix typo.

Danny Baumann <dannybaumann@web.de>	2007-11-03

    Prevent transient children being stacked below their parent if their focus was denied.

Danny Baumann <dannybaumann@web.de>	2007-11-03

    Bump ABIVERSION.

Danny Baumann <dannybaumann@web.de>	2007-11-03

    Whitespace fixes.

Danny Baumann <dannybaumann@web.de>	2007-10-23

    Avoid unnecessarily constraining window size.

Danny Baumann <dannybaumann@web.de>	2007-10-22

    Try to maximize window if it requested to be resized larger than the work area.

Danny Baumann <dannybaumann@web.de>	2007-10-22

    Improve calculations.

Danny Baumann <dannybaumann@web.de>	2007-10-22

    Added wrappable validateWindowResizeRequest function that can be used to adjust window resize request processing. Made place plugin wrap into this function and ensure the window remains inside the work area.

Merge: 93d8d8b 868bb72
Danny Baumann <dannybaumann@web.de>	2007-11-01

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-11-01

    Compare to wmType, not type variable.
    Docks that have below state flag shouldn't be hidden in showdesktop mode, so we have to have a look at the real window type.

David Reveman <davidr@novell.com>	2007-10-30

    Add --sm-disable option to kwd.

David Reveman <davidr@novell.com>	2007-10-30

    Reparent window just before mapping it and avoid hiding it
    when reloading decorations.

David Reveman <davidr@novell.com>	2007-10-30

    Don't remove WType_TopLevel bit when reloading decorations.

David Reveman <davidr@novell.com>	2007-10-30

    Make mCompositeWindow an X window instead of a QWidget.

Merge: a0e5a42 168c7c3
David Reveman <davidr@novell.com>	2007-10-30

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/app/compiz

David Reveman <davidr@novell.com>	2007-10-30

    Remove whitespaces.

David Reveman <davidr@novell.com>	2007-10-30

    Reparent window instead of flipping the WType_TopLevel bit.

Danny Baumann <dannybaumann@web.de>	2007-10-29

    Fix call argument.

Danny Baumann <dannybaumann@web.de>	2007-10-29

    Move focusDefaultWindow function from display.c to screen.c.

Danny Baumann <dannybaumann@web.de>	2007-10-29

    Make focusDefaultWindow() take the screen as parameter.
    This avoids focus jumping between screens.

Danny Baumann <dannybaumann@web.de>	2007-10-29

    fr translation update (closes #12918).

Danny Baumann <dannybaumann@web.de>	2007-10-29

    pt_BR translation update (closes #12861).

Danny Baumann <dannybaumann@web.de>	2007-10-24

    Use CompVector.

Danny Baumann <dannybaumann@web.de>	2007-10-24

    Whitespacing.

Danny Baumann <dannybaumann@web.de>	2007-10-27

    Added CompVector type for describing vectors.
     Make the matrix and vector multiplication functions use CompTransform and CompVector as arguments.

Danny Baumann <dannybaumann@web.de>	2007-10-24

    Complete comment.

Danny Baumann <dannybaumann@web.de>	2007-10-27

    Added some matrix functions that can be useful for plugins.

Danny Baumann <dannybaumann@web.de>	2007-10-24

    Whitespacing.

Danny Baumann <dannybaumann@web.de>	2007-10-24

    Avoid duplicated defines.

Danny Baumann <dannybaumann@web.de>	2007-10-23

    Whitespace fixes.

Danny Baumann <dannybaumann@web.de>	2007-10-23

    Get rid of cached values for paint modifier options.

Danny Baumann <dannybaumann@web.de>	2007-10-23

    Allow DnD for scale edges.

Danny Baumann <dannybaumann@web.de>	2007-10-23

    Don't switch to selected window if switcher was cancelled.

Danny Baumann <dannybaumann@web.de>	2007-10-19

    Fix typo.

Danny Baumann <dannybaumann@web.de>	2007-10-19

    Also check if parent's Y coordinate is inside the current viewport.

Danny Baumann <dannybaumann@web.de>	2007-10-19

    We don't need to constrain y movement after placing transients.

Danny Baumann <dannybaumann@web.de>	2007-10-19

    Fix typo.

Danny Baumann <dannybaumann@web.de>	2007-10-19

    Set demands_attention hint everytime window focus was prevented.

Merge: f0334e1 c9b1172
Danny Baumann <dannybaumann@web.de>	2007-10-18

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-10-18

    Also set demands attention hint if focus was prevented because a window is on another viewport.
    Simplify code for setting demands attention if the focus stealing prevention match has applied.

Danny Baumann <dannybaumann@web.de>	2007-10-18

    Check inside of changeWindowState if state was actually changed instead of on the caller side.

Danny Baumann <dannybaumann@web.de>	2007-10-17

    Minor cleanup.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-10-17

    Use window Offsets to paint correct background.

Danny Baumann <dannybaumann@web.de>	2007-10-17

    Fix in-viewport calculation.

Danny Baumann <dannybaumann@web.de>	2007-10-17

    Prevent wobbling when shading maximized windows.

Danny Baumann <dannybaumann@web.de>	2007-10-17

    Added clear button option.

Danny Baumann <dannybaumann@web.de>	2007-10-17

    Added button options for minimize window and toggle window maximized.

Danny Baumann <dannybaumann@web.de>	2007-10-17

    Added close window button and raise/lower window key options.

Danny Baumann <dannybaumann@web.de>	2007-10-17

    Always allow focus for active window.

Danny Baumann <dannybaumann@web.de>	2007-10-16

    putenv doesn't work properly with dynamically allocated strings that are free'd right after the putenv call.

Danny Baumann <dannybaumann@web.de>	2007-10-16

    Run external commands with a DISPLAY string adjusted for the screen number that was passed to runCommand.

Danny Baumann <dannybaumann@web.de>	2007-10-16

    Get private pointer for the current screen.

Tomas Carnecky <tom@dbservice.com>	2007-10-12

    Start window decorator on all screens.

Danny Baumann <dannybaumann@web.de>	2007-10-16

    Use real screen number rather than 0.

Danny Baumann <dannybaumann@web.de>	2007-10-16

    Use real screen number rather than 0.

Merge: af11408 a999783
Danny Baumann <dannybaumann@web.de>	2007-10-16

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-10-15

    Only send synthetic ConfigureNotify when ignoring ConfigureRequest events.
    We don't need to send a synthetic configure notify otherwise because we don't reparent.

Danny Baumann <dannybaumann@web.de>	2007-10-15

    Cleanup.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-10-15

    getWindowMovementForOffset should always return correct values, also for too big offsets.

Danny Baumann <dannybaumann@web.de>	2007-10-15

    We have to send the WM_TAKE_FOCUS message even if we directly set the input focus.

Merge: 3a5a0c3 f26e7e6
Danny Baumann <dannybaumann@web.de>	2007-10-15

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-10-13

    Clear all coordinates that match the server coordinates from the configure request mask to make sure a synthetic configure notify event is sent whenever needed.

Merge: 8069a92 00e3b95
Danny Baumann <dannybaumann@web.de>	2007-10-12

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-10-11

    Minor cleanup.

Danny Baumann <dannybaumann@web.de>	2007-10-11

    Update saved window coordinates when window is resized by some client.

Danny Baumann <dannybaumann@web.de>	2007-10-11

    We have a CompScreen* variable, use it.

Danny Baumann <dannybaumann@web.de>	2007-10-11

    Use client message timestamp rather than window user time when processing focus stealing prevention on _NET_ACTIVE_WINDOW messages.

Danny Baumann <dannybaumann@web.de>	2007-10-11

    Don't prevent focus for desktop and dock windows on arrival of a _NET_ACTIVE_WINDOW message.

Danny Baumann <dannybaumann@web.de>	2007-10-10

    Also update saved X position.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Fixed window offset calculation for multihead configurations.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Use setWindowPaintOffsets instead of moveScreenViewport in plane.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Use getWindowMovementForOffset in moveScreenViewport.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Use setWindowPaintOffsets instead of moveScreenViewport in cube.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Bump core ABI.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Added support for window paint offsets into painting system.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Added function to calculate window movement for a given offset.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Initialize windowOffsetX/windowOffsetY correctly.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Added new PAINT_WINDOW_WITH_OFFSET_MASK mask that indicates that a window will be painted with an offset.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Added setWindowPaintOffset function.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Use windowOnAllViewports in moveScreenViewport.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-27

    Added windowOnAllViewports function.

Danny Baumann <dannybaumann@web.de>	2007-10-08

    Fix typo.

Danny Baumann <dannybaumann@web.de>	2007-10-08

    Immediately update the internal stack representation on stack changes caused by MapRequest events.
    If we don't do that, the window is still at the top of the stack until the ConfigureNotify event arrives, which might be an invalid position. This could make subsequent stacking attempts (e.g. if there are more MapRequest events before the ConfigureNotify event) fail because the window might block other windows from getting their valid stack position.

Danny Baumann <dannybaumann@web.de>	2007-10-06

    Fix findLowestSiblingBelow function for desktop windows.
    No other windows are valid to be stacked below desktop windows.

Merge: d54b5a5 674c062
Danny Baumann <dannybaumann@web.de>	2007-10-06

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-10-06

    Correct handling of grab window in case it is destroyed.

Danny Baumann <dannybaumann@web.de>	2007-10-06

    Fix handling of ConfigureRequest events with CWStackMode set, but without CWSibling set.

Danny Baumann <dannybaumann@web.de>	2007-10-04

    Always use the old geometry passed to addWindowSizeChanges for comparisons.
    It's not guaranteed that the old geometry is exactly the same as the server geometry.

Danny Baumann <dannybaumann@web.de>	2007-10-04

    glGetString is allowed to return NULL in case an error happened, so avoid crashing in this case and bail out instead.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    Remove initial stack sanitization.
    It's functionality is already done by addWindow (in case the window was mapped on startup) or the MapRequest handler.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    Send synthetic configure notify events where needed according to ICCCM chapter 4.1.5.
    Specifically, we have to send them when
    a) moving or restacking a window without resizing it
    b) not reacting to ConfigureRequest events.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    Don't touch override_redirect windows on initial sorting.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    An aboveId of None means that the window was placed on bottom of the stack, so also update the linked list accordingly.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    Don't restack desktop windows. They are placed correctly by updateWindowAttributes.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    Fix variable naming.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    Sort windows that are present before the WM starts.
    The sort is done according to a window layer check.

Danny Baumann <dannybaumann@web.de>	2007-10-02

    We always need to restack windows on map. Newly created windows are placed on top of the stack first, which is not desired for some windows that may be denied focus (such as desktop windows).
    This commit reverts commit 67648904b15c7781000a212a122b558a2d2afcf6.

Danny Baumann <dannybaumann@web.de>	2007-10-01

    Focus default window after switching viewports.

Danny Baumann <dannybaumann@web.de>	2007-09-28

    We don't need to care about converting the returned name string.
    This is done inside of KDE.

Danny Baumann <dannybaumann@web.de>	2007-09-28

    Move input (if desired) focus after mapping the window.

Danny Baumann <dannybaumann@web.de>	2007-09-28

    Use focus stealing prevention for application initiated active window change requests.

Danny Baumann <dannybaumann@web.de>	2007-09-28

    Delete property first and delete frame window after that to avoid race conditions.
    As the requests are processed in order by the server, otherwise other clients still may see a frame window ID in the property for a non-existing frame.

Danny Baumann <dannybaumann@web.de>	2007-09-27

    el translation update. Closes bug #12593.

Danny Baumann <dannybaumann@web.de>	2007-09-27

    Fix warning.

Danny Baumann <dannybaumann@web.de>	2007-09-27

    Fix full window frame being painted once after shading.
    Added commit explaining the workaround.

Danny Baumann <dannybaumann@web.de>	2007-09-27

    Fix map and restack ordering.
    unminimizeWindow already contains a XMapWindow call, so minimized windows that are unminimized and then restacked by the focus stealing prevention are first mapped, then restacked; which led to ugly flashing.
    The new code makes sure windows are always first restacked, then mapped.

Danny Baumann <dannybaumann@web.de>	2007-09-27

    Don't restack windows on map if their focus should be prevented.

Danny Baumann <dannybaumann@web.de>	2007-09-27

    Support restack requests in ConfigureRequest events.

Danny Baumann <dannybaumann@web.de>	2007-09-27

    Rename focusWindowOnMap to allowWindowFocus and make it use the current window viewport, not the initial one.

Danny Baumann <dannybaumann@web.de>	2007-09-26

    Update decoration with a timer after resize.
    decorWindowUpdate may call windowResizeNotify via calling updateWindowOutputExtents.

Danny Baumann <dannybaumann@web.de>	2007-09-25

    Sort LINGUAS list alphabetically and remove duplicate item.

Danny Baumann <dannybaumann@web.de>	2007-09-25

    Translation updates for gl, nb, sv and tr.
    Closes bug #12556.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-24

    Make sure that unredirected windows get redirected on unmap.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-24

    Make sure that everything is painted, if another plugin requests it.

Danny Baumann <dannybaumann@web.de>	2007-09-24

    Make sure the position is randomized only for windows that are smaller than the workarea.
    Otherwise, the mod operator may be called for numbers smaller or equal than 0, leading to a crash.

Merge: fc9a738 27fe04f
Danny Baumann <dannybaumann@web.de>	2007-09-22

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-09-22

    Bump ABIVERSION.

Danny Baumann <dannybaumann@web.de>	2007-09-22

    Minor beautification.

Danny Baumann <dannybaumann@web.de>	2007-09-22

    Added paintAllViewports variable.
    Plugins hooking into cube can use this variable to force cube to paint all viewports.

Danny Baumann <dannybaumann@web.de>	2007-09-22

    Added CubePostPaintViewportProc.
    This function can be used by plugins that want to paint on the viewport transformed by cube.

Danny Baumann <dannybaumann@web.de>	2007-09-21

    Greek translation update by jimdusis@yahoo.gr.

Danny Baumann <dannybaumann@web.de>	2007-09-21

    Use matrixTranslate instead of ScreenPaintAttrib.

Danny Baumann <dannybaumann@web.de>	2007-09-21

    Use matrixTranslate instead of ScreenPaintAttrib.

Danny Baumann <dannybaumann@web.de>	2007-09-21

    Don't wrap into functions when not needed.

Danny Baumann <dannybaumann@web.de>	2007-09-20

    Fix whitespacing.

Robert Noland <rnoland@rnoland-ibm.acs.internap.com>	2007-09-19

    Replace strndup with malloc and strncpy. FreeBSD doesn't support strndup.

Danny Baumann <dannybaumann@web.de>	2007-09-20

    Only apply clipping planes when the cube is actually rotated.

Danny Baumann <dannybaumann@web.de>	2007-09-20

    Add minimum and maximum restrictions for opacity values.

Danny Baumann <dannybaumann@web.de>	2007-09-19

    Minor cleanup.

Danny Baumann <dannybaumann@web.de>	2007-09-19

    Fix whitespace.

Kristian Lyngstol <kristian@bohemians.org>	2007-09-18

    [PATCH] Autoraise for transients too

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-18

    Use KDE functions to get the visible window name.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-18

    Don't restack new "dock" type windows behind the active window.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-17

    Use current viewport for skydome rotation calculation.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-17

    Wrap enableOutputClipping to set correct clipping of the cube faces.

Dennis Kasprzyk <onestone@opencompositing.org>	2007-09-17

    Added wrapable output clipping functions.

Merge: ecbedd8 6368fdb
Danny Baumann <dannybaumann@web.de>	2007-09-17

    Merge branch 'master' of git+ssh://maniac@git.freedesktop.org/git/xorg/app/compiz

Danny Baumann <dannybaumann@web.de>	2007-09-17

    Include compiz-core.h before Xrender.h because newer versions of Xrender headers need Xlib.h included first.

Danny Baumann <dannybaumann@web.de>	2007-09-16

    Formatting fix.

Danny Baumann <dannybaumann@web.de>	2007-09-16

    Only copy structures when needed.

Danny Baumann <dannybaumann@web.de>	2007-09-16

